/* Media.c generated by valac 0.34.4, the Vala compiler
 * generated from Media.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2015 Noise Developers (https://launchpad.net/noise)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 *              Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <glib/gi18n-lib.h>


#define NOISE_TYPE_MEDIA (noise_media_get_type ())
#define NOISE_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_MEDIA, NoiseMedia))
#define NOISE_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_MEDIA, NoiseMediaClass))
#define NOISE_IS_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_MEDIA))
#define NOISE_IS_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_MEDIA))
#define NOISE_MEDIA_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_MEDIA, NoiseMediaClass))

typedef struct _NoiseMedia NoiseMedia;
typedef struct _NoiseMediaClass NoiseMediaClass;
typedef struct _NoiseMediaPrivate NoiseMediaPrivate;

#define NOISE_TYPE_ALBUM (noise_album_get_type ())
#define NOISE_ALBUM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_ALBUM, NoiseAlbum))
#define NOISE_ALBUM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_ALBUM, NoiseAlbumClass))
#define NOISE_IS_ALBUM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_ALBUM))
#define NOISE_IS_ALBUM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_ALBUM))
#define NOISE_ALBUM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_ALBUM, NoiseAlbumClass))

typedef struct _NoiseAlbum NoiseAlbum;
typedef struct _NoiseAlbumClass NoiseAlbumClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _NoiseMedia {
	GObject parent_instance;
	NoiseMediaPrivate * priv;
	guint _rating;
};

struct _NoiseMediaClass {
	GObjectClass parent_class;
	gchar* (*get_uri) (NoiseMedia* self);
	void (*set_uri) (NoiseMedia* self, const gchar* value);
	guint64 (*get_file_size) (NoiseMedia* self);
	void (*set_file_size) (NoiseMedia* self, guint64 value);
	gboolean (*get_file_exists) (NoiseMedia* self);
	GFile* (*get_file) (NoiseMedia* self);
	void (*set_file) (NoiseMedia* self, GFile* value);
	gboolean (*get_isPreview) (NoiseMedia* self);
	void (*set_isPreview) (NoiseMedia* self, gboolean value);
	gboolean (*get_isTemporary) (NoiseMedia* self);
	void (*set_isTemporary) (NoiseMedia* self, gboolean value);
	gboolean (*get_location_unknown) (NoiseMedia* self);
	void (*set_location_unknown) (NoiseMedia* self, gboolean value);
	gboolean (*get_has_embedded) (NoiseMedia* self);
	void (*set_has_embedded) (NoiseMedia* self, gboolean value);
	GIcon* (*get_unique_status_image) (NoiseMedia* self);
	void (*set_unique_status_image) (NoiseMedia* self, GIcon* value);
	gboolean (*get_showIndicator) (NoiseMedia* self);
	void (*set_showIndicator) (NoiseMedia* self, gboolean value);
	const gchar* (*get_title) (NoiseMedia* self);
	void (*set_title) (NoiseMedia* self, const gchar* value);
	guint (*get_track) (NoiseMedia* self);
	void (*set_track) (NoiseMedia* self, guint value);
	guint (*get_track_count) (NoiseMedia* self);
	void (*set_track_count) (NoiseMedia* self, guint value);
	const gchar* (*get_composer) (NoiseMedia* self);
	void (*set_composer) (NoiseMedia* self, const gchar* value);
	const gchar* (*get_artist) (NoiseMedia* self);
	void (*set_artist) (NoiseMedia* self, const gchar* value);
	const gchar* (*get_album_artist) (NoiseMedia* self);
	void (*set_album_artist) (NoiseMedia* self, const gchar* value);
	const gchar* (*get_album) (NoiseMedia* self);
	void (*set_album) (NoiseMedia* self, const gchar* value);
	guint (*get_album_number) (NoiseMedia* self);
	void (*set_album_number) (NoiseMedia* self, guint value);
	guint (*get_album_count) (NoiseMedia* self);
	void (*set_album_count) (NoiseMedia* self, guint value);
	NoiseAlbum* (*get_album_info) (NoiseMedia* self);
	void (*set_album_info) (NoiseMedia* self, NoiseAlbum* value);
	const gchar* (*get_grouping) (NoiseMedia* self);
	void (*set_grouping) (NoiseMedia* self, const gchar* value);
	const gchar* (*get_genre) (NoiseMedia* self);
	void (*set_genre) (NoiseMedia* self, const gchar* value);
	const gchar* (*get_comment) (NoiseMedia* self);
	void (*set_comment) (NoiseMedia* self, const gchar* value);
	const gchar* (*get_lyrics) (NoiseMedia* self);
	void (*set_lyrics) (NoiseMedia* self, const gchar* value);
	guint (*get_year) (NoiseMedia* self);
	void (*set_year) (NoiseMedia* self, guint value);
	guint (*get_bitrate) (NoiseMedia* self);
	void (*set_bitrate) (NoiseMedia* self, guint value);
	guint (*get_bpm) (NoiseMedia* self);
	void (*set_bpm) (NoiseMedia* self, guint value);
	guint (*get_samplerate) (NoiseMedia* self);
	void (*set_samplerate) (NoiseMedia* self, guint value);
	guint (*get_length) (NoiseMedia* self);
	void (*set_length) (NoiseMedia* self, guint value);
	guint (*get_rating) (NoiseMedia* self);
	void (*set_rating) (NoiseMedia* self, guint value);
	guint (*get_play_count) (NoiseMedia* self);
	void (*set_play_count) (NoiseMedia* self, guint value);
	guint (*get_skip_count) (NoiseMedia* self);
	void (*set_skip_count) (NoiseMedia* self, guint value);
	guint (*get_date_added) (NoiseMedia* self);
	void (*set_date_added) (NoiseMedia* self, guint value);
	guint (*get_last_played) (NoiseMedia* self);
	void (*set_last_played) (NoiseMedia* self, guint value);
	guint (*get_last_modified) (NoiseMedia* self);
	void (*set_last_modified) (NoiseMedia* self, guint value);
	gint (*get_resume_pos) (NoiseMedia* self);
	void (*set_resume_pos) (NoiseMedia* self, gint value);
};

struct _NoiseMediaPrivate {
	gint64 _rowid;
	guint64 _file_size;
	GFile* _file;
	gboolean _isPreview;
	gboolean _isTemporary;
	gboolean _location_unknown;
	gboolean _has_embedded;
	GIcon* _unique_status_image;
	gboolean _showIndicator;
	gchar* _title;
	guint _track;
	guint _track_count;
	gchar* _composer;
	gchar* _artist;
	gchar* _album_artist;
	gchar* _album;
	guint _album_number;
	guint _album_count;
	NoiseAlbum* _album_info;
	gchar* _grouping;
	gchar* _genre;
	gchar* _comment;
	gchar* _lyrics;
	guint _year;
	guint _bitrate;
	guint _bpm;
	guint _samplerate;
	guint _length;
	guint _play_count;
	guint _skip_count;
	guint _date_added;
	guint _last_played;
	guint _last_modified;
	gint _resume_pos;
};


static gpointer noise_media_parent_class = NULL;
extern gchar* noise_media_UNKNOWN;
gchar* noise_media_UNKNOWN = NULL;

GType noise_media_get_type (void) G_GNUC_CONST;
GType noise_album_get_type (void) G_GNUC_CONST;
#define NOISE_MEDIA_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_MEDIA, NoiseMediaPrivate))
enum  {
	NOISE_MEDIA_DUMMY_PROPERTY,
	NOISE_MEDIA_ROWID,
	NOISE_MEDIA_URI,
	NOISE_MEDIA_FILE_SIZE,
	NOISE_MEDIA_FILE_EXISTS,
	NOISE_MEDIA_FILE,
	NOISE_MEDIA_IS_PREVIEW,
	NOISE_MEDIA_IS_TEMPORARY,
	NOISE_MEDIA_LOCATION_UNKNOWN,
	NOISE_MEDIA_HAS_EMBEDDED,
	NOISE_MEDIA_UNIQUE_STATUS_IMAGE,
	NOISE_MEDIA_SHOW_INDICATOR,
	NOISE_MEDIA_TITLE,
	NOISE_MEDIA_TRACK,
	NOISE_MEDIA_TRACK_COUNT,
	NOISE_MEDIA_COMPOSER,
	NOISE_MEDIA_ARTIST,
	NOISE_MEDIA_ALBUM_ARTIST,
	NOISE_MEDIA_ALBUM,
	NOISE_MEDIA_ALBUM_NUMBER,
	NOISE_MEDIA_ALBUM_COUNT,
	NOISE_MEDIA_ALBUM_INFO,
	NOISE_MEDIA_GROUPING,
	NOISE_MEDIA_GENRE,
	NOISE_MEDIA_COMMENT,
	NOISE_MEDIA_LYRICS,
	NOISE_MEDIA_YEAR,
	NOISE_MEDIA_BITRATE,
	NOISE_MEDIA_BPM,
	NOISE_MEDIA_SAMPLERATE,
	NOISE_MEDIA_LENGTH,
	NOISE_MEDIA_RATING,
	NOISE_MEDIA_PLAY_COUNT,
	NOISE_MEDIA_SKIP_COUNT,
	NOISE_MEDIA_DATE_ADDED,
	NOISE_MEDIA_LAST_PLAYED,
	NOISE_MEDIA_LAST_MODIFIED,
	NOISE_MEDIA_RESUME_POS
};
gchar* noise_media_get_display_filename (NoiseMedia* self);
GFile* noise_media_get_file (NoiseMedia* self);
gchar* noise_string_locale_to_utf8 (const gchar* string_locale);
gboolean noise_media_is_valid_string_field (const gchar* text);
gchar* noise_media_get_display_location (NoiseMedia* self);
gboolean noise_media_get_isTemporary (NoiseMedia* self);
gchar* noise_media_get_display_title (NoiseMedia* self);
const gchar* noise_media_get_title (NoiseMedia* self);
gchar* noise_media_get_display_composer (NoiseMedia* self);
gchar* noise_media_get_simple_display_text (const gchar* text);
const gchar* noise_media_get_composer (NoiseMedia* self);
gchar* noise_media_get_display_artist (NoiseMedia* self);
const gchar* noise_media_get_artist (NoiseMedia* self);
gchar* noise_media_get_display_album_artist (NoiseMedia* self, gboolean use_artist_fallback);
const gchar* noise_media_get_album_artist (NoiseMedia* self);
gchar* noise_media_get_display_album (NoiseMedia* self);
const gchar* noise_media_get_album (NoiseMedia* self);
gchar* noise_media_get_display_genre (NoiseMedia* self);
const gchar* noise_media_get_genre (NoiseMedia* self);
gboolean noise_string_is_empty (const gchar* text, gboolean check_white_space);
guint noise_media_get_album_hashkey (NoiseMedia* self);
gchar* noise_media_get_title_markup (NoiseMedia* self);
NoiseMedia* noise_media_new (const gchar* uri);
NoiseMedia* noise_media_construct (GType object_type, const gchar* uri);
void noise_media_set_uri (NoiseMedia* self, const gchar* value);
NoiseMedia* noise_media_new_from_file (GFile* file);
NoiseMedia* noise_media_construct_from_file (GType object_type, GFile* file);
void noise_media_set_file (NoiseMedia* self, GFile* value);
NoiseMedia* noise_media_copy (NoiseMedia* self);
gchar* noise_media_get_uri (NoiseMedia* self);
guint64 noise_media_get_file_size (NoiseMedia* self);
void noise_media_set_file_size (NoiseMedia* self, guint64 value);
guint noise_media_get_track (NoiseMedia* self);
void noise_media_set_track (NoiseMedia* self, guint value);
guint noise_media_get_track_count (NoiseMedia* self);
void noise_media_set_track_count (NoiseMedia* self, guint value);
guint noise_media_get_album_number (NoiseMedia* self);
void noise_media_set_album_number (NoiseMedia* self, guint value);
guint noise_media_get_album_count (NoiseMedia* self);
void noise_media_set_album_count (NoiseMedia* self, guint value);
void noise_media_set_title (NoiseMedia* self, const gchar* value);
void noise_media_set_artist (NoiseMedia* self, const gchar* value);
void noise_media_set_composer (NoiseMedia* self, const gchar* value);
void noise_media_set_album_artist (NoiseMedia* self, const gchar* value);
void noise_media_set_album (NoiseMedia* self, const gchar* value);
void noise_media_set_genre (NoiseMedia* self, const gchar* value);
const gchar* noise_media_get_grouping (NoiseMedia* self);
void noise_media_set_grouping (NoiseMedia* self, const gchar* value);
const gchar* noise_media_get_comment (NoiseMedia* self);
void noise_media_set_comment (NoiseMedia* self, const gchar* value);
guint noise_media_get_year (NoiseMedia* self);
void noise_media_set_year (NoiseMedia* self, guint value);
guint noise_media_get_bitrate (NoiseMedia* self);
void noise_media_set_bitrate (NoiseMedia* self, guint value);
guint noise_media_get_length (NoiseMedia* self);
void noise_media_set_length (NoiseMedia* self, guint value);
guint noise_media_get_samplerate (NoiseMedia* self);
void noise_media_set_samplerate (NoiseMedia* self, guint value);
guint noise_media_get_bpm (NoiseMedia* self);
void noise_media_set_bpm (NoiseMedia* self, guint value);
guint noise_media_get_rating (NoiseMedia* self);
void noise_media_set_rating (NoiseMedia* self, guint value);
guint noise_media_get_play_count (NoiseMedia* self);
void noise_media_set_play_count (NoiseMedia* self, guint value);
guint noise_media_get_skip_count (NoiseMedia* self);
void noise_media_set_skip_count (NoiseMedia* self, guint value);
guint noise_media_get_date_added (NoiseMedia* self);
void noise_media_set_date_added (NoiseMedia* self, guint value);
guint noise_media_get_last_played (NoiseMedia* self);
void noise_media_set_last_played (NoiseMedia* self, guint value);
const gchar* noise_media_get_lyrics (NoiseMedia* self);
void noise_media_set_lyrics (NoiseMedia* self, const gchar* value);
gboolean noise_media_get_isPreview (NoiseMedia* self);
void noise_media_set_isPreview (NoiseMedia* self, gboolean value);
void noise_media_set_isTemporary (NoiseMedia* self, gboolean value);
guint noise_media_get_last_modified (NoiseMedia* self);
void noise_media_set_last_modified (NoiseMedia* self, guint value);
gboolean noise_media_get_showIndicator (NoiseMedia* self);
void noise_media_set_showIndicator (NoiseMedia* self, gboolean value);
GIcon* noise_media_get_unique_status_image (NoiseMedia* self);
void noise_media_set_unique_status_image (NoiseMedia* self, GIcon* value);
gboolean noise_media_get_location_unknown (NoiseMedia* self);
void noise_media_set_location_unknown (NoiseMedia* self, gboolean value);
gint64 noise_media_get_rowid (NoiseMedia* self);
void noise_media_set_rowid (NoiseMedia* self, gint64 value);
gboolean noise_media_get_file_exists (NoiseMedia* self);
gboolean noise_media_get_has_embedded (NoiseMedia* self);
void noise_media_set_has_embedded (NoiseMedia* self, gboolean value);
NoiseAlbum* noise_media_get_album_info (NoiseMedia* self);
void noise_media_set_album_info (NoiseMedia* self, NoiseAlbum* value);
gint noise_media_get_resume_pos (NoiseMedia* self);
void noise_media_set_resume_pos (NoiseMedia* self, gint value);
static void noise_media_finalize (GObject* obj);
static void _vala_noise_media_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_media_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


inline gchar* noise_media_get_display_filename (NoiseMedia* self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* filename = NULL;
	gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	gchar* _tmp12_ = NULL;
#line 101 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = noise_media_get_file (self);
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = _tmp1_;
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp3_ = g_file_get_basename (_tmp2_);
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = _tmp3_;
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (_tmp0_ == NULL) {
#line 357 "Media.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp4_ = noise_media_UNKNOWN;
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp5_ = g_strdup (_tmp4_);
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp0_);
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp0_ = _tmp5_;
#line 368 "Media.c"
	}
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp6_ = noise_string_locale_to_utf8 (_tmp0_);
#line 102 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	filename = _tmp6_;
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp8_ = filename;
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp9_ = noise_media_is_valid_string_field (_tmp8_);
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (_tmp9_) {
#line 380 "Media.c"
		const gchar* _tmp10_ = NULL;
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp10_ = filename;
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp7_ = _tmp10_;
#line 386 "Media.c"
	} else {
		const gchar* _tmp11_ = NULL;
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp11_ = noise_media_UNKNOWN;
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp7_ = _tmp11_;
#line 393 "Media.c"
	}
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp12_ = g_strdup (_tmp7_);
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp12_;
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (filename);
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (_tmp0_);
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 405 "Media.c"
}


inline gchar* noise_media_get_display_location (NoiseMedia* self) {
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gchar* filename = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	gboolean _tmp10_ = FALSE;
	const gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
#line 106 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 107 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_isTemporary (self);
#line 107 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 107 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (_tmp1_) {
#line 432 "Media.c"
		gchar* _tmp2_ = NULL;
#line 108 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp2_ = g_strdup ("");
#line 108 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		result = _tmp2_;
#line 108 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		return result;
#line 440 "Media.c"
	}
#line 110 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp3_ = noise_media_get_file (self);
#line 110 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp4_ = _tmp3_;
#line 110 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp5_ = g_file_get_path (_tmp4_);
#line 110 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp6_ = _tmp5_;
#line 110 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp7_ = noise_string_locale_to_utf8 (_tmp6_);
#line 110 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp8_ = _tmp7_;
#line 110 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (_tmp6_);
#line 110 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	filename = _tmp8_;
#line 112 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp9_ = filename;
#line 112 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp10_ = noise_media_is_valid_string_field (_tmp9_);
#line 112 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (_tmp10_) {
#line 464 "Media.c"
		GFile* _tmp11_ = NULL;
		GFile* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp11_ = noise_media_get_file (self);
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp12_ = _tmp11_;
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp13_ = g_file_get_uri_scheme (_tmp12_);
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp14_ = _tmp13_;
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp15_ = filename;
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp16_ = g_strdup_printf ("%s:/%s", _tmp14_, _tmp15_);
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp17_ = _tmp16_;
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp14_);
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		result = _tmp17_;
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (filename);
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		return result;
#line 494 "Media.c"
	}
#line 115 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp18_ = noise_media_UNKNOWN;
#line 115 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp19_ = g_strdup (_tmp18_);
#line 115 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp19_;
#line 115 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (filename);
#line 115 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 506 "Media.c"
}


inline gchar* noise_media_get_display_title (NoiseMedia* self) {
	gchar* result = NULL;
	gchar* title = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 118 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 119 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_title (self);
#line 119 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 119 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 119 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	title = _tmp2_;
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp4_ = title;
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp5_ = noise_media_is_valid_string_field (_tmp4_);
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (_tmp5_) {
#line 535 "Media.c"
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp6_ = title;
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp7_ = g_strdup (_tmp6_);
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp3_);
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp3_ = _tmp7_;
#line 546 "Media.c"
	} else {
		gchar* _tmp8_ = NULL;
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp8_ = noise_media_get_display_filename (self);
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp3_);
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp3_ = _tmp8_;
#line 555 "Media.c"
	}
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp3_;
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (title);
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 563 "Media.c"
}


inline gchar* noise_media_get_display_composer (NoiseMedia* self) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 123 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 124 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_composer (self);
#line 124 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 124 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = noise_media_get_simple_display_text (_tmp1_);
#line 124 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp2_;
#line 124 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 584 "Media.c"
}


inline gchar* noise_media_get_display_artist (NoiseMedia* self) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 127 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 128 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_artist (self);
#line 128 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 128 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = noise_media_get_simple_display_text (_tmp1_);
#line 128 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp2_;
#line 128 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 605 "Media.c"
}


inline gchar* noise_media_get_display_album_artist (NoiseMedia* self, gboolean use_artist_fallback) {
	gchar* result = NULL;
	gchar* album_artist = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
#line 131 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 132 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_album_artist (self);
#line 132 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 132 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 132 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	album_artist = _tmp2_;
#line 134 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp3_ = album_artist;
#line 134 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp4_ = noise_media_is_valid_string_field (_tmp3_);
#line 134 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (_tmp4_) {
#line 135 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		result = album_artist;
#line 135 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		return result;
#line 640 "Media.c"
	}
#line 137 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp5_ = use_artist_fallback;
#line 137 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (_tmp5_) {
#line 646 "Media.c"
		gchar* _tmp6_ = NULL;
#line 138 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp6_ = noise_media_get_display_artist (self);
#line 138 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		result = _tmp6_;
#line 138 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (album_artist);
#line 138 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		return result;
#line 656 "Media.c"
	}
#line 140 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp7_ = noise_media_UNKNOWN;
#line 140 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp8_ = g_strdup (_tmp7_);
#line 140 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp8_;
#line 140 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (album_artist);
#line 140 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 668 "Media.c"
}


inline gchar* noise_media_get_display_album (NoiseMedia* self) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 143 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 144 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_album (self);
#line 144 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 144 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = noise_media_get_simple_display_text (_tmp1_);
#line 144 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp2_;
#line 144 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 689 "Media.c"
}


inline gchar* noise_media_get_display_genre (NoiseMedia* self) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 147 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 148 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_genre (self);
#line 148 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 148 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = noise_media_get_simple_display_text (_tmp1_);
#line 148 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp2_;
#line 148 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 710 "Media.c"
}


inline gboolean noise_media_is_valid_string_field (const gchar* text) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 152 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = text;
#line 152 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = noise_string_is_empty (_tmp0_, TRUE);
#line 152 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = !_tmp1_;
#line 152 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 726 "Media.c"
}


guint noise_media_get_album_hashkey (NoiseMedia* self) {
	guint result = 0U;
	GString* builder = NULL;
	GString* _tmp0_ = NULL;
	GString* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	GString* _tmp13_ = NULL;
	const gchar* _tmp14_ = NULL;
	guint _tmp15_ = 0U;
#line 155 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 156 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = g_string_new ("");
#line 156 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	builder = _tmp0_;
#line 157 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = builder;
#line 157 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = noise_media_get_album (self);
#line 157 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp3_ = _tmp2_;
#line 157 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_string_append (_tmp1_, _tmp3_);
#line 158 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp4_ = noise_media_get_album_artist (self);
#line 158 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp5_ = _tmp4_;
#line 158 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp6_ = noise_media_is_valid_string_field (_tmp5_);
#line 158 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (_tmp6_) {
#line 765 "Media.c"
		GString* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
#line 159 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp7_ = builder;
#line 159 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp8_ = noise_media_get_album_artist (self);
#line 159 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp9_ = _tmp8_;
#line 159 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_string_append (_tmp7_, _tmp9_);
#line 777 "Media.c"
	} else {
		GString* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
#line 161 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp10_ = builder;
#line 161 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp11_ = noise_media_get_artist (self);
#line 161 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp12_ = _tmp11_;
#line 161 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_string_append (_tmp10_, _tmp12_);
#line 790 "Media.c"
	}
#line 162 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp13_ = builder;
#line 162 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp14_ = _tmp13_->str;
#line 162 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp15_ = g_str_hash (_tmp14_);
#line 162 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp15_;
#line 162 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_string_free0 (builder);
#line 162 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 804 "Media.c"
}


/**
     * It's called simple because it simply checks if the string is empty,
     * and returns UNKNOWN if it is.
     */
inline gchar* noise_media_get_simple_display_text (const gchar* text) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gchar* _tmp5_ = NULL;
#line 169 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = text;
#line 169 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = noise_media_is_valid_string_field (_tmp1_);
#line 169 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (_tmp2_) {
#line 824 "Media.c"
		const gchar* _tmp3_ = NULL;
#line 169 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp3_ = text;
#line 169 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp0_ = _tmp3_;
#line 830 "Media.c"
	} else {
		const gchar* _tmp4_ = NULL;
#line 169 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp4_ = noise_media_UNKNOWN;
#line 169 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp0_ = _tmp4_;
#line 837 "Media.c"
	}
#line 169 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp5_ = g_strdup (_tmp0_);
#line 169 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp5_;
#line 169 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 845 "Media.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 858 "Media.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 889 "Media.c"
				goto __catch2_g_regex_error;
			}
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 898 "Media.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 914 "Media.c"
				goto __catch2_g_regex_error;
			}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 925 "Media.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 939 "Media.c"
	}
	goto __finally2;
	__catch2_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 953 "Media.c"
	}
	__finally2:
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 964 "Media.c"
	}
}


gchar* noise_media_get_title_markup (NoiseMedia* self) {
	gchar* result = NULL;
	gboolean is_valid_artist = FALSE;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean is_valid_album = FALSE;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_ = FALSE;
#line 172 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_artist (self);
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = noise_media_is_valid_string_field (_tmp1_);
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	is_valid_artist = _tmp2_;
#line 177 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp3_ = noise_media_get_album (self);
#line 177 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp4_ = _tmp3_;
#line 177 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp5_ = noise_media_is_valid_string_field (_tmp4_);
#line 177 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	is_valid_album = _tmp5_;
#line 178 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp7_ = is_valid_artist;
#line 178 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (!_tmp7_) {
#line 1003 "Media.c"
		gboolean _tmp8_ = FALSE;
#line 178 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp8_ = is_valid_album;
#line 178 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp6_ = _tmp8_;
#line 1009 "Media.c"
	} else {
#line 178 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp6_ = FALSE;
#line 1013 "Media.c"
	}
#line 178 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	if (_tmp6_) {
#line 1017 "Media.c"
		const gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp9_ = _ ("$NAME on $ALBUM");
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp10_ = noise_media_get_album (self);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp11_ = _tmp10_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp12_ = g_markup_escape_text (_tmp11_, (gssize) -1);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp13_ = _tmp12_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp14_ = g_strconcat ("<b>", _tmp13_, NULL);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp15_ = _tmp14_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp16_ = g_strconcat (_tmp15_, "</b>", NULL);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp17_ = _tmp16_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp18_ = string_replace (_tmp9_, "$ALBUM", _tmp17_);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp19_ = _tmp18_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp20_ = noise_media_get_display_title (self);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp21_ = _tmp20_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp22_ = g_markup_escape_text (_tmp21_, (gssize) -1);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp23_ = _tmp22_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp24_ = g_strconcat ("<b>", _tmp23_, NULL);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp25_ = _tmp24_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp26_ = g_strconcat (_tmp25_, "</b>", NULL);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp27_ = _tmp26_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp28_ = string_replace (_tmp19_, "$NAME", _tmp27_);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp29_ = _tmp28_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp27_);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp25_);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp23_);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp21_);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp19_);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp17_);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp15_);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_g_free0 (_tmp13_);
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		result = _tmp29_;
#line 180 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		return result;
#line 1101 "Media.c"
	} else {
		gboolean _tmp30_ = FALSE;
		gboolean _tmp31_ = FALSE;
#line 181 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		_tmp31_ = is_valid_artist;
#line 181 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		if (_tmp31_) {
#line 1109 "Media.c"
			gboolean _tmp32_ = FALSE;
#line 181 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp32_ = is_valid_album;
#line 181 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp30_ = !_tmp32_;
#line 1115 "Media.c"
		} else {
#line 181 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp30_ = FALSE;
#line 1119 "Media.c"
		}
#line 181 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		if (_tmp30_) {
#line 1123 "Media.c"
			const gchar* _tmp33_ = NULL;
			const gchar* _tmp34_ = NULL;
			const gchar* _tmp35_ = NULL;
			gchar* _tmp36_ = NULL;
			gchar* _tmp37_ = NULL;
			gchar* _tmp38_ = NULL;
			gchar* _tmp39_ = NULL;
			gchar* _tmp40_ = NULL;
			gchar* _tmp41_ = NULL;
			gchar* _tmp42_ = NULL;
			gchar* _tmp43_ = NULL;
			gchar* _tmp44_ = NULL;
			gchar* _tmp45_ = NULL;
			gchar* _tmp46_ = NULL;
			gchar* _tmp47_ = NULL;
			gchar* _tmp48_ = NULL;
			gchar* _tmp49_ = NULL;
			gchar* _tmp50_ = NULL;
			gchar* _tmp51_ = NULL;
			gchar* _tmp52_ = NULL;
			gchar* _tmp53_ = NULL;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp33_ = _ ("$NAME by $ARTIST");
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp34_ = noise_media_get_artist (self);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp35_ = _tmp34_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp36_ = g_markup_escape_text (_tmp35_, (gssize) -1);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp37_ = _tmp36_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp38_ = g_strconcat ("<b>", _tmp37_, NULL);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp39_ = _tmp38_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp40_ = g_strconcat (_tmp39_, "</b>", NULL);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp41_ = _tmp40_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp42_ = string_replace (_tmp33_, "$ARTIST", _tmp41_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp43_ = _tmp42_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp44_ = noise_media_get_display_title (self);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp45_ = _tmp44_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp46_ = g_markup_escape_text (_tmp45_, (gssize) -1);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp47_ = _tmp46_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp48_ = g_strconcat ("<b>", _tmp47_, NULL);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp49_ = _tmp48_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp50_ = g_strconcat (_tmp49_, "</b>", NULL);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp51_ = _tmp50_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp52_ = string_replace (_tmp43_, "$NAME", _tmp51_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp53_ = _tmp52_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_g_free0 (_tmp51_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_g_free0 (_tmp49_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_g_free0 (_tmp47_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_g_free0 (_tmp45_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_g_free0 (_tmp43_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_g_free0 (_tmp41_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_g_free0 (_tmp39_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_g_free0 (_tmp37_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			result = _tmp53_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			return result;
#line 1207 "Media.c"
		} else {
			gboolean _tmp54_ = FALSE;
			gboolean _tmp55_ = FALSE;
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			_tmp55_ = is_valid_artist;
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			if (!_tmp55_) {
#line 1215 "Media.c"
				gboolean _tmp56_ = FALSE;
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp56_ = is_valid_album;
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp54_ = !_tmp56_;
#line 1221 "Media.c"
			} else {
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp54_ = FALSE;
#line 1225 "Media.c"
			}
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
			if (_tmp54_) {
#line 1229 "Media.c"
				gchar* _tmp57_ = NULL;
				gchar* _tmp58_ = NULL;
				gchar* _tmp59_ = NULL;
				gchar* _tmp60_ = NULL;
				gchar* _tmp61_ = NULL;
				gchar* _tmp62_ = NULL;
				gchar* _tmp63_ = NULL;
				gchar* _tmp64_ = NULL;
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp57_ = noise_media_get_display_title (self);
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp58_ = _tmp57_;
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp59_ = g_markup_escape_text (_tmp58_, (gssize) -1);
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp60_ = _tmp59_;
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp61_ = g_strconcat ("<b>", _tmp60_, NULL);
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp62_ = _tmp61_;
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp63_ = g_strconcat (_tmp62_, "</b>", NULL);
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp64_ = _tmp63_;
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp62_);
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp60_);
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp58_);
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				result = _tmp64_;
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				return result;
#line 1264 "Media.c"
			} else {
				const gchar* _tmp65_ = NULL;
				const gchar* _tmp66_ = NULL;
				const gchar* _tmp67_ = NULL;
				gchar* _tmp68_ = NULL;
				gchar* _tmp69_ = NULL;
				gchar* _tmp70_ = NULL;
				gchar* _tmp71_ = NULL;
				gchar* _tmp72_ = NULL;
				gchar* _tmp73_ = NULL;
				gchar* _tmp74_ = NULL;
				gchar* _tmp75_ = NULL;
				gchar* _tmp76_ = NULL;
				gchar* _tmp77_ = NULL;
				gchar* _tmp78_ = NULL;
				gchar* _tmp79_ = NULL;
				gchar* _tmp80_ = NULL;
				gchar* _tmp81_ = NULL;
				gchar* _tmp82_ = NULL;
				gchar* _tmp83_ = NULL;
				gchar* _tmp84_ = NULL;
				gchar* _tmp85_ = NULL;
				const gchar* _tmp86_ = NULL;
				const gchar* _tmp87_ = NULL;
				gchar* _tmp88_ = NULL;
				gchar* _tmp89_ = NULL;
				gchar* _tmp90_ = NULL;
				gchar* _tmp91_ = NULL;
				gchar* _tmp92_ = NULL;
				gchar* _tmp93_ = NULL;
				gchar* _tmp94_ = NULL;
				gchar* _tmp95_ = NULL;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp65_ = _ ("$NAME by $ARTIST on $ALBUM");
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp66_ = noise_media_get_artist (self);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp67_ = _tmp66_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp68_ = g_markup_escape_text (_tmp67_, (gssize) -1);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp69_ = _tmp68_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp70_ = g_strconcat ("<b>", _tmp69_, NULL);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp71_ = _tmp70_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp72_ = g_strconcat (_tmp71_, "</b>", NULL);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp73_ = _tmp72_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp74_ = string_replace (_tmp65_, "$ARTIST", _tmp73_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp75_ = _tmp74_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp76_ = noise_media_get_display_title (self);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp77_ = _tmp76_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp78_ = g_markup_escape_text (_tmp77_, (gssize) -1);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp79_ = _tmp78_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp80_ = g_strconcat ("<b>", _tmp79_, NULL);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp81_ = _tmp80_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp82_ = g_strconcat (_tmp81_, "</b>", NULL);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp83_ = _tmp82_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp84_ = string_replace (_tmp75_, "$NAME", _tmp83_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp85_ = _tmp84_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp86_ = noise_media_get_album (self);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp87_ = _tmp86_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp88_ = g_markup_escape_text (_tmp87_, (gssize) -1);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp89_ = _tmp88_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp90_ = g_strconcat ("<b>", _tmp89_, NULL);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp91_ = _tmp90_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp92_ = g_strconcat (_tmp91_, "</b>", NULL);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp93_ = _tmp92_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp94_ = string_replace (_tmp85_, "$ALBUM", _tmp93_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_tmp95_ = _tmp94_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp93_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp91_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp89_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp85_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp83_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp81_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp79_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp77_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp75_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp73_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp71_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				_g_free0 (_tmp69_);
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				result = _tmp95_;
#line 189 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
				return result;
#line 1387 "Media.c"
			}
		}
	}
}


NoiseMedia* noise_media_construct (GType object_type, const gchar* uri) {
	NoiseMedia * self = NULL;
	const gchar* _tmp0_ = NULL;
#line 193 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 193 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = (NoiseMedia*) g_object_new (object_type, NULL);
#line 194 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = uri;
#line 194 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_uri (self, _tmp0_);
#line 193 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return self;
#line 1407 "Media.c"
}


NoiseMedia* noise_media_new (const gchar* uri) {
#line 193 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return noise_media_construct (NOISE_TYPE_MEDIA, uri);
#line 1414 "Media.c"
}


NoiseMedia* noise_media_construct_from_file (GType object_type, GFile* file) {
	NoiseMedia * self = NULL;
	GFile* _tmp0_ = NULL;
#line 197 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 197 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = (NoiseMedia*) g_object_new (object_type, NULL);
#line 198 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = file;
#line 198 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_file (self, _tmp0_);
#line 197 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return self;
#line 1431 "Media.c"
}


NoiseMedia* noise_media_new_from_file (GFile* file) {
#line 197 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return noise_media_construct_from_file (NOISE_TYPE_MEDIA, file);
#line 1438 "Media.c"
}


NoiseMedia* noise_media_copy (NoiseMedia* self) {
	NoiseMedia* result = NULL;
	NoiseMedia* rv = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	NoiseMedia* _tmp3_ = NULL;
	NoiseMedia* _tmp4_ = NULL;
	guint64 _tmp5_ = 0ULL;
	guint64 _tmp6_ = 0ULL;
	guint _tmp7_ = 0U;
	guint _tmp8_ = 0U;
	guint _tmp9_ = 0U;
	guint _tmp10_ = 0U;
	guint _tmp11_ = 0U;
	guint _tmp12_ = 0U;
	guint _tmp13_ = 0U;
	guint _tmp14_ = 0U;
	const gchar* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	const gchar* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	const gchar* _tmp24_ = NULL;
	const gchar* _tmp25_ = NULL;
	const gchar* _tmp26_ = NULL;
	const gchar* _tmp27_ = NULL;
	const gchar* _tmp28_ = NULL;
	const gchar* _tmp29_ = NULL;
	const gchar* _tmp30_ = NULL;
	guint _tmp31_ = 0U;
	guint _tmp32_ = 0U;
	guint _tmp33_ = 0U;
	guint _tmp34_ = 0U;
	guint _tmp35_ = 0U;
	guint _tmp36_ = 0U;
	guint _tmp37_ = 0U;
	guint _tmp38_ = 0U;
	guint _tmp39_ = 0U;
	guint _tmp40_ = 0U;
	guint _tmp41_ = 0U;
	guint _tmp42_ = 0U;
	guint _tmp43_ = 0U;
	guint _tmp44_ = 0U;
	guint _tmp45_ = 0U;
	guint _tmp46_ = 0U;
	guint _tmp47_ = 0U;
	guint _tmp48_ = 0U;
	guint _tmp49_ = 0U;
	guint _tmp50_ = 0U;
	const gchar* _tmp51_ = NULL;
	const gchar* _tmp52_ = NULL;
	gboolean _tmp53_ = FALSE;
	gboolean _tmp54_ = FALSE;
	gboolean _tmp55_ = FALSE;
	gboolean _tmp56_ = FALSE;
	guint _tmp57_ = 0U;
	guint _tmp58_ = 0U;
	gboolean _tmp59_ = FALSE;
	gboolean _tmp60_ = FALSE;
	GIcon* _tmp61_ = NULL;
	GIcon* _tmp62_ = NULL;
	gboolean _tmp63_ = FALSE;
	gboolean _tmp64_ = FALSE;
#line 201 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 202 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_uri (self);
#line 202 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 202 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = _tmp1_;
#line 202 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp3_ = noise_media_new (_tmp2_);
#line 202 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp4_ = _tmp3_;
#line 202 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (_tmp2_);
#line 202 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	rv = _tmp4_;
#line 204 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp5_ = noise_media_get_file_size (self);
#line 204 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp6_ = _tmp5_;
#line 204 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_file_size (rv, _tmp6_);
#line 205 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp7_ = noise_media_get_track (self);
#line 205 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp8_ = _tmp7_;
#line 205 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_track (rv, _tmp8_);
#line 206 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp9_ = noise_media_get_track_count (self);
#line 206 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp10_ = _tmp9_;
#line 206 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_track_count (rv, _tmp10_);
#line 207 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp11_ = noise_media_get_album_number (self);
#line 207 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp12_ = _tmp11_;
#line 207 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_album_number (rv, _tmp12_);
#line 208 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp13_ = noise_media_get_album_count (self);
#line 208 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp14_ = _tmp13_;
#line 208 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_album_count (rv, _tmp14_);
#line 209 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp15_ = noise_media_get_title (self);
#line 209 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp16_ = _tmp15_;
#line 209 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_title (rv, _tmp16_);
#line 210 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp17_ = noise_media_get_artist (self);
#line 210 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp18_ = _tmp17_;
#line 210 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_artist (rv, _tmp18_);
#line 211 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp19_ = noise_media_get_composer (self);
#line 211 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp20_ = _tmp19_;
#line 211 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_composer (rv, _tmp20_);
#line 212 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp21_ = noise_media_get_album_artist (self);
#line 212 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp22_ = _tmp21_;
#line 212 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_album_artist (rv, _tmp22_);
#line 213 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp23_ = noise_media_get_album (self);
#line 213 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp24_ = _tmp23_;
#line 213 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_album (rv, _tmp24_);
#line 214 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp25_ = noise_media_get_genre (self);
#line 214 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp26_ = _tmp25_;
#line 214 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_genre (rv, _tmp26_);
#line 215 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp27_ = noise_media_get_grouping (self);
#line 215 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp28_ = _tmp27_;
#line 215 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_grouping (rv, _tmp28_);
#line 216 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp29_ = noise_media_get_comment (self);
#line 216 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp30_ = _tmp29_;
#line 216 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_comment (rv, _tmp30_);
#line 217 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp31_ = noise_media_get_year (self);
#line 217 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp32_ = _tmp31_;
#line 217 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_year (rv, _tmp32_);
#line 218 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp33_ = noise_media_get_bitrate (self);
#line 218 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp34_ = _tmp33_;
#line 218 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_bitrate (rv, _tmp34_);
#line 219 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp35_ = noise_media_get_length (self);
#line 219 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp36_ = _tmp35_;
#line 219 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_length (rv, _tmp36_);
#line 220 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp37_ = noise_media_get_samplerate (self);
#line 220 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp38_ = _tmp37_;
#line 220 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_samplerate (rv, _tmp38_);
#line 221 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp39_ = noise_media_get_bpm (self);
#line 221 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp40_ = _tmp39_;
#line 221 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_bpm (rv, _tmp40_);
#line 222 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp41_ = noise_media_get_rating (self);
#line 222 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp42_ = _tmp41_;
#line 222 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_rating (rv, _tmp42_);
#line 223 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp43_ = noise_media_get_play_count (self);
#line 223 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp44_ = _tmp43_;
#line 223 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_play_count (rv, _tmp44_);
#line 224 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp45_ = noise_media_get_skip_count (self);
#line 224 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp46_ = _tmp45_;
#line 224 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_skip_count (rv, _tmp46_);
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp47_ = noise_media_get_date_added (self);
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp48_ = _tmp47_;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_date_added (rv, _tmp48_);
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp49_ = noise_media_get_last_played (self);
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp50_ = _tmp49_;
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_last_played (rv, _tmp50_);
#line 227 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp51_ = noise_media_get_lyrics (self);
#line 227 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp52_ = _tmp51_;
#line 227 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_lyrics (rv, _tmp52_);
#line 228 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp53_ = noise_media_get_isPreview (self);
#line 228 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp54_ = _tmp53_;
#line 228 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_isPreview (rv, _tmp54_);
#line 229 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp55_ = noise_media_get_isTemporary (self);
#line 229 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp56_ = _tmp55_;
#line 229 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_isTemporary (rv, _tmp56_);
#line 230 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp57_ = noise_media_get_last_modified (self);
#line 230 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp58_ = _tmp57_;
#line 230 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_last_modified (rv, _tmp58_);
#line 231 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp59_ = noise_media_get_showIndicator (self);
#line 231 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp60_ = _tmp59_;
#line 231 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_showIndicator (rv, _tmp60_);
#line 232 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp61_ = noise_media_get_unique_status_image (self);
#line 232 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp62_ = _tmp61_;
#line 232 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_unique_status_image (rv, _tmp62_);
#line 233 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp63_ = noise_media_get_location_unknown (self);
#line 233 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp64_ = _tmp63_;
#line 233 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_location_unknown (rv, _tmp64_);
#line 235 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = rv;
#line 235 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 1710 "Media.c"
}


gint64 noise_media_get_rowid (NoiseMedia* self) {
	gint64 result;
	gint64 _tmp0_ = 0LL;
#line 36 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0LL);
#line 36 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_rowid;
#line 36 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 36 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 1725 "Media.c"
}


void noise_media_set_rowid (NoiseMedia* self, gint64 value) {
	gint64 _tmp0_ = 0LL;
#line 36 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 36 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 36 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_rowid = _tmp0_;
#line 36 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "rowid");
#line 1739 "Media.c"
}


gchar* noise_media_get_uri (NoiseMedia* self) {
#line 39 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 39 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_uri (self);
#line 1748 "Media.c"
}


static gchar* noise_media_real_get_uri (NoiseMedia* base) {
	gchar* result;
	NoiseMedia* self;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 39 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 39 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_file (self);
#line 39 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 39 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = g_file_get_uri (_tmp1_);
#line 39 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp2_;
#line 39 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 1770 "Media.c"
}


void noise_media_set_uri (NoiseMedia* self, const gchar* value) {
#line 40 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 40 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_uri (self, value);
#line 1779 "Media.c"
}


static void noise_media_real_set_uri (NoiseMedia* base, const gchar* value) {
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
#line 40 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 40 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 40 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_file_new_for_uri (_tmp0_);
#line 40 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = _tmp1_;
#line 40 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_set_file (self, _tmp2_);
#line 40 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_object_unref0 (_tmp2_);
#line 40 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "uri");
#line 1802 "Media.c"
}


guint64 noise_media_get_file_size (NoiseMedia* self) {
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0ULL);
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_file_size (self);
#line 1811 "Media.c"
}


static guint64 noise_media_real_get_file_size (NoiseMedia* base) {
	guint64 result;
	NoiseMedia* self;
	guint64 _tmp0_ = 0ULL;
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_file_size;
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 1827 "Media.c"
}


void noise_media_set_file_size (NoiseMedia* self, guint64 value) {
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_file_size (self, value);
#line 1836 "Media.c"
}


static void noise_media_real_set_file_size (NoiseMedia* base, guint64 value) {
	NoiseMedia* self;
	guint64 _tmp0_ = 0ULL;
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_file_size = _tmp0_;
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "file-size");
#line 1851 "Media.c"
}


gboolean noise_media_get_file_exists (NoiseMedia* self) {
#line 44 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 44 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_file_exists (self);
#line 1860 "Media.c"
}


static gboolean noise_media_real_get_file_exists (NoiseMedia* base) {
	gboolean result;
	NoiseMedia* self;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 44 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 44 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = noise_media_get_file (self);
#line 44 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _tmp0_;
#line 44 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = g_file_query_exists (_tmp1_, NULL);
#line 44 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp2_;
#line 44 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 1882 "Media.c"
}


GFile* noise_media_get_file (NoiseMedia* self) {
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_file (self);
#line 1891 "Media.c"
}


static GFile* noise_media_real_get_file (NoiseMedia* base) {
	GFile* result;
	NoiseMedia* self;
	GFile* _tmp0_ = NULL;
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_file;
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 1907 "Media.c"
}


void noise_media_set_file (NoiseMedia* self, GFile* value) {
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_file (self, value);
#line 1916 "Media.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return self ? g_object_ref (self) : NULL;
#line 1923 "Media.c"
}


static void noise_media_real_set_file (NoiseMedia* base, GFile* value) {
	NoiseMedia* self;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_object_unref0 (self->priv->_file);
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_file = _tmp1_;
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "file");
#line 1943 "Media.c"
}


gboolean noise_media_get_isPreview (NoiseMedia* self) {
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_isPreview (self);
#line 1952 "Media.c"
}


static gboolean noise_media_real_get_isPreview (NoiseMedia* base) {
	gboolean result;
	NoiseMedia* self;
	gboolean _tmp0_ = FALSE;
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_isPreview;
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 1968 "Media.c"
}


void noise_media_set_isPreview (NoiseMedia* self, gboolean value) {
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_isPreview (self, value);
#line 1977 "Media.c"
}


static void noise_media_real_set_isPreview (NoiseMedia* base, gboolean value) {
	NoiseMedia* self;
	gboolean _tmp0_ = FALSE;
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_isPreview = _tmp0_;
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "isPreview");
#line 1992 "Media.c"
}


gboolean noise_media_get_isTemporary (NoiseMedia* self) {
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_isTemporary (self);
#line 2001 "Media.c"
}


static gboolean noise_media_real_get_isTemporary (NoiseMedia* base) {
	gboolean result;
	NoiseMedia* self;
	gboolean _tmp0_ = FALSE;
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_isTemporary;
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2017 "Media.c"
}


void noise_media_set_isTemporary (NoiseMedia* self, gboolean value) {
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_isTemporary (self, value);
#line 2026 "Media.c"
}


static void noise_media_real_set_isTemporary (NoiseMedia* base, gboolean value) {
	NoiseMedia* self;
	gboolean _tmp0_ = FALSE;
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_isTemporary = _tmp0_;
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "isTemporary");
#line 2041 "Media.c"
}


gboolean noise_media_get_location_unknown (NoiseMedia* self) {
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_location_unknown (self);
#line 2050 "Media.c"
}


static gboolean noise_media_real_get_location_unknown (NoiseMedia* base) {
	gboolean result;
	NoiseMedia* self;
	gboolean _tmp0_ = FALSE;
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_location_unknown;
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2066 "Media.c"
}


void noise_media_set_location_unknown (NoiseMedia* self, gboolean value) {
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_location_unknown (self, value);
#line 2075 "Media.c"
}


static void noise_media_real_set_location_unknown (NoiseMedia* base, gboolean value) {
	NoiseMedia* self;
	gboolean _tmp0_ = FALSE;
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_location_unknown = _tmp0_;
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "location-unknown");
#line 2090 "Media.c"
}


gboolean noise_media_get_has_embedded (NoiseMedia* self) {
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_has_embedded (self);
#line 2099 "Media.c"
}


static gboolean noise_media_real_get_has_embedded (NoiseMedia* base) {
	gboolean result;
	NoiseMedia* self;
	gboolean _tmp0_ = FALSE;
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_has_embedded;
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2115 "Media.c"
}


void noise_media_set_has_embedded (NoiseMedia* self, gboolean value) {
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_has_embedded (self, value);
#line 2124 "Media.c"
}


static void noise_media_real_set_has_embedded (NoiseMedia* base, gboolean value) {
	NoiseMedia* self;
	gboolean _tmp0_ = FALSE;
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_has_embedded = _tmp0_;
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "has-embedded");
#line 2139 "Media.c"
}


GIcon* noise_media_get_unique_status_image (NoiseMedia* self) {
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_unique_status_image (self);
#line 2148 "Media.c"
}


static GIcon* noise_media_real_get_unique_status_image (NoiseMedia* base) {
	GIcon* result;
	NoiseMedia* self;
	GIcon* _tmp0_ = NULL;
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_unique_status_image;
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2164 "Media.c"
}


void noise_media_set_unique_status_image (NoiseMedia* self, GIcon* value) {
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_unique_status_image (self, value);
#line 2173 "Media.c"
}


static void noise_media_real_set_unique_status_image (NoiseMedia* base, GIcon* value) {
	NoiseMedia* self;
	GIcon* _tmp0_ = NULL;
	GIcon* _tmp1_ = NULL;
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_object_unref0 (self->priv->_unique_status_image);
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_unique_status_image = _tmp1_;
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "unique-status-image");
#line 2193 "Media.c"
}


gboolean noise_media_get_showIndicator (NoiseMedia* self) {
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_showIndicator (self);
#line 2202 "Media.c"
}


static gboolean noise_media_real_get_showIndicator (NoiseMedia* base) {
	gboolean result;
	NoiseMedia* self;
	gboolean _tmp0_ = FALSE;
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_showIndicator;
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2218 "Media.c"
}


void noise_media_set_showIndicator (NoiseMedia* self, gboolean value) {
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_showIndicator (self, value);
#line 2227 "Media.c"
}


static void noise_media_real_set_showIndicator (NoiseMedia* base, gboolean value) {
	NoiseMedia* self;
	gboolean _tmp0_ = FALSE;
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_showIndicator = _tmp0_;
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "showIndicator");
#line 2242 "Media.c"
}


const gchar* noise_media_get_title (NoiseMedia* self) {
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_title (self);
#line 2251 "Media.c"
}


static const gchar* noise_media_real_get_title (NoiseMedia* base) {
	const gchar* result;
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_title;
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2267 "Media.c"
}


void noise_media_set_title (NoiseMedia* self, const gchar* value) {
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_title (self, value);
#line 2276 "Media.c"
}


static void noise_media_real_set_title (NoiseMedia* base, const gchar* value) {
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_title);
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_title = _tmp1_;
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "title");
#line 2296 "Media.c"
}


guint noise_media_get_track (NoiseMedia* self) {
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_track (self);
#line 2305 "Media.c"
}


static guint noise_media_real_get_track (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_track;
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2321 "Media.c"
}


void noise_media_set_track (NoiseMedia* self, guint value) {
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_track (self, value);
#line 2330 "Media.c"
}


static void noise_media_real_set_track (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_track = _tmp0_;
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "track");
#line 2345 "Media.c"
}


guint noise_media_get_track_count (NoiseMedia* self) {
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_track_count (self);
#line 2354 "Media.c"
}


static guint noise_media_real_get_track_count (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_track_count;
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2370 "Media.c"
}


void noise_media_set_track_count (NoiseMedia* self, guint value) {
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_track_count (self, value);
#line 2379 "Media.c"
}


static void noise_media_real_set_track_count (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_track_count = _tmp0_;
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "track-count");
#line 2394 "Media.c"
}


const gchar* noise_media_get_composer (NoiseMedia* self) {
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_composer (self);
#line 2403 "Media.c"
}


static const gchar* noise_media_real_get_composer (NoiseMedia* base) {
	const gchar* result;
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_composer;
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2419 "Media.c"
}


void noise_media_set_composer (NoiseMedia* self, const gchar* value) {
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_composer (self, value);
#line 2428 "Media.c"
}


static void noise_media_real_set_composer (NoiseMedia* base, const gchar* value) {
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_composer);
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_composer = _tmp1_;
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "composer");
#line 2448 "Media.c"
}


const gchar* noise_media_get_artist (NoiseMedia* self) {
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_artist (self);
#line 2457 "Media.c"
}


static const gchar* noise_media_real_get_artist (NoiseMedia* base) {
	const gchar* result;
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_artist;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2473 "Media.c"
}


void noise_media_set_artist (NoiseMedia* self, const gchar* value) {
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_artist (self, value);
#line 2482 "Media.c"
}


static void noise_media_real_set_artist (NoiseMedia* base, const gchar* value) {
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_artist);
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_artist = _tmp1_;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "artist");
#line 2502 "Media.c"
}


const gchar* noise_media_get_album_artist (NoiseMedia* self) {
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_album_artist (self);
#line 2511 "Media.c"
}


static const gchar* noise_media_real_get_album_artist (NoiseMedia* base) {
	const gchar* result;
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_album_artist;
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2527 "Media.c"
}


void noise_media_set_album_artist (NoiseMedia* self, const gchar* value) {
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_album_artist (self, value);
#line 2536 "Media.c"
}


static void noise_media_real_set_album_artist (NoiseMedia* base, const gchar* value) {
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_album_artist);
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_album_artist = _tmp1_;
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "album-artist");
#line 2556 "Media.c"
}


const gchar* noise_media_get_album (NoiseMedia* self) {
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_album (self);
#line 2565 "Media.c"
}


static const gchar* noise_media_real_get_album (NoiseMedia* base) {
	const gchar* result;
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_album;
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2581 "Media.c"
}


void noise_media_set_album (NoiseMedia* self, const gchar* value) {
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_album (self, value);
#line 2590 "Media.c"
}


static void noise_media_real_set_album (NoiseMedia* base, const gchar* value) {
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_album);
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_album = _tmp1_;
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "album");
#line 2610 "Media.c"
}


guint noise_media_get_album_number (NoiseMedia* self) {
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_album_number (self);
#line 2619 "Media.c"
}


static guint noise_media_real_get_album_number (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_album_number;
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2635 "Media.c"
}


void noise_media_set_album_number (NoiseMedia* self, guint value) {
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_album_number (self, value);
#line 2644 "Media.c"
}


static void noise_media_real_set_album_number (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_album_number = _tmp0_;
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "album-number");
#line 2659 "Media.c"
}


guint noise_media_get_album_count (NoiseMedia* self) {
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_album_count (self);
#line 2668 "Media.c"
}


static guint noise_media_real_get_album_count (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_album_count;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2684 "Media.c"
}


void noise_media_set_album_count (NoiseMedia* self, guint value) {
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_album_count (self, value);
#line 2693 "Media.c"
}


static void noise_media_real_set_album_count (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_album_count = _tmp0_;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "album-count");
#line 2708 "Media.c"
}


NoiseAlbum* noise_media_get_album_info (NoiseMedia* self) {
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_album_info (self);
#line 2717 "Media.c"
}


static NoiseAlbum* noise_media_real_get_album_info (NoiseMedia* base) {
	NoiseAlbum* result;
	NoiseMedia* self;
	NoiseAlbum* _tmp0_ = NULL;
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_album_info;
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2733 "Media.c"
}


void noise_media_set_album_info (NoiseMedia* self, NoiseAlbum* value) {
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_album_info (self, value);
#line 2742 "Media.c"
}


static void noise_media_real_set_album_info (NoiseMedia* base, NoiseAlbum* value) {
	NoiseMedia* self;
	NoiseAlbum* _tmp0_ = NULL;
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_album_info = _tmp0_;
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "album-info");
#line 2757 "Media.c"
}


const gchar* noise_media_get_grouping (NoiseMedia* self) {
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_grouping (self);
#line 2766 "Media.c"
}


static const gchar* noise_media_real_get_grouping (NoiseMedia* base) {
	const gchar* result;
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_grouping;
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2782 "Media.c"
}


void noise_media_set_grouping (NoiseMedia* self, const gchar* value) {
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_grouping (self, value);
#line 2791 "Media.c"
}


static void noise_media_real_set_grouping (NoiseMedia* base, const gchar* value) {
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_grouping);
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_grouping = _tmp1_;
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "grouping");
#line 2811 "Media.c"
}


const gchar* noise_media_get_genre (NoiseMedia* self) {
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_genre (self);
#line 2820 "Media.c"
}


static const gchar* noise_media_real_get_genre (NoiseMedia* base) {
	const gchar* result;
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_genre;
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2836 "Media.c"
}


void noise_media_set_genre (NoiseMedia* self, const gchar* value) {
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_genre (self, value);
#line 2845 "Media.c"
}


static void noise_media_real_set_genre (NoiseMedia* base, const gchar* value) {
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_genre);
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_genre = _tmp1_;
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "genre");
#line 2865 "Media.c"
}


const gchar* noise_media_get_comment (NoiseMedia* self) {
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_comment (self);
#line 2874 "Media.c"
}


static const gchar* noise_media_real_get_comment (NoiseMedia* base) {
	const gchar* result;
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_comment;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2890 "Media.c"
}


void noise_media_set_comment (NoiseMedia* self, const gchar* value) {
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_comment (self, value);
#line 2899 "Media.c"
}


static void noise_media_real_set_comment (NoiseMedia* base, const gchar* value) {
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_comment);
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_comment = _tmp1_;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "comment");
#line 2919 "Media.c"
}


const gchar* noise_media_get_lyrics (NoiseMedia* self) {
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_lyrics (self);
#line 2928 "Media.c"
}


static const gchar* noise_media_real_get_lyrics (NoiseMedia* base) {
	const gchar* result;
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_lyrics;
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2944 "Media.c"
}


void noise_media_set_lyrics (NoiseMedia* self, const gchar* value) {
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_lyrics (self, value);
#line 2953 "Media.c"
}


static void noise_media_real_set_lyrics (NoiseMedia* base, const gchar* value) {
	NoiseMedia* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_lyrics);
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_lyrics = _tmp1_;
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "lyrics");
#line 2973 "Media.c"
}


guint noise_media_get_year (NoiseMedia* self) {
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_year (self);
#line 2982 "Media.c"
}


static guint noise_media_real_get_year (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_year;
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 2998 "Media.c"
}


void noise_media_set_year (NoiseMedia* self, guint value) {
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_year (self, value);
#line 3007 "Media.c"
}


static void noise_media_real_set_year (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_year = _tmp0_;
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "year");
#line 3022 "Media.c"
}


guint noise_media_get_bitrate (NoiseMedia* self) {
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_bitrate (self);
#line 3031 "Media.c"
}


static guint noise_media_real_get_bitrate (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_bitrate;
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3047 "Media.c"
}


void noise_media_set_bitrate (NoiseMedia* self, guint value) {
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_bitrate (self, value);
#line 3056 "Media.c"
}


static void noise_media_real_set_bitrate (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_bitrate = _tmp0_;
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "bitrate");
#line 3071 "Media.c"
}


guint noise_media_get_bpm (NoiseMedia* self) {
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_bpm (self);
#line 3080 "Media.c"
}


static guint noise_media_real_get_bpm (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_bpm;
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3096 "Media.c"
}


void noise_media_set_bpm (NoiseMedia* self, guint value) {
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_bpm (self, value);
#line 3105 "Media.c"
}


static void noise_media_real_set_bpm (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_bpm = _tmp0_;
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "bpm");
#line 3120 "Media.c"
}


guint noise_media_get_samplerate (NoiseMedia* self) {
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_samplerate (self);
#line 3129 "Media.c"
}


static guint noise_media_real_get_samplerate (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_samplerate;
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3145 "Media.c"
}


void noise_media_set_samplerate (NoiseMedia* self, guint value) {
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_samplerate (self, value);
#line 3154 "Media.c"
}


static void noise_media_real_set_samplerate (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_samplerate = _tmp0_;
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "samplerate");
#line 3169 "Media.c"
}


guint noise_media_get_length (NoiseMedia* self) {
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_length (self);
#line 3178 "Media.c"
}


static guint noise_media_real_get_length (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_length;
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3194 "Media.c"
}


void noise_media_set_length (NoiseMedia* self, guint value) {
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_length (self, value);
#line 3203 "Media.c"
}


static void noise_media_real_set_length (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_length = _tmp0_;
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "length");
#line 3218 "Media.c"
}


guint noise_media_get_rating (NoiseMedia* self) {
#line 86 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 86 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_rating (self);
#line 3227 "Media.c"
}


static guint noise_media_real_get_rating (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 86 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 86 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->_rating;
#line 86 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 86 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3243 "Media.c"
}


void noise_media_set_rating (NoiseMedia* self, guint value) {
#line 87 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 87 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_rating (self, value);
#line 3252 "Media.c"
}


static void noise_media_real_set_rating (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
	guint _tmp1_ = 0U;
#line 87 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 87 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 87 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = CLAMP (_tmp0_, (guint) 0, (guint) 5);
#line 87 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->_rating = _tmp1_;
#line 87 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "rating");
#line 3270 "Media.c"
}


guint noise_media_get_play_count (NoiseMedia* self) {
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_play_count (self);
#line 3279 "Media.c"
}


static guint noise_media_real_get_play_count (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_play_count;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3295 "Media.c"
}


void noise_media_set_play_count (NoiseMedia* self, guint value) {
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_play_count (self, value);
#line 3304 "Media.c"
}


static void noise_media_real_set_play_count (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_play_count = _tmp0_;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "play-count");
#line 3319 "Media.c"
}


guint noise_media_get_skip_count (NoiseMedia* self) {
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_skip_count (self);
#line 3328 "Media.c"
}


static guint noise_media_real_get_skip_count (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_skip_count;
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3344 "Media.c"
}


void noise_media_set_skip_count (NoiseMedia* self, guint value) {
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_skip_count (self, value);
#line 3353 "Media.c"
}


static void noise_media_real_set_skip_count (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_skip_count = _tmp0_;
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "skip-count");
#line 3368 "Media.c"
}


guint noise_media_get_date_added (NoiseMedia* self) {
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_date_added (self);
#line 3377 "Media.c"
}


static guint noise_media_real_get_date_added (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_date_added;
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3393 "Media.c"
}


void noise_media_set_date_added (NoiseMedia* self, guint value) {
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_date_added (self, value);
#line 3402 "Media.c"
}


static void noise_media_real_set_date_added (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_date_added = _tmp0_;
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "date-added");
#line 3417 "Media.c"
}


guint noise_media_get_last_played (NoiseMedia* self) {
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_last_played (self);
#line 3426 "Media.c"
}


static guint noise_media_real_get_last_played (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_last_played;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3442 "Media.c"
}


void noise_media_set_last_played (NoiseMedia* self, guint value) {
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_last_played (self, value);
#line 3451 "Media.c"
}


static void noise_media_real_set_last_played (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_last_played = _tmp0_;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "last-played");
#line 3466 "Media.c"
}


guint noise_media_get_last_modified (NoiseMedia* self) {
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_last_modified (self);
#line 3475 "Media.c"
}


static guint noise_media_real_get_last_modified (NoiseMedia* base) {
	guint result;
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_last_modified;
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3491 "Media.c"
}


void noise_media_set_last_modified (NoiseMedia* self, guint value) {
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_last_modified (self, value);
#line 3500 "Media.c"
}


static void noise_media_real_set_last_modified (NoiseMedia* base, guint value) {
	NoiseMedia* self;
	guint _tmp0_ = 0U;
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_last_modified = _tmp0_;
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "last-modified");
#line 3515 "Media.c"
}


gint noise_media_get_resume_pos (NoiseMedia* self) {
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return NOISE_MEDIA_GET_CLASS (self)->get_resume_pos (self);
#line 3524 "Media.c"
}


static gint noise_media_real_get_resume_pos (NoiseMedia* base) {
	gint result;
	NoiseMedia* self;
	gint _tmp0_ = 0;
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = self->priv->_resume_pos;
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	result = _tmp0_;
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	return result;
#line 3540 "Media.c"
}


void noise_media_set_resume_pos (NoiseMedia* self, gint value) {
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_return_if_fail (self != NULL);
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_GET_CLASS (self)->set_resume_pos (self, value);
#line 3549 "Media.c"
}


static void noise_media_real_set_resume_pos (NoiseMedia* base, gint value) {
	NoiseMedia* self;
	gint _tmp0_ = 0;
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = base;
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = value;
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_resume_pos = _tmp0_;
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_notify ((GObject *) self, "resume-pos");
#line 3564 "Media.c"
}


static void noise_media_class_init (NoiseMediaClass * klass) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_parent_class = g_type_class_peek_parent (klass);
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_type_class_add_private (klass, sizeof (NoiseMediaPrivate));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_uri = noise_media_real_get_uri;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_uri = noise_media_real_set_uri;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_file_size = noise_media_real_get_file_size;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_file_size = noise_media_real_set_file_size;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_file_exists = noise_media_real_get_file_exists;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_file = noise_media_real_get_file;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_file = noise_media_real_set_file;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_isPreview = noise_media_real_get_isPreview;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_isPreview = noise_media_real_set_isPreview;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_isTemporary = noise_media_real_get_isTemporary;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_isTemporary = noise_media_real_set_isTemporary;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_location_unknown = noise_media_real_get_location_unknown;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_location_unknown = noise_media_real_set_location_unknown;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_has_embedded = noise_media_real_get_has_embedded;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_has_embedded = noise_media_real_set_has_embedded;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_unique_status_image = noise_media_real_get_unique_status_image;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_unique_status_image = noise_media_real_set_unique_status_image;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_showIndicator = noise_media_real_get_showIndicator;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_showIndicator = noise_media_real_set_showIndicator;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_title = noise_media_real_get_title;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_title = noise_media_real_set_title;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_track = noise_media_real_get_track;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_track = noise_media_real_set_track;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_track_count = noise_media_real_get_track_count;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_track_count = noise_media_real_set_track_count;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_composer = noise_media_real_get_composer;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_composer = noise_media_real_set_composer;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_artist = noise_media_real_get_artist;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_artist = noise_media_real_set_artist;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_album_artist = noise_media_real_get_album_artist;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_album_artist = noise_media_real_set_album_artist;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_album = noise_media_real_get_album;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_album = noise_media_real_set_album;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_album_number = noise_media_real_get_album_number;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_album_number = noise_media_real_set_album_number;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_album_count = noise_media_real_get_album_count;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_album_count = noise_media_real_set_album_count;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_album_info = noise_media_real_get_album_info;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_album_info = noise_media_real_set_album_info;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_grouping = noise_media_real_get_grouping;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_grouping = noise_media_real_set_grouping;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_genre = noise_media_real_get_genre;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_genre = noise_media_real_set_genre;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_comment = noise_media_real_get_comment;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_comment = noise_media_real_set_comment;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_lyrics = noise_media_real_get_lyrics;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_lyrics = noise_media_real_set_lyrics;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_year = noise_media_real_get_year;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_year = noise_media_real_set_year;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_bitrate = noise_media_real_get_bitrate;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_bitrate = noise_media_real_set_bitrate;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_bpm = noise_media_real_get_bpm;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_bpm = noise_media_real_set_bpm;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_samplerate = noise_media_real_get_samplerate;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_samplerate = noise_media_real_set_samplerate;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_length = noise_media_real_get_length;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_length = noise_media_real_set_length;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_rating = noise_media_real_get_rating;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_rating = noise_media_real_set_rating;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_play_count = noise_media_real_get_play_count;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_play_count = noise_media_real_set_play_count;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_skip_count = noise_media_real_get_skip_count;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_skip_count = noise_media_real_set_skip_count;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_date_added = noise_media_real_get_date_added;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_date_added = noise_media_real_set_date_added;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_last_played = noise_media_real_get_last_played;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_last_played = noise_media_real_set_last_played;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_last_modified = noise_media_real_get_last_modified;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_last_modified = noise_media_real_set_last_modified;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->get_resume_pos = noise_media_real_get_resume_pos;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	NOISE_MEDIA_CLASS (klass)->set_resume_pos = noise_media_real_set_resume_pos;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_media_get_property;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_media_set_property;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_media_finalize;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_ROWID, g_param_spec_int64 ("rowid", "rowid", "rowid", G_MININT64, G_MAXINT64, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_URI, g_param_spec_string ("uri", "uri", "uri", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_FILE_SIZE, g_param_spec_uint64 ("file-size", "file-size", "file-size", 0, G_MAXUINT64, (guint64) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_FILE_EXISTS, g_param_spec_boolean ("file-exists", "file-exists", "file-exists", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_FILE, g_param_spec_object ("file", "file", "file", g_file_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_IS_PREVIEW, g_param_spec_boolean ("isPreview", "isPreview", "isPreview", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_IS_TEMPORARY, g_param_spec_boolean ("isTemporary", "isTemporary", "isTemporary", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_LOCATION_UNKNOWN, g_param_spec_boolean ("location-unknown", "location-unknown", "location-unknown", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_HAS_EMBEDDED, g_param_spec_boolean ("has-embedded", "has-embedded", "has-embedded", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_UNIQUE_STATUS_IMAGE, g_param_spec_object ("unique-status-image", "unique-status-image", "unique-status-image", g_icon_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_SHOW_INDICATOR, g_param_spec_boolean ("showIndicator", "showIndicator", "showIndicator", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 3745 "Media.c"
	/**
	     * Metadata Fields
	     */
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_TITLE, g_param_spec_string ("title", "title", "title", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_TRACK, g_param_spec_uint ("track", "track", "track", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_TRACK_COUNT, g_param_spec_uint ("track-count", "track-count", "track-count", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_COMPOSER, g_param_spec_string ("composer", "composer", "composer", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_ARTIST, g_param_spec_string ("artist", "artist", "artist", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_ALBUM_ARTIST, g_param_spec_string ("album-artist", "album-artist", "album-artist", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_ALBUM, g_param_spec_string ("album", "album", "album", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_ALBUM_NUMBER, g_param_spec_uint ("album-number", "album-number", "album-number", 0, G_MAXUINT, (guint) 1, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_ALBUM_COUNT, g_param_spec_uint ("album-count", "album-count", "album-count", 0, G_MAXUINT, (guint) 1, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_ALBUM_INFO, g_param_spec_object ("album-info", "album-info", "album-info", NOISE_TYPE_ALBUM, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_GROUPING, g_param_spec_string ("grouping", "grouping", "grouping", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_GENRE, g_param_spec_string ("genre", "genre", "genre", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_COMMENT, g_param_spec_string ("comment", "comment", "comment", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_LYRICS, g_param_spec_string ("lyrics", "lyrics", "lyrics", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_YEAR, g_param_spec_uint ("year", "year", "year", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_BITRATE, g_param_spec_uint ("bitrate", "bitrate", "bitrate", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_BPM, g_param_spec_uint ("bpm", "bpm", "bpm", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_SAMPLERATE, g_param_spec_uint ("samplerate", "samplerate", "samplerate", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_LENGTH, g_param_spec_uint ("length", "length", "length", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_RATING, g_param_spec_uint ("rating", "rating", "rating", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 3789 "Media.c"
	/**
	     * Internal stats
	     */
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_PLAY_COUNT, g_param_spec_uint ("play-count", "play-count", "play-count", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_SKIP_COUNT, g_param_spec_uint ("skip-count", "skip-count", "skip-count", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_DATE_ADDED, g_param_spec_uint ("date-added", "date-added", "date-added", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_LAST_PLAYED, g_param_spec_uint ("last-played", "last-played", "last-played", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_LAST_MODIFIED, g_param_spec_uint ("last-modified", "last-modified", "last-modified", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_MEDIA_RESUME_POS, g_param_spec_int ("resume-pos", "resume-pos", "resume-pos", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 34 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = _ ("Unknown");
#line 34 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 34 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	noise_media_UNKNOWN = _tmp1_;
#line 3811 "Media.c"
}


static void noise_media_instance_init (NoiseMedia * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv = NOISE_MEDIA_GET_PRIVATE (self);
#line 43 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_file_size = (guint64) 0;
#line 48 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_isPreview = FALSE;
#line 49 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_isTemporary = FALSE;
#line 52 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_location_unknown = FALSE;
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_has_embedded = FALSE;
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_showIndicator = FALSE;
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp0_ = g_strdup ("");
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_title = _tmp0_;
#line 64 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_track = (guint) 0;
#line 65 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_track_count = (guint) 0;
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp1_ = g_strdup ("");
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_composer = _tmp1_;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp2_ = g_strdup ("");
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_artist = _tmp2_;
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp3_ = g_strdup ("");
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_album_artist = _tmp3_;
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp4_ = g_strdup ("");
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_album = _tmp4_;
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_album_number = (guint) 1;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_album_count = (guint) 1;
#line 72 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_album_info = NULL;
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp5_ = g_strdup ("");
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_grouping = _tmp5_;
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp6_ = g_strdup ("");
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_genre = _tmp6_;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp7_ = g_strdup ("");
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_comment = _tmp7_;
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_tmp8_ = g_strdup ("");
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_lyrics = _tmp8_;
#line 77 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_year = (guint) 0;
#line 78 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_bitrate = (guint) 0;
#line 79 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_bpm = (guint) 0;
#line 80 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_samplerate = (guint) 0;
#line 82 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_length = (guint) 0;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_play_count = (guint) 0;
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_skip_count = (guint) 0;
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_date_added = (guint) 0;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_last_played = (guint) 0;
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_last_modified = (guint) 0;
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self->priv->_resume_pos = 0;
#line 3907 "Media.c"
}


static void noise_media_finalize (GObject* obj) {
	NoiseMedia * self;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_MEDIA, NoiseMedia);
#line 46 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_object_unref0 (self->priv->_file);
#line 57 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_object_unref0 (self->priv->_unique_status_image);
#line 63 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_title);
#line 66 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_composer);
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_artist);
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_album_artist);
#line 69 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_album);
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_grouping);
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_genre);
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_comment);
#line 76 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	_g_free0 (self->priv->_lyrics);
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	G_OBJECT_CLASS (noise_media_parent_class)->finalize (obj);
#line 3939 "Media.c"
}


GType noise_media_get_type (void) {
	static volatile gsize noise_media_type_id__volatile = 0;
	if (g_once_init_enter (&noise_media_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseMediaClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_media_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseMedia), 0, (GInstanceInitFunc) noise_media_instance_init, NULL };
		GType noise_media_type_id;
		noise_media_type_id = g_type_register_static (G_TYPE_OBJECT, "NoiseMedia", &g_define_type_info, 0);
		g_once_init_leave (&noise_media_type_id__volatile, noise_media_type_id);
	}
	return noise_media_type_id__volatile;
}


static void _vala_noise_media_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseMedia * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_MEDIA, NoiseMedia);
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	switch (property_id) {
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ROWID:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_int64 (value, noise_media_get_rowid (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_URI:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_take_string (value, noise_media_get_uri (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_FILE_SIZE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint64 (value, noise_media_get_file_size (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_FILE_EXISTS:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_boolean (value, noise_media_get_file_exists (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_FILE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_object (value, noise_media_get_file (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_IS_PREVIEW:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_boolean (value, noise_media_get_isPreview (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_IS_TEMPORARY:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_boolean (value, noise_media_get_isTemporary (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_LOCATION_UNKNOWN:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_boolean (value, noise_media_get_location_unknown (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_HAS_EMBEDDED:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_boolean (value, noise_media_get_has_embedded (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_UNIQUE_STATUS_IMAGE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_object (value, noise_media_get_unique_status_image (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_SHOW_INDICATOR:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_boolean (value, noise_media_get_showIndicator (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_TITLE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_string (value, noise_media_get_title (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_TRACK:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_track (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_TRACK_COUNT:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_track_count (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_COMPOSER:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_string (value, noise_media_get_composer (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ARTIST:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_string (value, noise_media_get_artist (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ALBUM_ARTIST:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_string (value, noise_media_get_album_artist (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ALBUM:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_string (value, noise_media_get_album (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ALBUM_NUMBER:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_album_number (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ALBUM_COUNT:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_album_count (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ALBUM_INFO:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_object (value, noise_media_get_album_info (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_GROUPING:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_string (value, noise_media_get_grouping (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_GENRE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_string (value, noise_media_get_genre (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_COMMENT:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_string (value, noise_media_get_comment (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_LYRICS:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_string (value, noise_media_get_lyrics (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_YEAR:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_year (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_BITRATE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_bitrate (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_BPM:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_bpm (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_SAMPLERATE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_samplerate (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_LENGTH:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_length (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_RATING:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_rating (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_PLAY_COUNT:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_play_count (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_SKIP_COUNT:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_skip_count (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_DATE_ADDED:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_date_added (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_LAST_PLAYED:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_last_played (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_LAST_MODIFIED:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_uint (value, noise_media_get_last_modified (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_RESUME_POS:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		g_value_set_int (value, noise_media_get_resume_pos (self));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 4182 "Media.c"
		default:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 4188 "Media.c"
	}
}


static void _vala_noise_media_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseMedia * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_MEDIA, NoiseMedia);
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
	switch (property_id) {
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ROWID:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_rowid (self, g_value_get_int64 (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_URI:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_uri (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_FILE_SIZE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_file_size (self, g_value_get_uint64 (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_FILE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_file (self, g_value_get_object (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_IS_PREVIEW:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_isPreview (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_IS_TEMPORARY:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_isTemporary (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_LOCATION_UNKNOWN:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_location_unknown (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_HAS_EMBEDDED:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_has_embedded (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_UNIQUE_STATUS_IMAGE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_unique_status_image (self, g_value_get_object (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_SHOW_INDICATOR:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_showIndicator (self, g_value_get_boolean (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_TITLE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_title (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_TRACK:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_track (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_TRACK_COUNT:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_track_count (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_COMPOSER:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_composer (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ARTIST:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_artist (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ALBUM_ARTIST:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_album_artist (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ALBUM:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_album (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ALBUM_NUMBER:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_album_number (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ALBUM_COUNT:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_album_count (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_ALBUM_INFO:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_album_info (self, g_value_get_object (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_GROUPING:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_grouping (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_GENRE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_genre (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_COMMENT:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_comment (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_LYRICS:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_lyrics (self, g_value_get_string (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_YEAR:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_year (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_BITRATE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_bitrate (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_BPM:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_bpm (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_SAMPLERATE:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_samplerate (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_LENGTH:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_length (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_RATING:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_rating (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_PLAY_COUNT:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_play_count (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_SKIP_COUNT:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_skip_count (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_DATE_ADDED:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_date_added (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_LAST_PLAYED:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_last_played (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_LAST_MODIFIED:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_last_modified (self, g_value_get_uint (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		case NOISE_MEDIA_RESUME_POS:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		noise_media_set_resume_pos (self, g_value_get_int (value));
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 4414 "Media.c"
		default:
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "/builddir/build/BUILD/noise-0.4.0.2/core/Media.vala"
		break;
#line 4420 "Media.c"
	}
}



