/* PlaybackManager.c generated by valac 0.34.4, the Vala compiler
 * generated from PlaybackManager.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2013 Noise Developers (http://launchpad.net/noise)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 *              Corentin Noël <tintou@mailoo.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <noise-core.h>
#include <gee.h>
#include <float.h>
#include <math.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <gst/gst.h>
#include <glib/gi18n-lib.h>


#define NOISE_TYPE_PLAYBACK_MANAGER (noise_playback_manager_get_type ())
#define NOISE_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager))
#define NOISE_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))
#define NOISE_IS_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_IS_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_PLAYBACK_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))

typedef struct _NoisePlaybackManager NoisePlaybackManager;
typedef struct _NoisePlaybackManagerClass NoisePlaybackManagerClass;
typedef struct _NoisePlaybackManagerPrivate NoisePlaybackManagerPrivate;

#define NOISE_TYPE_HISTORY_PLAYLIST (noise_history_playlist_get_type ())
#define NOISE_HISTORY_PLAYLIST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_HISTORY_PLAYLIST, NoiseHistoryPlaylist))
#define NOISE_HISTORY_PLAYLIST_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_HISTORY_PLAYLIST, NoiseHistoryPlaylistClass))
#define NOISE_IS_HISTORY_PLAYLIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_HISTORY_PLAYLIST))
#define NOISE_IS_HISTORY_PLAYLIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_HISTORY_PLAYLIST))
#define NOISE_HISTORY_PLAYLIST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_HISTORY_PLAYLIST, NoiseHistoryPlaylistClass))

typedef struct _NoiseHistoryPlaylist NoiseHistoryPlaylist;
typedef struct _NoiseHistoryPlaylistClass NoiseHistoryPlaylistClass;

#define NOISE_TYPE_STREAMER (noise_streamer_get_type ())
#define NOISE_STREAMER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_STREAMER, NoiseStreamer))
#define NOISE_STREAMER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_STREAMER, NoiseStreamerClass))
#define NOISE_IS_STREAMER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_STREAMER))
#define NOISE_IS_STREAMER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_STREAMER))
#define NOISE_STREAMER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_STREAMER, NoiseStreamerClass))

typedef struct _NoiseStreamer NoiseStreamer;
typedef struct _NoiseStreamerClass NoiseStreamerClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block8Data Block8Data;
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NoisePlaybackManager {
	GObject parent_instance;
	NoisePlaybackManagerPrivate * priv;
	NoiseStaticPlaylist* queue_playlist;
	NoiseHistoryPlaylist* history_playlist;
	gint next_gapless_id;
	NoiseStreamer* file_player;
	NoisePlayback* player;
};

struct _NoisePlaybackManagerClass {
	GObjectClass parent_class;
};

struct _NoisePlaybackManagerPrivate {
	GeeTreeSet* playbacks;
	GRecMutex __lock_playbacks;
	GeeHashMap* _current;
	GeeHashMap* _current_shuffled;
	gint _current_index;
	gint _current_shuffled_index;
	gboolean _playing;
	gdouble saved_volume;
	gboolean _playing_queued_song;
	NoiseMedia* _current_media;
};

struct _Block8Data {
	int _ref_count_;
	NoisePlaybackManager* self;
	NoiseMedia* m;
};


static gpointer noise_playback_manager_parent_class = NULL;
static NoisePlayerIface* noise_playback_manager_noise_player_parent_iface = NULL;

GType noise_playback_manager_get_type (void) G_GNUC_CONST;
GType noise_history_playlist_get_type (void) G_GNUC_CONST;
GType noise_streamer_get_type (void) G_GNUC_CONST;
#define NOISE_PLAYBACK_MANAGER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerPrivate))
enum  {
	NOISE_PLAYBACK_MANAGER_DUMMY_PROPERTY,
	NOISE_PLAYBACK_MANAGER_LIBRARY,
	NOISE_PLAYBACK_MANAGER_PLAYING,
	NOISE_PLAYBACK_MANAGER_VOLUME,
	NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA,
	NOISE_PLAYBACK_MANAGER_CURRENT_INDEX
};
NoisePlaybackManager* noise_playback_manager_new (void);
NoisePlaybackManager* noise_playback_manager_construct (GType object_type);
NoiseStreamer* noise_streamer_new (void);
NoiseStreamer* noise_streamer_construct (GType object_type);
static void noise_playback_manager_real_add_playback (NoisePlayer* base, NoisePlayback* playback);
void noise_playback_manager_queue_media (NoisePlaybackManager* self, GeeCollection* to_queue);
void noise_playback_manager_queue_media_by_id (NoisePlaybackManager* self, GeeCollection* ids);
NoiseLibrary* noise_playback_manager_get_library (NoisePlaybackManager* self);
void noise_playback_manager_unqueue_media (NoisePlaybackManager* self, GeeCollection* to_unqueue);
void noise_playback_manager_unqueue_media_by_id (NoisePlaybackManager* self, GeeCollection* ids);
NoiseMedia* noise_playback_manager_peek_queue (NoisePlaybackManager* self);
NoiseMedia* noise_playback_manager_poll_queue (NoisePlaybackManager* self);
gboolean noise_playback_manager_playing_queued_song (NoisePlaybackManager* self);
gboolean noise_playback_manager_is_shuffled (NoisePlaybackManager* self);
NoiseMedia* noise_playback_manager_mediaFromCurrentIndex (NoisePlaybackManager* self, gint index_in_current);
GeeCollection* noise_playback_manager_get_current_media_list (NoisePlaybackManager* self);
void noise_playback_manager_clearCurrent (NoisePlaybackManager* self);
void noise_playback_manager_set_current_index (NoisePlaybackManager* self, gint value);
void noise_playback_manager_reshuffle (NoisePlaybackManager* self);
void noise_playback_manager_addToCurrent (NoisePlaybackManager* self, NoiseMedia* m);
void noise_playback_manager_set_repeat_mode (NoisePlaybackManager* self, NoiseSettingsRepeat mode);
void noise_playback_manager_set_shuffle_mode (NoisePlaybackManager* self, NoiseSettingsShuffle mode);
NoiseMedia* noise_playback_manager_get_current_media (NoisePlaybackManager* self);
NoiseMedia* noise_playback_manager_getNext (NoisePlaybackManager* self, gboolean play);
static void noise_playback_manager_set_current_media (NoisePlaybackManager* self, NoiseMedia* value);
void noise_playback_manager_stop_playback (NoisePlaybackManager* self);
void noise_playback_manager_playMedia (NoisePlaybackManager* self, NoiseMedia* m, gboolean use_resume_pos);
NoiseMedia* noise_playback_manager_getPrevious (NoisePlaybackManager* self, gboolean play);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
void noise_playback_manager_set_volume (NoisePlaybackManager* self, gdouble value);
void noise_playback_manager_change_gains_thread (NoisePlaybackManager* self);
gboolean noise_playback_manager_get_playing (NoisePlaybackManager* self);
static gboolean __lambda27_ (Block8Data* _data8_);
static gboolean ___lambda27__gsource_func (gpointer self);
static void noise_playback_manager_set_playing (NoisePlaybackManager* self, gboolean value);
void noise_playback_manager_start_playback (NoisePlaybackManager* self);
void noise_playback_manager_pause_playback (NoisePlaybackManager* self);
gdouble noise_playback_manager_get_volume (NoisePlaybackManager* self);
gint noise_playback_manager_get_current_index (NoisePlaybackManager* self);
static void g_cclosure_user_marshal_VOID__INT64 (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static GObject * noise_playback_manager_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
NoiseHistoryPlaylist* noise_history_playlist_new (void);
NoiseHistoryPlaylist* noise_history_playlist_construct (GType object_type);
static void noise_playback_manager_finalize (GObject* obj);
static void _vala_noise_playback_manager_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_playback_manager_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static gpointer _g_object_ref0 (gpointer self) {
#line 90 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return self ? g_object_ref (self) : NULL;
#line 184 "PlaybackManager.c"
}


NoisePlaybackManager* noise_playback_manager_construct (GType object_type) {
	NoisePlaybackManager * self = NULL;
	NoiseStreamer* _tmp0_ = NULL;
	GeeTreeSet* _tmp1_ = NULL;
	NoiseStreamer* _tmp2_ = NULL;
	NoiseStreamer* _tmp3_ = NULL;
	NoisePlayback* _tmp4_ = NULL;
#line 87 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self = (NoisePlaybackManager*) g_object_new (object_type, NULL);
#line 88 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_streamer_new ();
#line 88 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->file_player);
#line 88 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->file_player = _tmp0_;
#line 89 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = self->priv->playbacks;
#line 89 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = self->file_player;
#line 89 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (NoisePlayback*) _tmp2_);
#line 90 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = self->file_player;
#line 90 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = _g_object_ref0 ((NoisePlayback*) _tmp3_);
#line 90 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->player);
#line 90 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->player = _tmp4_;
#line 87 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return self;
#line 219 "PlaybackManager.c"
}


NoisePlaybackManager* noise_playback_manager_new (void) {
#line 87 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return noise_playback_manager_construct (NOISE_TYPE_PLAYBACK_MANAGER);
#line 226 "PlaybackManager.c"
}


static void noise_playback_manager_real_add_playback (NoisePlayer* base, NoisePlayback* playback) {
	NoisePlaybackManager * self;
	GeeTreeSet* _tmp0_ = NULL;
	NoisePlayback* _tmp1_ = NULL;
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self = (NoisePlaybackManager*) base;
#line 103 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (playback != NULL);
#line 104 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->playbacks;
#line 104 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = playback;
#line 104 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp0_, _tmp1_);
#line 244 "PlaybackManager.c"
}


void noise_playback_manager_queue_media (NoisePlaybackManager* self, GeeCollection* to_queue) {
	GeeCollection* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	NoiseStaticPlaylist* _tmp3_ = NULL;
	GeeCollection* _tmp4_ = NULL;
	GeeCollection* _tmp5_ = NULL;
#line 111 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 111 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (to_queue != NULL);
#line 112 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = to_queue;
#line 112 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = gee_collection_get_size (_tmp0_);
#line 112 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 112 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp2_ < 1) {
#line 113 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		return;
#line 269 "PlaybackManager.c"
	}
#line 115 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = self->queue_playlist;
#line 115 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = to_queue;
#line 115 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playlist_add_medias ((NoisePlaylist*) _tmp3_, _tmp4_);
#line 117 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp5_ = to_queue;
#line 117 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_emit_by_name (self, "media-queued", _tmp5_);
#line 281 "PlaybackManager.c"
}


void noise_playback_manager_queue_media_by_id (NoisePlaybackManager* self, GeeCollection* ids) {
	NoiseLibrary* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	GeeCollection* _tmp3_ = NULL;
	GeeCollection* _tmp4_ = NULL;
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 120 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (ids != NULL);
#line 121 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_library (self);
#line 121 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 121 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = ids;
#line 121 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = noise_library_medias_from_ids (_tmp1_, _tmp2_);
#line 121 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_;
#line 121 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_queue_media (self, _tmp4_);
#line 121 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp4_);
#line 309 "PlaybackManager.c"
}


void noise_playback_manager_unqueue_media (NoisePlaybackManager* self, GeeCollection* to_unqueue) {
	NoiseStaticPlaylist* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
#line 125 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 125 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (to_unqueue != NULL);
#line 126 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->queue_playlist;
#line 126 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = to_unqueue;
#line 126 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playlist_remove_medias ((NoisePlaylist*) _tmp0_, _tmp1_);
#line 326 "PlaybackManager.c"
}


void noise_playback_manager_unqueue_media_by_id (NoisePlaybackManager* self, GeeCollection* ids) {
	NoiseLibrary* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	GeeCollection* _tmp3_ = NULL;
	GeeCollection* _tmp4_ = NULL;
#line 129 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 129 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (ids != NULL);
#line 130 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_playback_manager_get_library (self);
#line 130 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 130 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = ids;
#line 130 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = noise_library_medias_from_ids (_tmp1_, _tmp2_);
#line 130 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_;
#line 130 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_unqueue_media (self, _tmp4_);
#line 130 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp4_);
#line 354 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_peek_queue (NoisePlaybackManager* self) {
	NoiseMedia* result = NULL;
	NoiseStaticPlaylist* _tmp0_ = NULL;
	GeeArrayQueue* _tmp1_ = NULL;
	GeeArrayQueue* _tmp2_ = NULL;
	gpointer _tmp3_ = NULL;
#line 133 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 134 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->queue_playlist;
#line 134 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp0_);
#line 134 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 134 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = gee_deque_peek_head ((GeeDeque*) _tmp2_);
#line 134 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = (NoiseMedia*) _tmp3_;
#line 134 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 378 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_poll_queue (NoisePlaybackManager* self) {
	NoiseMedia* result = NULL;
	NoiseMedia* m = NULL;
	NoiseStaticPlaylist* _tmp0_ = NULL;
	GeeArrayQueue* _tmp1_ = NULL;
	GeeArrayQueue* _tmp2_ = NULL;
	gpointer _tmp3_ = NULL;
	GeeLinkedList* unqueued = NULL;
	GeeLinkedList* _tmp4_ = NULL;
	NoiseStaticPlaylist* _tmp5_ = NULL;
#line 137 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 138 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->queue_playlist;
#line 138 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp0_);
#line 138 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 138 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = gee_deque_poll_head ((GeeDeque*) _tmp2_);
#line 138 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	m = (NoiseMedia*) _tmp3_;
#line 139 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 139 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	unqueued = _tmp4_;
#line 140 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) unqueued, m);
#line 141 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp5_ = self->queue_playlist;
#line 141 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_emit_by_name ((NoisePlaylist*) _tmp5_, "media-removed", (GeeCollection*) unqueued);
#line 142 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = m;
#line 142 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (unqueued);
#line 142 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 420 "PlaybackManager.c"
}


gboolean noise_playback_manager_playing_queued_song (NoisePlaybackManager* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 148 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 149 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_playing_queued_song;
#line 149 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = _tmp0_;
#line 149 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 435 "PlaybackManager.c"
}


gboolean noise_playback_manager_is_shuffled (NoisePlaybackManager* self) {
	gboolean result = FALSE;
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 152 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 153 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_shuffled;
#line 153 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = gee_abstract_map_get_size ((GeeMap*) _tmp0_);
#line 153 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 153 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = _tmp2_ > 0;
#line 153 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 456 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_mediaFromCurrentIndex (NoisePlaybackManager* self, gint index_in_current) {
	NoiseMedia* result = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsShuffle _tmp2_ = 0;
	NoiseSettingsShuffle _tmp3_ = 0;
	gboolean _tmp4_ = FALSE;
#line 175 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_shuffle_mode (_tmp1_);
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_ == NOISE_SETTINGS_SHUFFLE_OFF;
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp1_);
#line 176 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp4_) {
#line 483 "PlaybackManager.c"
		GeeHashMap* _tmp5_ = NULL;
		gint _tmp6_ = 0;
		gpointer _tmp7_ = NULL;
#line 177 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp5_ = self->priv->_current;
#line 177 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp6_ = index_in_current;
#line 177 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp7_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp5_, (gpointer) ((gintptr) _tmp6_));
#line 177 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		result = (NoiseMedia*) _tmp7_;
#line 177 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		return result;
#line 497 "PlaybackManager.c"
	} else {
		GeeHashMap* _tmp8_ = NULL;
		gint _tmp9_ = 0;
		gpointer _tmp10_ = NULL;
#line 179 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp8_ = self->priv->_current_shuffled;
#line 179 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp9_ = index_in_current;
#line 179 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp10_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp8_, (gpointer) ((gintptr) _tmp9_));
#line 179 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		result = (NoiseMedia*) _tmp10_;
#line 179 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		return result;
#line 512 "PlaybackManager.c"
	}
}


GeeCollection* noise_playback_manager_get_current_media_list (NoisePlaybackManager* self) {
	GeeCollection* result = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsShuffle _tmp2_ = 0;
	NoiseSettingsShuffle _tmp3_ = 0;
	gboolean _tmp4_ = FALSE;
#line 182 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_shuffle_mode (_tmp1_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_ == NOISE_SETTINGS_SHUFFLE_OFF;
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp1_);
#line 183 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp4_) {
#line 540 "PlaybackManager.c"
		GeeHashMap* _tmp5_ = NULL;
		GeeCollection* _tmp6_ = NULL;
		GeeCollection* _tmp7_ = NULL;
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp5_ = self->priv->_current_shuffled;
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp6_ = gee_abstract_map_get_values ((GeeMap*) _tmp5_);
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp7_ = _tmp6_;
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		result = _tmp7_;
#line 184 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		return result;
#line 554 "PlaybackManager.c"
	} else {
		GeeHashMap* _tmp8_ = NULL;
		GeeCollection* _tmp9_ = NULL;
		GeeCollection* _tmp10_ = NULL;
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp8_ = self->priv->_current;
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp9_ = gee_abstract_map_get_values ((GeeMap*) _tmp8_);
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp10_ = _tmp9_;
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		result = _tmp10_;
#line 186 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		return result;
#line 569 "PlaybackManager.c"
	}
}


void noise_playback_manager_clearCurrent (NoisePlaybackManager* self) {
	GeeHashMap* _tmp0_ = NULL;
#line 190 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 191 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_emit_by_name (self, "current-cleared");
#line 192 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current;
#line 192 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 193 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_set_current_index (self, 0);
#line 195 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_reshuffle (self);
#line 588 "PlaybackManager.c"
}


void noise_playback_manager_addToCurrent (NoisePlaybackManager* self, NoiseMedia* m) {
	GeeHashMap* _tmp0_ = NULL;
	GeeHashMap* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	NoiseMedia* _tmp4_ = NULL;
#line 199 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 199 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (m != NULL);
#line 200 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current;
#line 200 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = self->priv->_current;
#line 200 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = gee_abstract_map_get_size ((GeeMap*) _tmp1_);
#line 200 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 200 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = m;
#line 200 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp0_, (gpointer) ((gintptr) _tmp3_), _tmp4_);
#line 614 "PlaybackManager.c"
}


void noise_playback_manager_set_repeat_mode (NoisePlaybackManager* self, NoiseSettingsRepeat mode) {
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsRepeat _tmp2_ = 0;
	NoiseSettingsRepeat _tmp3_ = 0;
	NoiseSettingsRepeat _tmp4_ = 0;
#line 203 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 204 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 204 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	main_settings = _tmp0_;
#line 205 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = main_settings;
#line 205 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_repeat_mode (_tmp1_);
#line 205 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 205 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = mode;
#line 205 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp3_ != _tmp4_) {
#line 641 "PlaybackManager.c"
		NoiseSettingsMain* _tmp5_ = NULL;
		NoiseSettingsRepeat _tmp6_ = 0;
#line 206 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp5_ = main_settings;
#line 206 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp6_ = mode;
#line 206 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_settings_main_set_repeat_mode (_tmp5_, _tmp6_);
#line 650 "PlaybackManager.c"
	}
#line 203 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 654 "PlaybackManager.c"
}


void noise_playback_manager_set_shuffle_mode (NoisePlaybackManager* self, NoiseSettingsShuffle mode) {
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsShuffle _tmp2_ = 0;
	NoiseSettingsShuffle _tmp3_ = 0;
	NoiseSettingsShuffle _tmp4_ = 0;
#line 209 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 210 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 210 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	main_settings = _tmp0_;
#line 211 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = main_settings;
#line 211 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_shuffle_mode (_tmp1_);
#line 211 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 211 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = mode;
#line 211 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp3_ != _tmp4_) {
#line 681 "PlaybackManager.c"
		NoiseSettingsMain* _tmp5_ = NULL;
		NoiseSettingsShuffle _tmp6_ = 0;
#line 212 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp5_ = main_settings;
#line 212 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp6_ = mode;
#line 212 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_settings_main_set_shuffle_mode (_tmp5_, _tmp6_);
#line 213 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_playback_manager_reshuffle (self);
#line 692 "PlaybackManager.c"
	}
#line 209 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 696 "PlaybackManager.c"
}


void noise_playback_manager_reshuffle (NoisePlaybackManager* self) {
	GeeHashMap* _tmp0_ = NULL;
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsMain* _tmp2_ = NULL;
	NoiseSettingsShuffle _tmp3_ = 0;
	NoiseSettingsShuffle _tmp4_ = 0;
#line 217 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 218 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_shuffled;
#line 218 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 219 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->priv->_current_shuffled_index = 0;
#line 221 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = noise_settings_main_get_default ();
#line 221 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	main_settings = _tmp1_;
#line 222 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = main_settings;
#line 222 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = noise_settings_main_get_shuffle_mode (_tmp2_);
#line 222 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = _tmp3_;
#line 222 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp4_ == NOISE_SETTINGS_SHUFFLE_OFF) {
#line 727 "PlaybackManager.c"
		NoiseMedia* _tmp5_ = NULL;
#line 223 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp5_ = self->priv->_current_media;
#line 223 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (_tmp5_ != NULL) {
#line 733 "PlaybackManager.c"
			{
				gint i = 0;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				i = 0;
#line 738 "PlaybackManager.c"
				{
					gboolean _tmp6_ = FALSE;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp6_ = TRUE;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					while (TRUE) {
#line 745 "PlaybackManager.c"
						gint _tmp8_ = 0;
						GeeHashMap* _tmp9_ = NULL;
						gint _tmp10_ = 0;
						gint _tmp11_ = 0;
						GeeHashMap* _tmp12_ = NULL;
						gint _tmp13_ = 0;
						gpointer _tmp14_ = NULL;
						NoiseMedia* _tmp15_ = NULL;
						NoiseMedia* _tmp16_ = NULL;
						gboolean _tmp17_ = FALSE;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (!_tmp6_) {
#line 758 "PlaybackManager.c"
							gint _tmp7_ = 0;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp7_ = i;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							i = _tmp7_ + 1;
#line 764 "PlaybackManager.c"
						}
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp6_ = FALSE;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp8_ = i;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp9_ = self->priv->_current;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp10_ = gee_abstract_map_get_size ((GeeMap*) _tmp9_);
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp11_ = _tmp10_;
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (!(_tmp8_ < _tmp11_)) {
#line 225 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							break;
#line 780 "PlaybackManager.c"
						}
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp12_ = self->priv->_current;
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp13_ = i;
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp14_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp12_, (gpointer) ((gintptr) _tmp13_));
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp15_ = (NoiseMedia*) _tmp14_;
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp16_ = self->priv->_current_media;
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp17_ = _tmp15_ == _tmp16_;
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp15_);
#line 226 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp17_) {
#line 798 "PlaybackManager.c"
							gint _tmp18_ = 0;
#line 227 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp18_ = i;
#line 227 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							self->priv->_current_index = _tmp18_;
#line 228 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (main_settings);
#line 228 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							return;
#line 808 "PlaybackManager.c"
						}
					}
				}
			}
		} else {
#line 232 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			self->priv->_current_index = 0;
#line 816 "PlaybackManager.c"
		}
	} else {
		NoiseSettingsMain* _tmp19_ = NULL;
		NoiseSettingsShuffle _tmp20_ = 0;
		NoiseSettingsShuffle _tmp21_ = 0;
#line 234 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp19_ = main_settings;
#line 234 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp20_ = noise_settings_main_get_shuffle_mode (_tmp19_);
#line 234 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp21_ = _tmp20_;
#line 234 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (_tmp21_ == NOISE_SETTINGS_SHUFFLE_ALL) {
#line 830 "PlaybackManager.c"
			GeeLinkedList* temp = NULL;
			GeeLinkedList* _tmp22_ = NULL;
#line 236 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp22_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 236 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			temp = _tmp22_;
#line 837 "PlaybackManager.c"
			{
				GeeIterator* _m_it = NULL;
				GeeHashMap* _tmp23_ = NULL;
				GeeCollection* _tmp24_ = NULL;
				GeeCollection* _tmp25_ = NULL;
				GeeCollection* _tmp26_ = NULL;
				GeeIterator* _tmp27_ = NULL;
				GeeIterator* _tmp28_ = NULL;
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp23_ = self->priv->_current;
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp24_ = gee_abstract_map_get_values ((GeeMap*) _tmp23_);
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp25_ = _tmp24_;
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp26_ = _tmp25_;
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp27_ = gee_iterable_iterator ((GeeIterable*) _tmp26_);
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp28_ = _tmp27_;
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (_tmp26_);
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_m_it = _tmp28_;
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				while (TRUE) {
#line 864 "PlaybackManager.c"
					GeeIterator* _tmp29_ = NULL;
					gboolean _tmp30_ = FALSE;
					NoiseMedia* m = NULL;
					GeeIterator* _tmp31_ = NULL;
					gpointer _tmp32_ = NULL;
					GeeLinkedList* _tmp33_ = NULL;
					NoiseMedia* _tmp34_ = NULL;
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp29_ = _m_it;
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp30_ = gee_iterator_next (_tmp29_);
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (!_tmp30_) {
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						break;
#line 880 "PlaybackManager.c"
					}
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp31_ = _m_it;
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp32_ = gee_iterator_get (_tmp31_);
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					m = (NoiseMedia*) _tmp32_;
#line 238 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp33_ = temp;
#line 238 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp34_ = m;
#line 238 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp33_, _tmp34_);
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_object_unref0 (m);
#line 896 "PlaybackManager.c"
				}
#line 237 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (_m_it);
#line 900 "PlaybackManager.c"
			}
			{
				gint i = 0;
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				i = 1;
#line 906 "PlaybackManager.c"
				{
					gboolean _tmp35_ = FALSE;
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp35_ = TRUE;
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					while (TRUE) {
#line 913 "PlaybackManager.c"
						gint _tmp37_ = 0;
						GeeHashMap* _tmp38_ = NULL;
						gint _tmp39_ = 0;
						gint _tmp40_ = 0;
						gint n_media = 0;
						GeeLinkedList* _tmp41_ = NULL;
						gint _tmp42_ = 0;
						gint _tmp43_ = 0;
						gint _tmp44_ = 0;
						gint _tmp45_ = 0;
						gint _tmp46_ = 0;
						gint random = 0;
						gboolean _tmp49_ = FALSE;
						NoiseMedia* _tmp50_ = NULL;
						GeeLinkedList* _tmp65_ = NULL;
						GeeLinkedList* _tmp66_ = NULL;
						gint _tmp67_ = 0;
						gpointer _tmp68_ = NULL;
						NoiseMedia* _tmp69_ = NULL;
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (!_tmp35_) {
#line 935 "PlaybackManager.c"
							gint _tmp36_ = 0;
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp36_ = i;
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							i = _tmp36_ + 1;
#line 941 "PlaybackManager.c"
						}
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp35_ = FALSE;
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp37_ = i;
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp38_ = self->priv->_current;
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp39_ = gee_abstract_map_get_size ((GeeMap*) _tmp38_);
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp40_ = _tmp39_;
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (!(_tmp37_ < _tmp40_)) {
#line 244 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							break;
#line 957 "PlaybackManager.c"
						}
#line 245 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp41_ = temp;
#line 245 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp42_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp41_);
#line 245 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp43_ = _tmp42_;
#line 245 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						n_media = _tmp43_;
#line 246 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp44_ = n_media;
#line 246 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp44_ == 0) {
#line 247 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							break;
#line 973 "PlaybackManager.c"
						}
#line 249 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp46_ = n_media;
#line 249 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp46_ <= 1) {
#line 249 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp45_ = 0;
#line 981 "PlaybackManager.c"
						} else {
							gint _tmp47_ = 0;
							gint32 _tmp48_ = 0;
#line 249 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp47_ = n_media;
#line 249 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp48_ = g_random_int_range ((gint32) 0, (gint32) (_tmp47_ - 1));
#line 249 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp45_ = (gint) _tmp48_;
#line 991 "PlaybackManager.c"
						}
#line 249 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						random = _tmp45_;
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp50_ = self->priv->_current_media;
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp50_ != NULL) {
#line 999 "PlaybackManager.c"
							GeeLinkedList* _tmp51_ = NULL;
							gint _tmp52_ = 0;
							gpointer _tmp53_ = NULL;
							NoiseMedia* _tmp54_ = NULL;
							NoiseMedia* _tmp55_ = NULL;
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp51_ = temp;
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp52_ = random;
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp53_ = gee_abstract_list_get ((GeeAbstractList*) _tmp51_, _tmp52_);
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp54_ = (NoiseMedia*) _tmp53_;
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp55_ = self->priv->_current_media;
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp49_ = _tmp54_ == _tmp55_;
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp54_);
#line 1019 "PlaybackManager.c"
						} else {
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp49_ = FALSE;
#line 1023 "PlaybackManager.c"
						}
#line 251 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp49_) {
#line 1027 "PlaybackManager.c"
							GeeHashMap* _tmp56_ = NULL;
							NoiseMedia* _tmp57_ = NULL;
							gint _tmp58_ = 0;
#line 252 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp56_ = self->priv->_current_shuffled;
#line 252 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp57_ = self->priv->_current_media;
#line 252 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							gee_abstract_map_set ((GeeAbstractMap*) _tmp56_, (gpointer) ((gintptr) 0), _tmp57_);
#line 253 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp58_ = i;
#line 253 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							i = _tmp58_ - 1;
#line 1041 "PlaybackManager.c"
						} else {
							GeeHashMap* _tmp59_ = NULL;
							gint _tmp60_ = 0;
							GeeLinkedList* _tmp61_ = NULL;
							gint _tmp62_ = 0;
							gpointer _tmp63_ = NULL;
							NoiseMedia* _tmp64_ = NULL;
#line 255 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp59_ = self->priv->_current_shuffled;
#line 255 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp60_ = i;
#line 255 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp61_ = temp;
#line 255 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp62_ = random;
#line 255 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp63_ = gee_abstract_list_get ((GeeAbstractList*) _tmp61_, _tmp62_);
#line 255 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp64_ = (NoiseMedia*) _tmp63_;
#line 255 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							gee_abstract_map_set ((GeeAbstractMap*) _tmp59_, (gpointer) ((gintptr) _tmp60_), _tmp64_);
#line 255 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp64_);
#line 1065 "PlaybackManager.c"
						}
#line 257 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp65_ = temp;
#line 257 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp66_ = temp;
#line 257 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp67_ = random;
#line 257 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp68_ = gee_abstract_list_get ((GeeAbstractList*) _tmp66_, _tmp67_);
#line 257 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp69_ = (NoiseMedia*) _tmp68_;
#line 257 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp65_, _tmp69_);
#line 257 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp69_);
#line 1081 "PlaybackManager.c"
					}
				}
			}
#line 234 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_g_object_unref0 (temp);
#line 1087 "PlaybackManager.c"
		}
	}
#line 217 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 1092 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_getNext (NoisePlaybackManager* self, gboolean play) {
	NoiseMedia* result = NULL;
	NoiseMedia* rv = NULL;
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseStaticPlaylist* _tmp1_ = NULL;
	GeeArrayQueue* _tmp2_ = NULL;
	GeeArrayQueue* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	gint _tmp5_ = 0;
	gboolean _tmp195_ = FALSE;
#line 262 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 263 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	rv = NULL;
#line 265 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 265 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	main_settings = _tmp0_;
#line 267 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = self->queue_playlist;
#line 267 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = noise_playlist_get_medias ((NoisePlaylist*) _tmp1_);
#line 267 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 267 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp3_);
#line 267 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp5_ = _tmp4_;
#line 267 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp5_ > 0) {
#line 1127 "PlaybackManager.c"
		NoiseMedia* _tmp6_ = NULL;
#line 268 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp6_ = noise_playback_manager_poll_queue (self);
#line 268 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (rv);
#line 268 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		rv = _tmp6_;
#line 269 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		self->priv->_playing_queued_song = TRUE;
#line 1137 "PlaybackManager.c"
	} else {
		NoiseSettingsMain* _tmp7_ = NULL;
		NoiseSettingsShuffle _tmp8_ = 0;
		NoiseSettingsShuffle _tmp9_ = 0;
#line 270 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp7_ = main_settings;
#line 270 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp8_ = noise_settings_main_get_shuffle_mode (_tmp7_);
#line 270 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp9_ = _tmp8_;
#line 270 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (_tmp9_ != NOISE_SETTINGS_SHUFFLE_OFF) {
#line 1150 "PlaybackManager.c"
			GeeHashMap* _tmp10_ = NULL;
			gboolean _tmp11_ = FALSE;
			gboolean _tmp12_ = FALSE;
			NoiseMedia* _tmp24_ = NULL;
#line 271 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp10_ = self->priv->_current_shuffled;
#line 271 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp11_ = gee_map_get_is_empty ((GeeMap*) _tmp10_);
#line 271 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp12_ = _tmp11_;
#line 271 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			if (_tmp12_) {
#line 1163 "PlaybackManager.c"
				{
					GeeIterator* _s_it = NULL;
					NoiseLibrary* _tmp13_ = NULL;
					NoiseLibrary* _tmp14_ = NULL;
					GeeCollection* _tmp15_ = NULL;
					GeeCollection* _tmp16_ = NULL;
					GeeIterator* _tmp17_ = NULL;
					GeeIterator* _tmp18_ = NULL;
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp13_ = noise_playback_manager_get_library (self);
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp14_ = _tmp13_;
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp15_ = noise_library_get_medias (_tmp14_);
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp16_ = _tmp15_;
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp17_ = gee_iterable_iterator ((GeeIterable*) _tmp16_);
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp18_ = _tmp17_;
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_object_unref0 (_tmp16_);
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_s_it = _tmp18_;
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					while (TRUE) {
#line 1190 "PlaybackManager.c"
						GeeIterator* _tmp19_ = NULL;
						gboolean _tmp20_ = FALSE;
						NoiseMedia* s = NULL;
						GeeIterator* _tmp21_ = NULL;
						gpointer _tmp22_ = NULL;
						NoiseMedia* _tmp23_ = NULL;
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp19_ = _s_it;
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp20_ = gee_iterator_next (_tmp19_);
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (!_tmp20_) {
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							break;
#line 1205 "PlaybackManager.c"
						}
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp21_ = _s_it;
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp22_ = gee_iterator_get (_tmp21_);
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						s = (NoiseMedia*) _tmp22_;
#line 273 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp23_ = s;
#line 273 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						noise_playback_manager_addToCurrent (self, _tmp23_);
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (s);
#line 1219 "PlaybackManager.c"
					}
#line 272 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_object_unref0 (_s_it);
#line 1223 "PlaybackManager.c"
				}
#line 274 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				noise_playback_manager_reshuffle (self);
#line 1227 "PlaybackManager.c"
			}
#line 276 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			self->priv->_playing_queued_song = FALSE;
#line 278 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp24_ = self->priv->_current_media;
#line 278 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			if (_tmp24_ == NULL) {
#line 1235 "PlaybackManager.c"
				GeeHashMap* _tmp25_ = NULL;
				gpointer _tmp26_ = NULL;
#line 279 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				self->priv->_current_shuffled_index = 0;
#line 280 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp25_ = self->priv->_current_shuffled;
#line 280 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp26_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp25_, (gpointer) ((gintptr) 0));
#line 280 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (rv);
#line 280 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				rv = (NoiseMedia*) _tmp26_;
#line 1248 "PlaybackManager.c"
			} else {
				NoiseSettingsMain* _tmp27_ = NULL;
				NoiseSettingsRepeat _tmp28_ = 0;
				NoiseSettingsRepeat _tmp29_ = 0;
#line 281 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp27_ = main_settings;
#line 281 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp28_ = noise_settings_main_get_repeat_mode (_tmp27_);
#line 281 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp29_ = _tmp28_;
#line 281 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (_tmp29_ == NOISE_SETTINGS_REPEAT_MEDIA) {
#line 1261 "PlaybackManager.c"
					GeeHashMap* _tmp30_ = NULL;
					gint _tmp31_ = 0;
					gpointer _tmp32_ = NULL;
#line 282 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp30_ = self->priv->_current_shuffled;
#line 282 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp31_ = self->priv->_current_shuffled_index;
#line 282 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp32_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp30_, (gpointer) ((gintptr) _tmp31_));
#line 282 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_object_unref0 (rv);
#line 282 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					rv = (NoiseMedia*) _tmp32_;
#line 1275 "PlaybackManager.c"
				} else {
					gint _tmp33_ = 0;
					GeeHashMap* _tmp34_ = NULL;
					gint _tmp35_ = 0;
					gint _tmp36_ = 0;
#line 283 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp33_ = self->priv->_current_shuffled_index;
#line 283 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp34_ = self->priv->_current_shuffled;
#line 283 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp35_ = gee_abstract_map_get_size ((GeeMap*) _tmp34_);
#line 283 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp36_ = _tmp35_;
#line 283 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp33_ == (_tmp36_ - 1)) {
#line 1291 "PlaybackManager.c"
						NoiseSettingsMain* _tmp37_ = NULL;
						NoiseSettingsRepeat _tmp38_ = 0;
						NoiseSettingsRepeat _tmp39_ = 0;
						GeeHashMap* _tmp43_ = NULL;
						gpointer _tmp44_ = NULL;
#line 284 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp37_ = main_settings;
#line 284 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp38_ = noise_settings_main_get_repeat_mode (_tmp37_);
#line 284 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp39_ = _tmp38_;
#line 284 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp39_ == NOISE_SETTINGS_REPEAT_ALL) {
#line 285 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							self->priv->_current_shuffled_index = 0;
#line 1307 "PlaybackManager.c"
						} else {
							GeeHashMap* _tmp40_ = NULL;
							GeeHashMap* _tmp41_ = NULL;
							gboolean _tmp42_ = FALSE;
#line 288 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							noise_playback_manager_set_current_media (self, NULL);
#line 289 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp40_ = self->priv->_current_shuffled;
#line 289 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							gee_abstract_map_clear ((GeeAbstractMap*) _tmp40_);
#line 290 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp41_ = self->priv->_current;
#line 290 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							gee_abstract_map_clear ((GeeAbstractMap*) _tmp41_);
#line 291 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							self->priv->_current_shuffled_index = 0;
#line 292 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							self->priv->_current_index = 0;
#line 294 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp42_ = play;
#line 294 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp42_) {
#line 295 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								noise_playback_manager_stop_playback (self);
#line 1332 "PlaybackManager.c"
							}
#line 298 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							result = NULL;
#line 298 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (main_settings);
#line 298 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 298 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							return result;
#line 1342 "PlaybackManager.c"
						}
#line 301 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp43_ = self->priv->_current_shuffled;
#line 301 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp44_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp43_, (gpointer) ((gintptr) 0));
#line 301 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 301 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp44_;
#line 1352 "PlaybackManager.c"
					} else {
						gboolean _tmp45_ = FALSE;
						gint _tmp46_ = 0;
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp46_ = self->priv->_current_shuffled_index;
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp46_ >= 0) {
#line 1360 "PlaybackManager.c"
							gint _tmp47_ = 0;
							GeeHashMap* _tmp48_ = NULL;
							gint _tmp49_ = 0;
							gint _tmp50_ = 0;
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp47_ = self->priv->_current_shuffled_index;
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp48_ = self->priv->_current_shuffled;
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp49_ = gee_abstract_map_get_size ((GeeMap*) _tmp48_);
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp50_ = _tmp49_;
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp45_ = _tmp47_ < (_tmp50_ - 1);
#line 1375 "PlaybackManager.c"
						} else {
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp45_ = FALSE;
#line 1379 "PlaybackManager.c"
						}
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp45_) {
#line 1383 "PlaybackManager.c"
							NoiseMedia* next_current = NULL;
							GeeHashMap* _tmp51_ = NULL;
							gint _tmp52_ = 0;
							gpointer _tmp53_ = NULL;
							NoiseMedia* now_current = NULL;
							GeeHashMap* _tmp54_ = NULL;
							gint _tmp55_ = 0;
							gpointer _tmp56_ = NULL;
							gboolean _tmp57_ = FALSE;
							NoiseSettingsMain* _tmp58_ = NULL;
							NoiseSettingsRepeat _tmp59_ = 0;
							NoiseSettingsRepeat _tmp60_ = 0;
							GeeHashMap* _tmp100_ = NULL;
							gint _tmp101_ = 0;
							gpointer _tmp102_ = NULL;
#line 304 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp51_ = self->priv->_current_shuffled;
#line 304 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp52_ = self->priv->_current_shuffled_index;
#line 304 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp53_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp51_, (gpointer) ((gintptr) (_tmp52_ + 1)));
#line 304 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							next_current = (NoiseMedia*) _tmp53_;
#line 305 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp54_ = self->priv->_current_shuffled;
#line 305 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp55_ = self->priv->_current_shuffled_index;
#line 305 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp56_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp54_, (gpointer) ((gintptr) _tmp55_));
#line 305 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							now_current = (NoiseMedia*) _tmp56_;
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp58_ = main_settings;
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp59_ = noise_settings_main_get_repeat_mode (_tmp58_);
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp60_ = _tmp59_;
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp60_ == NOISE_SETTINGS_REPEAT_ARTIST) {
#line 1423 "PlaybackManager.c"
								NoiseMedia* _tmp61_ = NULL;
								const gchar* _tmp62_ = NULL;
								const gchar* _tmp63_ = NULL;
								NoiseMedia* _tmp64_ = NULL;
								const gchar* _tmp65_ = NULL;
								const gchar* _tmp66_ = NULL;
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp61_ = next_current;
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp62_ = noise_media_get_artist (_tmp61_);
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp63_ = _tmp62_;
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp64_ = now_current;
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp65_ = noise_media_get_artist (_tmp64_);
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp66_ = _tmp65_;
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp57_ = g_strcmp0 (_tmp63_, _tmp66_) != 0;
#line 1444 "PlaybackManager.c"
							} else {
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp57_ = FALSE;
#line 1448 "PlaybackManager.c"
							}
#line 307 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp57_) {
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								while (TRUE) {
#line 1454 "PlaybackManager.c"
									GeeHashMap* _tmp67_ = NULL;
									gint _tmp68_ = 0;
									gpointer _tmp69_ = NULL;
									NoiseMedia* _tmp70_ = NULL;
									const gchar* _tmp71_ = NULL;
									const gchar* _tmp72_ = NULL;
									NoiseMedia* _tmp73_ = NULL;
									const gchar* _tmp74_ = NULL;
									const gchar* _tmp75_ = NULL;
									gboolean _tmp76_ = FALSE;
									gint _tmp77_ = 0;
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp67_ = self->priv->_current_shuffled;
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp68_ = self->priv->_current_shuffled_index;
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp69_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp67_, (gpointer) ((gintptr) (_tmp68_ - 1)));
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp70_ = (NoiseMedia*) _tmp69_;
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp71_ = noise_media_get_artist (_tmp70_);
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp72_ = _tmp71_;
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp73_ = self->priv->_current_media;
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp74_ = noise_media_get_artist (_tmp73_);
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp75_ = _tmp74_;
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp76_ = !(g_strcmp0 (_tmp72_, _tmp75_) == 0);
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_g_object_unref0 (_tmp70_);
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									if (_tmp76_) {
#line 308 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										break;
#line 1492 "PlaybackManager.c"
									}
#line 309 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp77_ = self->priv->_current_shuffled_index;
#line 309 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									self->priv->_current_shuffled_index = _tmp77_ - 1;
#line 1498 "PlaybackManager.c"
								}
							} else {
								gboolean _tmp78_ = FALSE;
								NoiseSettingsMain* _tmp79_ = NULL;
								NoiseSettingsRepeat _tmp80_ = 0;
								NoiseSettingsRepeat _tmp81_ = 0;
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp79_ = main_settings;
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp80_ = noise_settings_main_get_repeat_mode (_tmp79_);
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp81_ = _tmp80_;
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								if (_tmp81_ == NOISE_SETTINGS_REPEAT_ALBUM) {
#line 1513 "PlaybackManager.c"
									NoiseMedia* _tmp82_ = NULL;
									const gchar* _tmp83_ = NULL;
									const gchar* _tmp84_ = NULL;
									NoiseMedia* _tmp85_ = NULL;
									const gchar* _tmp86_ = NULL;
									const gchar* _tmp87_ = NULL;
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp82_ = next_current;
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp83_ = noise_media_get_album (_tmp82_);
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp84_ = _tmp83_;
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp85_ = now_current;
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp86_ = noise_media_get_album (_tmp85_);
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp87_ = _tmp86_;
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp78_ = g_strcmp0 (_tmp84_, _tmp87_) != 0;
#line 1534 "PlaybackManager.c"
								} else {
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp78_ = FALSE;
#line 1538 "PlaybackManager.c"
								}
#line 311 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								if (_tmp78_) {
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									while (TRUE) {
#line 1544 "PlaybackManager.c"
										GeeHashMap* _tmp88_ = NULL;
										gint _tmp89_ = 0;
										gpointer _tmp90_ = NULL;
										NoiseMedia* _tmp91_ = NULL;
										const gchar* _tmp92_ = NULL;
										const gchar* _tmp93_ = NULL;
										NoiseMedia* _tmp94_ = NULL;
										const gchar* _tmp95_ = NULL;
										const gchar* _tmp96_ = NULL;
										gboolean _tmp97_ = FALSE;
										gint _tmp98_ = 0;
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp88_ = self->priv->_current_shuffled;
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp89_ = self->priv->_current_shuffled_index;
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp90_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp88_, (gpointer) ((gintptr) (_tmp89_ - 1)));
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp91_ = (NoiseMedia*) _tmp90_;
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp92_ = noise_media_get_album (_tmp91_);
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp93_ = _tmp92_;
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp94_ = self->priv->_current_media;
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp95_ = noise_media_get_album (_tmp94_);
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp96_ = _tmp95_;
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp97_ = !(g_strcmp0 (_tmp93_, _tmp96_) == 0);
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_g_object_unref0 (_tmp91_);
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										if (_tmp97_) {
#line 312 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
											break;
#line 1582 "PlaybackManager.c"
										}
#line 313 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp98_ = self->priv->_current_shuffled_index;
#line 313 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										self->priv->_current_shuffled_index = _tmp98_ - 1;
#line 1588 "PlaybackManager.c"
									}
								} else {
									gint _tmp99_ = 0;
#line 316 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp99_ = self->priv->_current_shuffled_index;
#line 316 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									self->priv->_current_shuffled_index = _tmp99_ + 1;
#line 1596 "PlaybackManager.c"
								}
							}
#line 319 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp100_ = self->priv->_current_shuffled;
#line 319 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp101_ = self->priv->_current_shuffled_index;
#line 319 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp102_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp100_, (gpointer) ((gintptr) _tmp101_));
#line 319 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 319 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							rv = (NoiseMedia*) _tmp102_;
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (now_current);
#line 302 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (next_current);
#line 1613 "PlaybackManager.c"
						} else {
							GeeHashMap* _tmp103_ = NULL;
							gpointer _tmp104_ = NULL;
#line 321 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							self->priv->_current_shuffled_index = 0;
#line 322 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							noise_playback_manager_set_shuffle_mode (self, NOISE_SETTINGS_SHUFFLE_ALL);
#line 323 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp103_ = self->priv->_current_shuffled;
#line 323 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp104_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp103_, (gpointer) ((gintptr) 0));
#line 323 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 323 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							rv = (NoiseMedia*) _tmp104_;
#line 1629 "PlaybackManager.c"
						}
					}
				}
			}
		} else {
			NoiseMedia* _tmp105_ = NULL;
#line 326 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			self->priv->_playing_queued_song = FALSE;
#line 328 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp105_ = self->priv->_current_media;
#line 328 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			if (_tmp105_ == NULL) {
#line 1642 "PlaybackManager.c"
				GeeHashMap* _tmp106_ = NULL;
				gpointer _tmp107_ = NULL;
#line 329 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				self->priv->_current_index = 0;
#line 330 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp106_ = self->priv->_current;
#line 330 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp107_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp106_, (gpointer) ((gintptr) 0));
#line 330 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (rv);
#line 330 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				rv = (NoiseMedia*) _tmp107_;
#line 1655 "PlaybackManager.c"
			} else {
				NoiseSettingsMain* _tmp108_ = NULL;
				NoiseSettingsRepeat _tmp109_ = 0;
				NoiseSettingsRepeat _tmp110_ = 0;
#line 331 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp108_ = main_settings;
#line 331 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp109_ = noise_settings_main_get_repeat_mode (_tmp108_);
#line 331 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp110_ = _tmp109_;
#line 331 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (_tmp110_ == NOISE_SETTINGS_REPEAT_MEDIA) {
#line 1668 "PlaybackManager.c"
					GeeHashMap* _tmp111_ = NULL;
					gint _tmp112_ = 0;
					gpointer _tmp113_ = NULL;
#line 332 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp111_ = self->priv->_current;
#line 332 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp112_ = self->priv->_current_index;
#line 332 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp113_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp111_, (gpointer) ((gintptr) _tmp112_));
#line 332 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_object_unref0 (rv);
#line 332 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					rv = (NoiseMedia*) _tmp113_;
#line 1682 "PlaybackManager.c"
				} else {
					gint _tmp114_ = 0;
					GeeHashMap* _tmp115_ = NULL;
					gint _tmp116_ = 0;
					gint _tmp117_ = 0;
#line 333 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp114_ = self->priv->_current_index;
#line 333 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp115_ = self->priv->_current;
#line 333 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp116_ = gee_abstract_map_get_size ((GeeMap*) _tmp115_);
#line 333 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp117_ = _tmp116_;
#line 333 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp114_ == (_tmp117_ - 1)) {
#line 1698 "PlaybackManager.c"
						NoiseSettingsMain* _tmp118_ = NULL;
						NoiseSettingsRepeat _tmp119_ = 0;
						NoiseSettingsRepeat _tmp120_ = 0;
						GeeHashMap* _tmp122_ = NULL;
						gpointer _tmp123_ = NULL;
#line 334 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp118_ = main_settings;
#line 334 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp119_ = noise_settings_main_get_repeat_mode (_tmp118_);
#line 334 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp120_ = _tmp119_;
#line 334 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp120_ == NOISE_SETTINGS_REPEAT_ALL) {
#line 335 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							self->priv->_current_index = 0;
#line 1714 "PlaybackManager.c"
						} else {
							gboolean _tmp121_ = FALSE;
#line 337 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp121_ = play;
#line 337 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp121_) {
#line 338 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								noise_playback_manager_stop_playback (self);
#line 1723 "PlaybackManager.c"
							}
#line 340 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							result = NULL;
#line 340 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (main_settings);
#line 340 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 340 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							return result;
#line 1733 "PlaybackManager.c"
						}
#line 343 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp122_ = self->priv->_current;
#line 343 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp123_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp122_, (gpointer) ((gintptr) 0));
#line 343 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 343 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp123_;
#line 1743 "PlaybackManager.c"
					} else {
						gboolean _tmp124_ = FALSE;
						gint _tmp125_ = 0;
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp125_ = self->priv->_current_index;
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp125_ >= 0) {
#line 1751 "PlaybackManager.c"
							gint _tmp126_ = 0;
							GeeHashMap* _tmp127_ = NULL;
							gint _tmp128_ = 0;
							gint _tmp129_ = 0;
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp126_ = self->priv->_current_index;
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp127_ = self->priv->_current;
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp128_ = gee_abstract_map_get_size ((GeeMap*) _tmp127_);
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp129_ = _tmp128_;
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp124_ = _tmp126_ < (_tmp129_ - 1);
#line 1766 "PlaybackManager.c"
						} else {
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp124_ = FALSE;
#line 1770 "PlaybackManager.c"
						}
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp124_) {
#line 1774 "PlaybackManager.c"
							NoiseMedia* next_current = NULL;
							GeeHashMap* _tmp130_ = NULL;
							gint _tmp131_ = 0;
							gpointer _tmp132_ = NULL;
							NoiseMedia* now_current = NULL;
							GeeHashMap* _tmp133_ = NULL;
							gint _tmp134_ = 0;
							gpointer _tmp135_ = NULL;
							gboolean _tmp136_ = FALSE;
							NoiseSettingsMain* _tmp137_ = NULL;
							NoiseSettingsRepeat _tmp138_ = 0;
							NoiseSettingsRepeat _tmp139_ = 0;
							GeeHashMap* _tmp179_ = NULL;
							gint _tmp180_ = 0;
							gpointer _tmp181_ = NULL;
#line 346 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp130_ = self->priv->_current;
#line 346 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp131_ = self->priv->_current_index;
#line 346 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp132_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp130_, (gpointer) ((gintptr) (_tmp131_ + 1)));
#line 346 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							next_current = (NoiseMedia*) _tmp132_;
#line 347 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp133_ = self->priv->_current;
#line 347 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp134_ = self->priv->_current_index;
#line 347 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp135_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp133_, (gpointer) ((gintptr) _tmp134_));
#line 347 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							now_current = (NoiseMedia*) _tmp135_;
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp137_ = main_settings;
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp138_ = noise_settings_main_get_repeat_mode (_tmp137_);
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp139_ = _tmp138_;
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp139_ == NOISE_SETTINGS_REPEAT_ARTIST) {
#line 1814 "PlaybackManager.c"
								NoiseMedia* _tmp140_ = NULL;
								const gchar* _tmp141_ = NULL;
								const gchar* _tmp142_ = NULL;
								NoiseMedia* _tmp143_ = NULL;
								const gchar* _tmp144_ = NULL;
								const gchar* _tmp145_ = NULL;
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp140_ = next_current;
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp141_ = noise_media_get_artist (_tmp140_);
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp142_ = _tmp141_;
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp143_ = now_current;
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp144_ = noise_media_get_artist (_tmp143_);
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp145_ = _tmp144_;
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp136_ = g_strcmp0 (_tmp142_, _tmp145_) != 0;
#line 1835 "PlaybackManager.c"
							} else {
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp136_ = FALSE;
#line 1839 "PlaybackManager.c"
							}
#line 349 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp136_) {
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								while (TRUE) {
#line 1845 "PlaybackManager.c"
									GeeHashMap* _tmp146_ = NULL;
									gint _tmp147_ = 0;
									gpointer _tmp148_ = NULL;
									NoiseMedia* _tmp149_ = NULL;
									const gchar* _tmp150_ = NULL;
									const gchar* _tmp151_ = NULL;
									NoiseMedia* _tmp152_ = NULL;
									const gchar* _tmp153_ = NULL;
									const gchar* _tmp154_ = NULL;
									gboolean _tmp155_ = FALSE;
									gint _tmp156_ = 0;
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp146_ = self->priv->_current;
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp147_ = self->priv->_current_index;
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp148_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp146_, (gpointer) ((gintptr) (_tmp147_ - 1)));
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp149_ = (NoiseMedia*) _tmp148_;
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp150_ = noise_media_get_artist (_tmp149_);
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp151_ = _tmp150_;
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp152_ = self->priv->_current_media;
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp153_ = noise_media_get_artist (_tmp152_);
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp154_ = _tmp153_;
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp155_ = !(g_strcmp0 (_tmp151_, _tmp154_) == 0);
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_g_object_unref0 (_tmp149_);
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									if (_tmp155_) {
#line 350 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										break;
#line 1883 "PlaybackManager.c"
									}
#line 351 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp156_ = self->priv->_current_index;
#line 351 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									self->priv->_current_index = _tmp156_ - 1;
#line 1889 "PlaybackManager.c"
								}
							} else {
								gboolean _tmp157_ = FALSE;
								NoiseSettingsMain* _tmp158_ = NULL;
								NoiseSettingsRepeat _tmp159_ = 0;
								NoiseSettingsRepeat _tmp160_ = 0;
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp158_ = main_settings;
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp159_ = noise_settings_main_get_repeat_mode (_tmp158_);
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp160_ = _tmp159_;
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								if (_tmp160_ == NOISE_SETTINGS_REPEAT_ALBUM) {
#line 1904 "PlaybackManager.c"
									NoiseMedia* _tmp161_ = NULL;
									const gchar* _tmp162_ = NULL;
									const gchar* _tmp163_ = NULL;
									NoiseMedia* _tmp164_ = NULL;
									const gchar* _tmp165_ = NULL;
									const gchar* _tmp166_ = NULL;
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp161_ = next_current;
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp162_ = noise_media_get_album (_tmp161_);
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp163_ = _tmp162_;
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp164_ = now_current;
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp165_ = noise_media_get_album (_tmp164_);
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp166_ = _tmp165_;
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp157_ = g_strcmp0 (_tmp163_, _tmp166_) != 0;
#line 1925 "PlaybackManager.c"
								} else {
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp157_ = FALSE;
#line 1929 "PlaybackManager.c"
								}
#line 353 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								if (_tmp157_) {
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									while (TRUE) {
#line 1935 "PlaybackManager.c"
										GeeHashMap* _tmp167_ = NULL;
										gint _tmp168_ = 0;
										gpointer _tmp169_ = NULL;
										NoiseMedia* _tmp170_ = NULL;
										const gchar* _tmp171_ = NULL;
										const gchar* _tmp172_ = NULL;
										NoiseMedia* _tmp173_ = NULL;
										const gchar* _tmp174_ = NULL;
										const gchar* _tmp175_ = NULL;
										gboolean _tmp176_ = FALSE;
										gint _tmp177_ = 0;
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp167_ = self->priv->_current;
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp168_ = self->priv->_current_index;
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp169_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp167_, (gpointer) ((gintptr) (_tmp168_ - 1)));
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp170_ = (NoiseMedia*) _tmp169_;
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp171_ = noise_media_get_album (_tmp170_);
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp172_ = _tmp171_;
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp173_ = self->priv->_current_media;
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp174_ = noise_media_get_album (_tmp173_);
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp175_ = _tmp174_;
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp176_ = !(g_strcmp0 (_tmp172_, _tmp175_) == 0);
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_g_object_unref0 (_tmp170_);
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										if (_tmp176_) {
#line 354 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
											break;
#line 1973 "PlaybackManager.c"
										}
#line 355 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp177_ = self->priv->_current_index;
#line 355 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										self->priv->_current_index = _tmp177_ - 1;
#line 1979 "PlaybackManager.c"
									}
								} else {
									gint _tmp178_ = 0;
#line 358 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp178_ = self->priv->_current_index;
#line 358 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									self->priv->_current_index = _tmp178_ + 1;
#line 1987 "PlaybackManager.c"
								}
							}
#line 361 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp179_ = self->priv->_current;
#line 361 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp180_ = self->priv->_current_index;
#line 361 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp181_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp179_, (gpointer) ((gintptr) _tmp180_));
#line 361 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 361 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							rv = (NoiseMedia*) _tmp181_;
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (now_current);
#line 344 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (next_current);
#line 2004 "PlaybackManager.c"
						} else {
							GeeHashMap* _tmp193_ = NULL;
							gpointer _tmp194_ = NULL;
							{
								GeeIterator* _s_it = NULL;
								NoiseLibrary* _tmp182_ = NULL;
								NoiseLibrary* _tmp183_ = NULL;
								GeeCollection* _tmp184_ = NULL;
								GeeCollection* _tmp185_ = NULL;
								GeeIterator* _tmp186_ = NULL;
								GeeIterator* _tmp187_ = NULL;
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp182_ = noise_playback_manager_get_library (self);
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp183_ = _tmp182_;
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp184_ = noise_library_get_medias (_tmp183_);
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp185_ = _tmp184_;
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp186_ = gee_iterable_iterator ((GeeIterable*) _tmp185_);
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp187_ = _tmp186_;
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp185_);
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_s_it = _tmp187_;
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								while (TRUE) {
#line 2034 "PlaybackManager.c"
									GeeIterator* _tmp188_ = NULL;
									gboolean _tmp189_ = FALSE;
									NoiseMedia* s = NULL;
									GeeIterator* _tmp190_ = NULL;
									gpointer _tmp191_ = NULL;
									NoiseMedia* _tmp192_ = NULL;
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp188_ = _s_it;
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp189_ = gee_iterator_next (_tmp188_);
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									if (!_tmp189_) {
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										break;
#line 2049 "PlaybackManager.c"
									}
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp190_ = _s_it;
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp191_ = gee_iterator_get (_tmp190_);
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									s = (NoiseMedia*) _tmp191_;
#line 364 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp192_ = s;
#line 364 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									noise_playback_manager_addToCurrent (self, _tmp192_);
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_g_object_unref0 (s);
#line 2063 "PlaybackManager.c"
								}
#line 363 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_object_unref0 (_s_it);
#line 2067 "PlaybackManager.c"
							}
#line 367 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							self->priv->_current_index = 0;
#line 368 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp193_ = self->priv->_current;
#line 368 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp194_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp193_, (gpointer) ((gintptr) 0));
#line 368 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (rv);
#line 368 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							rv = (NoiseMedia*) _tmp194_;
#line 2079 "PlaybackManager.c"
						}
					}
				}
			}
		}
	}
#line 372 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp195_ = play;
#line 372 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp195_) {
#line 2090 "PlaybackManager.c"
		NoiseMedia* _tmp196_ = NULL;
#line 373 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp196_ = rv;
#line 373 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_playback_manager_playMedia (self, _tmp196_, FALSE);
#line 2096 "PlaybackManager.c"
	}
#line 376 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = rv;
#line 376 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 376 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 2104 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_getPrevious (NoisePlaybackManager* self, gboolean play) {
	NoiseMedia* result = NULL;
	NoiseMedia* rv = NULL;
	NoiseSettingsMain* main_settings = NULL;
	NoiseSettingsMain* _tmp0_ = NULL;
	NoiseSettingsMain* _tmp1_ = NULL;
	NoiseSettingsShuffle _tmp2_ = 0;
	NoiseSettingsShuffle _tmp3_ = 0;
	gboolean _tmp215_ = FALSE;
#line 380 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 381 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	rv = NULL;
#line 383 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_main_get_default ();
#line 383 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	main_settings = _tmp0_;
#line 384 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = main_settings;
#line 384 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_main_get_shuffle_mode (_tmp1_);
#line 384 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 384 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp3_ != NOISE_SETTINGS_SHUFFLE_OFF) {
#line 2133 "PlaybackManager.c"
		GeeHashMap* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
		gboolean _tmp6_ = FALSE;
		NoiseMedia* _tmp18_ = NULL;
#line 385 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp4_ = self->priv->_current_shuffled;
#line 385 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp5_ = gee_map_get_is_empty ((GeeMap*) _tmp4_);
#line 385 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp6_ = _tmp5_;
#line 385 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (_tmp6_) {
#line 2146 "PlaybackManager.c"
			{
				GeeIterator* _s_it = NULL;
				NoiseLibrary* _tmp7_ = NULL;
				NoiseLibrary* _tmp8_ = NULL;
				GeeCollection* _tmp9_ = NULL;
				GeeCollection* _tmp10_ = NULL;
				GeeIterator* _tmp11_ = NULL;
				GeeIterator* _tmp12_ = NULL;
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp7_ = noise_playback_manager_get_library (self);
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp8_ = _tmp7_;
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp9_ = noise_library_get_medias (_tmp8_);
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp10_ = _tmp9_;
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp11_ = gee_iterable_iterator ((GeeIterable*) _tmp10_);
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp12_ = _tmp11_;
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (_tmp10_);
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_s_it = _tmp12_;
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				while (TRUE) {
#line 2173 "PlaybackManager.c"
					GeeIterator* _tmp13_ = NULL;
					gboolean _tmp14_ = FALSE;
					NoiseMedia* s = NULL;
					GeeIterator* _tmp15_ = NULL;
					gpointer _tmp16_ = NULL;
					NoiseMedia* _tmp17_ = NULL;
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp13_ = _s_it;
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp14_ = gee_iterator_next (_tmp13_);
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (!_tmp14_) {
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						break;
#line 2188 "PlaybackManager.c"
					}
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp15_ = _s_it;
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp16_ = gee_iterator_get (_tmp15_);
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					s = (NoiseMedia*) _tmp16_;
#line 387 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp17_ = s;
#line 387 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					noise_playback_manager_addToCurrent (self, _tmp17_);
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_object_unref0 (s);
#line 2202 "PlaybackManager.c"
				}
#line 386 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (_s_it);
#line 2206 "PlaybackManager.c"
			}
#line 388 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			noise_playback_manager_reshuffle (self);
#line 2210 "PlaybackManager.c"
		}
#line 391 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		self->priv->_playing_queued_song = FALSE;
#line 393 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp18_ = self->priv->_current_media;
#line 393 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (_tmp18_ == NULL) {
#line 2218 "PlaybackManager.c"
			GeeHashMap* _tmp19_ = NULL;
			gint _tmp20_ = 0;
			gint _tmp21_ = 0;
			GeeHashMap* _tmp22_ = NULL;
			gint _tmp23_ = 0;
			gpointer _tmp24_ = NULL;
#line 394 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp19_ = self->priv->_current_shuffled;
#line 394 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp20_ = gee_abstract_map_get_size ((GeeMap*) _tmp19_);
#line 394 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp21_ = _tmp20_;
#line 394 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			self->priv->_current_shuffled_index = _tmp21_ - 1;
#line 395 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp22_ = self->priv->_current_shuffled;
#line 395 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp23_ = self->priv->_current_shuffled_index;
#line 395 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp24_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp22_, (gpointer) ((gintptr) _tmp23_));
#line 395 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_g_object_unref0 (rv);
#line 395 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			rv = (NoiseMedia*) _tmp24_;
#line 2243 "PlaybackManager.c"
		} else {
			NoiseSettingsMain* _tmp25_ = NULL;
			NoiseSettingsRepeat _tmp26_ = 0;
			NoiseSettingsRepeat _tmp27_ = 0;
#line 396 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp25_ = main_settings;
#line 396 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp26_ = noise_settings_main_get_repeat_mode (_tmp25_);
#line 396 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp27_ = _tmp26_;
#line 396 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			if (_tmp27_ == NOISE_SETTINGS_REPEAT_MEDIA) {
#line 2256 "PlaybackManager.c"
				GeeHashMap* _tmp28_ = NULL;
				gint _tmp29_ = 0;
				gpointer _tmp30_ = NULL;
#line 397 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp28_ = self->priv->_current_shuffled;
#line 397 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp29_ = self->priv->_current_shuffled_index;
#line 397 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp30_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp28_, (gpointer) ((gintptr) _tmp29_));
#line 397 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (rv);
#line 397 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				rv = (NoiseMedia*) _tmp30_;
#line 2270 "PlaybackManager.c"
			} else {
				gint _tmp31_ = 0;
#line 398 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp31_ = self->priv->_current_shuffled_index;
#line 398 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (_tmp31_ == 0) {
#line 2277 "PlaybackManager.c"
					NoiseSettingsMain* _tmp32_ = NULL;
					NoiseSettingsRepeat _tmp33_ = 0;
					NoiseSettingsRepeat _tmp34_ = 0;
					GeeHashMap* _tmp38_ = NULL;
					gint _tmp39_ = 0;
					gpointer _tmp40_ = NULL;
#line 399 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp32_ = main_settings;
#line 399 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp33_ = noise_settings_main_get_repeat_mode (_tmp32_);
#line 399 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp34_ = _tmp33_;
#line 399 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp34_ == NOISE_SETTINGS_REPEAT_ALL) {
#line 2292 "PlaybackManager.c"
						GeeHashMap* _tmp35_ = NULL;
						gint _tmp36_ = 0;
						gint _tmp37_ = 0;
#line 400 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp35_ = self->priv->_current_shuffled;
#line 400 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp36_ = gee_abstract_map_get_size ((GeeMap*) _tmp35_);
#line 400 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp37_ = _tmp36_;
#line 400 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						self->priv->_current_shuffled_index = _tmp37_ - 1;
#line 2304 "PlaybackManager.c"
					} else {
#line 402 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						noise_playback_manager_stop_playback (self);
#line 403 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						result = NULL;
#line 403 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (main_settings);
#line 403 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 403 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						return result;
#line 2316 "PlaybackManager.c"
					}
#line 406 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp38_ = self->priv->_current_shuffled;
#line 406 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp39_ = self->priv->_current_shuffled_index;
#line 406 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp40_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp38_, (gpointer) ((gintptr) _tmp39_));
#line 406 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_object_unref0 (rv);
#line 406 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					rv = (NoiseMedia*) _tmp40_;
#line 2328 "PlaybackManager.c"
				} else {
					gboolean _tmp41_ = FALSE;
					gint _tmp42_ = 0;
#line 407 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp42_ = self->priv->_current_shuffled_index;
#line 407 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp42_ > 0) {
#line 2336 "PlaybackManager.c"
						gint _tmp43_ = 0;
						GeeHashMap* _tmp44_ = NULL;
						gint _tmp45_ = 0;
						gint _tmp46_ = 0;
#line 407 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp43_ = self->priv->_current_shuffled_index;
#line 407 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp44_ = self->priv->_current_shuffled;
#line 407 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp45_ = gee_abstract_map_get_size ((GeeMap*) _tmp44_);
#line 407 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp46_ = _tmp45_;
#line 407 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp41_ = _tmp43_ < _tmp46_;
#line 2351 "PlaybackManager.c"
					} else {
#line 407 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp41_ = FALSE;
#line 2355 "PlaybackManager.c"
					}
#line 407 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp41_) {
#line 2359 "PlaybackManager.c"
						gboolean _tmp47_ = FALSE;
						NoiseSettingsMain* _tmp48_ = NULL;
						NoiseSettingsRepeat _tmp49_ = 0;
						NoiseSettingsRepeat _tmp50_ = 0;
						GeeHashMap* _tmp102_ = NULL;
						gint _tmp103_ = 0;
						gpointer _tmp104_ = NULL;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp48_ = main_settings;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp49_ = noise_settings_main_get_repeat_mode (_tmp48_);
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp50_ = _tmp49_;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp50_ == NOISE_SETTINGS_REPEAT_ARTIST) {
#line 2375 "PlaybackManager.c"
							GeeHashMap* _tmp51_ = NULL;
							gint _tmp52_ = 0;
							gpointer _tmp53_ = NULL;
							NoiseMedia* _tmp54_ = NULL;
							const gchar* _tmp55_ = NULL;
							const gchar* _tmp56_ = NULL;
							GeeHashMap* _tmp57_ = NULL;
							gint _tmp58_ = 0;
							gpointer _tmp59_ = NULL;
							NoiseMedia* _tmp60_ = NULL;
							const gchar* _tmp61_ = NULL;
							const gchar* _tmp62_ = NULL;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp51_ = self->priv->_current_shuffled;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp52_ = self->priv->_current_shuffled_index;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp53_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp51_, (gpointer) ((gintptr) (_tmp52_ - 1)));
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp54_ = (NoiseMedia*) _tmp53_;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp55_ = noise_media_get_artist (_tmp54_);
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp56_ = _tmp55_;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp57_ = self->priv->_current_shuffled;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp58_ = self->priv->_current_shuffled_index;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp59_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp57_, (gpointer) ((gintptr) _tmp58_));
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp60_ = (NoiseMedia*) _tmp59_;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp61_ = noise_media_get_artist (_tmp60_);
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp62_ = _tmp61_;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp47_ = g_strcmp0 (_tmp56_, _tmp62_) != 0;
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp60_);
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp54_);
#line 2418 "PlaybackManager.c"
						} else {
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp47_ = FALSE;
#line 2422 "PlaybackManager.c"
						}
#line 409 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp47_) {
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							while (TRUE) {
#line 2428 "PlaybackManager.c"
								GeeHashMap* _tmp63_ = NULL;
								gint _tmp64_ = 0;
								gpointer _tmp65_ = NULL;
								NoiseMedia* _tmp66_ = NULL;
								const gchar* _tmp67_ = NULL;
								const gchar* _tmp68_ = NULL;
								NoiseMedia* _tmp69_ = NULL;
								const gchar* _tmp70_ = NULL;
								const gchar* _tmp71_ = NULL;
								gboolean _tmp72_ = FALSE;
								gint _tmp73_ = 0;
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp63_ = self->priv->_current_shuffled;
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp64_ = self->priv->_current_shuffled_index;
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp65_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp63_, (gpointer) ((gintptr) (_tmp64_ + 1)));
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp66_ = (NoiseMedia*) _tmp65_;
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp67_ = noise_media_get_artist (_tmp66_);
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp68_ = _tmp67_;
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp69_ = self->priv->_current_media;
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp70_ = noise_media_get_artist (_tmp69_);
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp71_ = _tmp70_;
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp72_ = !(g_strcmp0 (_tmp68_, _tmp71_) == 0);
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp66_);
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								if (_tmp72_) {
#line 410 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									break;
#line 2466 "PlaybackManager.c"
								}
#line 411 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp73_ = self->priv->_current_shuffled_index;
#line 411 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								self->priv->_current_shuffled_index = _tmp73_ + 1;
#line 2472 "PlaybackManager.c"
							}
						} else {
							gboolean _tmp74_ = FALSE;
							NoiseSettingsMain* _tmp75_ = NULL;
							NoiseSettingsRepeat _tmp76_ = 0;
							NoiseSettingsRepeat _tmp77_ = 0;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp75_ = main_settings;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp76_ = noise_settings_main_get_repeat_mode (_tmp75_);
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp77_ = _tmp76_;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp77_ == NOISE_SETTINGS_REPEAT_ALBUM) {
#line 2487 "PlaybackManager.c"
								GeeHashMap* _tmp78_ = NULL;
								gint _tmp79_ = 0;
								gpointer _tmp80_ = NULL;
								NoiseMedia* _tmp81_ = NULL;
								const gchar* _tmp82_ = NULL;
								const gchar* _tmp83_ = NULL;
								GeeHashMap* _tmp84_ = NULL;
								gint _tmp85_ = 0;
								gpointer _tmp86_ = NULL;
								NoiseMedia* _tmp87_ = NULL;
								const gchar* _tmp88_ = NULL;
								const gchar* _tmp89_ = NULL;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp78_ = self->priv->_current_shuffled;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp79_ = self->priv->_current_shuffled_index;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp80_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp78_, (gpointer) ((gintptr) (_tmp79_ - 1)));
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp81_ = (NoiseMedia*) _tmp80_;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp82_ = noise_media_get_album (_tmp81_);
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp83_ = _tmp82_;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp84_ = self->priv->_current_shuffled;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp85_ = self->priv->_current_shuffled_index;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp86_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp84_, (gpointer) ((gintptr) _tmp85_));
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp87_ = (NoiseMedia*) _tmp86_;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp88_ = noise_media_get_album (_tmp87_);
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp89_ = _tmp88_;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp74_ = g_strcmp0 (_tmp83_, _tmp89_) != 0;
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp87_);
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp81_);
#line 2530 "PlaybackManager.c"
							} else {
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp74_ = FALSE;
#line 2534 "PlaybackManager.c"
							}
#line 412 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp74_) {
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								while (TRUE) {
#line 2540 "PlaybackManager.c"
									GeeHashMap* _tmp90_ = NULL;
									gint _tmp91_ = 0;
									gpointer _tmp92_ = NULL;
									NoiseMedia* _tmp93_ = NULL;
									const gchar* _tmp94_ = NULL;
									const gchar* _tmp95_ = NULL;
									NoiseMedia* _tmp96_ = NULL;
									const gchar* _tmp97_ = NULL;
									const gchar* _tmp98_ = NULL;
									gboolean _tmp99_ = FALSE;
									gint _tmp100_ = 0;
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp90_ = self->priv->_current_shuffled;
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp91_ = self->priv->_current_shuffled_index;
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp92_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp90_, (gpointer) ((gintptr) (_tmp91_ + 1)));
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp93_ = (NoiseMedia*) _tmp92_;
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp94_ = noise_media_get_album (_tmp93_);
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp95_ = _tmp94_;
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp96_ = self->priv->_current_media;
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp97_ = noise_media_get_album (_tmp96_);
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp98_ = _tmp97_;
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp99_ = !(g_strcmp0 (_tmp95_, _tmp98_) == 0);
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_g_object_unref0 (_tmp93_);
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									if (_tmp99_) {
#line 413 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										break;
#line 2578 "PlaybackManager.c"
									}
#line 414 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp100_ = self->priv->_current_shuffled_index;
#line 414 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									self->priv->_current_shuffled_index = _tmp100_ + 1;
#line 2584 "PlaybackManager.c"
								}
							} else {
								gint _tmp101_ = 0;
#line 416 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp101_ = self->priv->_current_shuffled_index;
#line 416 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								self->priv->_current_shuffled_index = _tmp101_ - 1;
#line 2592 "PlaybackManager.c"
							}
						}
#line 418 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp102_ = self->priv->_current_shuffled;
#line 418 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp103_ = self->priv->_current_shuffled_index;
#line 418 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp104_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp102_, (gpointer) ((gintptr) _tmp103_));
#line 418 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 418 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp104_;
#line 2605 "PlaybackManager.c"
					} else {
						GeeHashMap* _tmp105_ = NULL;
						gint _tmp106_ = 0;
						gint _tmp107_ = 0;
						GeeHashMap* _tmp108_ = NULL;
						gint _tmp109_ = 0;
						gpointer _tmp110_ = NULL;
#line 420 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp105_ = self->priv->_current_shuffled;
#line 420 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp106_ = gee_abstract_map_get_size ((GeeMap*) _tmp105_);
#line 420 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp107_ = _tmp106_;
#line 420 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						self->priv->_current_shuffled_index = _tmp107_ - 1;
#line 421 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp108_ = self->priv->_current_shuffled;
#line 421 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp109_ = self->priv->_current_shuffled_index;
#line 421 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp110_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp108_, (gpointer) ((gintptr) _tmp109_));
#line 421 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 421 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp110_;
#line 2631 "PlaybackManager.c"
					}
				}
			}
		}
	} else {
		NoiseMedia* _tmp111_ = NULL;
#line 424 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		self->priv->_playing_queued_song = FALSE;
#line 426 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp111_ = self->priv->_current_media;
#line 426 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (_tmp111_ == NULL) {
#line 2644 "PlaybackManager.c"
			GeeHashMap* _tmp112_ = NULL;
			gint _tmp113_ = 0;
			gint _tmp114_ = 0;
			GeeHashMap* _tmp115_ = NULL;
			gint _tmp116_ = 0;
			gpointer _tmp117_ = NULL;
#line 427 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp112_ = self->priv->_current;
#line 427 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp113_ = gee_abstract_map_get_size ((GeeMap*) _tmp112_);
#line 427 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp114_ = _tmp113_;
#line 427 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			self->priv->_current_index = _tmp114_ - 1;
#line 428 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp115_ = self->priv->_current;
#line 428 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp116_ = self->priv->_current_index;
#line 428 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp117_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp115_, (gpointer) ((gintptr) _tmp116_));
#line 428 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_g_object_unref0 (rv);
#line 428 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			rv = (NoiseMedia*) _tmp117_;
#line 2669 "PlaybackManager.c"
		} else {
			NoiseSettingsMain* _tmp118_ = NULL;
			NoiseSettingsRepeat _tmp119_ = 0;
			NoiseSettingsRepeat _tmp120_ = 0;
#line 429 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp118_ = main_settings;
#line 429 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp119_ = noise_settings_main_get_repeat_mode (_tmp118_);
#line 429 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp120_ = _tmp119_;
#line 429 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			if (_tmp120_ == NOISE_SETTINGS_REPEAT_MEDIA) {
#line 2682 "PlaybackManager.c"
				GeeHashMap* _tmp121_ = NULL;
				gint _tmp122_ = 0;
				gpointer _tmp123_ = NULL;
#line 430 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp121_ = self->priv->_current;
#line 430 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp122_ = self->priv->_current_index;
#line 430 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp123_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp121_, (gpointer) ((gintptr) _tmp122_));
#line 430 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (rv);
#line 430 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				rv = (NoiseMedia*) _tmp123_;
#line 2696 "PlaybackManager.c"
			} else {
				gint _tmp124_ = 0;
#line 431 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp124_ = self->priv->_current_index;
#line 431 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (_tmp124_ == 0) {
#line 2703 "PlaybackManager.c"
					NoiseSettingsMain* _tmp125_ = NULL;
					NoiseSettingsRepeat _tmp126_ = 0;
					NoiseSettingsRepeat _tmp127_ = 0;
					GeeHashMap* _tmp131_ = NULL;
					gint _tmp132_ = 0;
					gpointer _tmp133_ = NULL;
#line 432 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp125_ = main_settings;
#line 432 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp126_ = noise_settings_main_get_repeat_mode (_tmp125_);
#line 432 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp127_ = _tmp126_;
#line 432 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp127_ == NOISE_SETTINGS_REPEAT_ALL) {
#line 2718 "PlaybackManager.c"
						GeeHashMap* _tmp128_ = NULL;
						gint _tmp129_ = 0;
						gint _tmp130_ = 0;
#line 433 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp128_ = self->priv->_current;
#line 433 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp129_ = gee_abstract_map_get_size ((GeeMap*) _tmp128_);
#line 433 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp130_ = _tmp129_;
#line 433 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						self->priv->_current_index = _tmp130_ - 1;
#line 2730 "PlaybackManager.c"
					} else {
#line 435 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						noise_playback_manager_stop_playback (self);
#line 436 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						result = NULL;
#line 436 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (main_settings);
#line 436 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 436 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						return result;
#line 2742 "PlaybackManager.c"
					}
#line 439 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp131_ = self->priv->_current;
#line 439 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp132_ = self->priv->_current_index;
#line 439 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp133_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp131_, (gpointer) ((gintptr) _tmp132_));
#line 439 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_object_unref0 (rv);
#line 439 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					rv = (NoiseMedia*) _tmp133_;
#line 2754 "PlaybackManager.c"
				} else {
					gboolean _tmp134_ = FALSE;
					gint _tmp135_ = 0;
#line 440 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp135_ = self->priv->_current_index;
#line 440 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp135_ > 0) {
#line 2762 "PlaybackManager.c"
						gint _tmp136_ = 0;
						GeeHashMap* _tmp137_ = NULL;
						gint _tmp138_ = 0;
						gint _tmp139_ = 0;
#line 440 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp136_ = self->priv->_current_index;
#line 440 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp137_ = self->priv->_current;
#line 440 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp138_ = gee_abstract_map_get_size ((GeeMap*) _tmp137_);
#line 440 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp139_ = _tmp138_;
#line 440 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp134_ = _tmp136_ < _tmp139_;
#line 2777 "PlaybackManager.c"
					} else {
#line 440 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp134_ = FALSE;
#line 2781 "PlaybackManager.c"
					}
#line 440 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp134_) {
#line 2785 "PlaybackManager.c"
						gboolean _tmp140_ = FALSE;
						NoiseSettingsMain* _tmp141_ = NULL;
						NoiseSettingsRepeat _tmp142_ = 0;
						NoiseSettingsRepeat _tmp143_ = 0;
						GeeHashMap* _tmp195_ = NULL;
						gint _tmp196_ = 0;
						gpointer _tmp197_ = NULL;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp141_ = main_settings;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp142_ = noise_settings_main_get_repeat_mode (_tmp141_);
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp143_ = _tmp142_;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp143_ == NOISE_SETTINGS_REPEAT_ARTIST) {
#line 2801 "PlaybackManager.c"
							GeeHashMap* _tmp144_ = NULL;
							gint _tmp145_ = 0;
							gpointer _tmp146_ = NULL;
							NoiseMedia* _tmp147_ = NULL;
							const gchar* _tmp148_ = NULL;
							const gchar* _tmp149_ = NULL;
							GeeHashMap* _tmp150_ = NULL;
							gint _tmp151_ = 0;
							gpointer _tmp152_ = NULL;
							NoiseMedia* _tmp153_ = NULL;
							const gchar* _tmp154_ = NULL;
							const gchar* _tmp155_ = NULL;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp144_ = self->priv->_current;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp145_ = self->priv->_current_index;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp146_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp144_, (gpointer) ((gintptr) (_tmp145_ - 1)));
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp147_ = (NoiseMedia*) _tmp146_;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp148_ = noise_media_get_artist (_tmp147_);
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp149_ = _tmp148_;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp150_ = self->priv->_current;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp151_ = self->priv->_current_index;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp152_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp150_, (gpointer) ((gintptr) _tmp151_));
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp153_ = (NoiseMedia*) _tmp152_;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp154_ = noise_media_get_artist (_tmp153_);
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp155_ = _tmp154_;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp140_ = g_strcmp0 (_tmp149_, _tmp155_) != 0;
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp153_);
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp147_);
#line 2844 "PlaybackManager.c"
						} else {
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp140_ = FALSE;
#line 2848 "PlaybackManager.c"
						}
#line 443 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (_tmp140_) {
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							while (TRUE) {
#line 2854 "PlaybackManager.c"
								GeeHashMap* _tmp156_ = NULL;
								gint _tmp157_ = 0;
								gpointer _tmp158_ = NULL;
								NoiseMedia* _tmp159_ = NULL;
								const gchar* _tmp160_ = NULL;
								const gchar* _tmp161_ = NULL;
								NoiseMedia* _tmp162_ = NULL;
								const gchar* _tmp163_ = NULL;
								const gchar* _tmp164_ = NULL;
								gboolean _tmp165_ = FALSE;
								gint _tmp166_ = 0;
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp156_ = self->priv->_current;
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp157_ = self->priv->_current_index;
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp158_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp156_, (gpointer) ((gintptr) (_tmp157_ + 1)));
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp159_ = (NoiseMedia*) _tmp158_;
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp160_ = noise_media_get_artist (_tmp159_);
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp161_ = _tmp160_;
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp162_ = self->priv->_current_media;
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp163_ = noise_media_get_artist (_tmp162_);
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp164_ = _tmp163_;
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp165_ = !(g_strcmp0 (_tmp161_, _tmp164_) == 0);
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp159_);
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								if (_tmp165_) {
#line 444 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									break;
#line 2892 "PlaybackManager.c"
								}
#line 445 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp166_ = self->priv->_current_index;
#line 445 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								self->priv->_current_index = _tmp166_ + 1;
#line 2898 "PlaybackManager.c"
							}
						} else {
							gboolean _tmp167_ = FALSE;
							NoiseSettingsMain* _tmp168_ = NULL;
							NoiseSettingsRepeat _tmp169_ = 0;
							NoiseSettingsRepeat _tmp170_ = 0;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp168_ = main_settings;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp169_ = noise_settings_main_get_repeat_mode (_tmp168_);
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp170_ = _tmp169_;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp170_ == NOISE_SETTINGS_REPEAT_ALBUM) {
#line 2913 "PlaybackManager.c"
								GeeHashMap* _tmp171_ = NULL;
								gint _tmp172_ = 0;
								gpointer _tmp173_ = NULL;
								NoiseMedia* _tmp174_ = NULL;
								const gchar* _tmp175_ = NULL;
								const gchar* _tmp176_ = NULL;
								GeeHashMap* _tmp177_ = NULL;
								gint _tmp178_ = 0;
								gpointer _tmp179_ = NULL;
								NoiseMedia* _tmp180_ = NULL;
								const gchar* _tmp181_ = NULL;
								const gchar* _tmp182_ = NULL;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp171_ = self->priv->_current;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp172_ = self->priv->_current_index;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp173_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp171_, (gpointer) ((gintptr) (_tmp172_ - 1)));
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp174_ = (NoiseMedia*) _tmp173_;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp175_ = noise_media_get_album (_tmp174_);
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp176_ = _tmp175_;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp177_ = self->priv->_current;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp178_ = self->priv->_current_index;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp179_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp177_, (gpointer) ((gintptr) _tmp178_));
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp180_ = (NoiseMedia*) _tmp179_;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp181_ = noise_media_get_album (_tmp180_);
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp182_ = _tmp181_;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp167_ = g_strcmp0 (_tmp176_, _tmp182_) != 0;
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp180_);
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_object_unref0 (_tmp174_);
#line 2956 "PlaybackManager.c"
							} else {
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp167_ = FALSE;
#line 2960 "PlaybackManager.c"
							}
#line 446 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp167_) {
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								while (TRUE) {
#line 2966 "PlaybackManager.c"
									GeeHashMap* _tmp183_ = NULL;
									gint _tmp184_ = 0;
									gpointer _tmp185_ = NULL;
									NoiseMedia* _tmp186_ = NULL;
									const gchar* _tmp187_ = NULL;
									const gchar* _tmp188_ = NULL;
									NoiseMedia* _tmp189_ = NULL;
									const gchar* _tmp190_ = NULL;
									const gchar* _tmp191_ = NULL;
									gboolean _tmp192_ = FALSE;
									gint _tmp193_ = 0;
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp183_ = self->priv->_current;
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp184_ = self->priv->_current_index;
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp185_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp183_, (gpointer) ((gintptr) (_tmp184_ + 1)));
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp186_ = (NoiseMedia*) _tmp185_;
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp187_ = noise_media_get_album (_tmp186_);
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp188_ = _tmp187_;
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp189_ = self->priv->_current_media;
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp190_ = noise_media_get_album (_tmp189_);
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp191_ = _tmp190_;
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp192_ = !(g_strcmp0 (_tmp188_, _tmp191_) == 0);
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_g_object_unref0 (_tmp186_);
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									if (_tmp192_) {
#line 447 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										break;
#line 3004 "PlaybackManager.c"
									}
#line 448 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp193_ = self->priv->_current_index;
#line 448 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									self->priv->_current_index = _tmp193_ + 1;
#line 3010 "PlaybackManager.c"
								}
							} else {
								gint _tmp194_ = 0;
#line 450 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp194_ = self->priv->_current_index;
#line 450 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								self->priv->_current_index = _tmp194_ - 1;
#line 3018 "PlaybackManager.c"
							}
						}
#line 452 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp195_ = self->priv->_current;
#line 452 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp196_ = self->priv->_current_index;
#line 452 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp197_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp195_, (gpointer) ((gintptr) _tmp196_));
#line 452 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 452 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp197_;
#line 3031 "PlaybackManager.c"
					} else {
						GeeHashMap* _tmp209_ = NULL;
						gint _tmp210_ = 0;
						gint _tmp211_ = 0;
						GeeHashMap* _tmp212_ = NULL;
						gint _tmp213_ = 0;
						gpointer _tmp214_ = NULL;
						{
							GeeIterator* _s_it = NULL;
							NoiseLibrary* _tmp198_ = NULL;
							NoiseLibrary* _tmp199_ = NULL;
							GeeCollection* _tmp200_ = NULL;
							GeeCollection* _tmp201_ = NULL;
							GeeIterator* _tmp202_ = NULL;
							GeeIterator* _tmp203_ = NULL;
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp198_ = noise_playback_manager_get_library (self);
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp199_ = _tmp198_;
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp200_ = noise_library_get_medias (_tmp199_);
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp201_ = _tmp200_;
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp202_ = gee_iterable_iterator ((GeeIterable*) _tmp201_);
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp203_ = _tmp202_;
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (_tmp201_);
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_s_it = _tmp203_;
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							while (TRUE) {
#line 3065 "PlaybackManager.c"
								GeeIterator* _tmp204_ = NULL;
								gboolean _tmp205_ = FALSE;
								NoiseMedia* s = NULL;
								GeeIterator* _tmp206_ = NULL;
								gpointer _tmp207_ = NULL;
								NoiseMedia* _tmp208_ = NULL;
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp204_ = _s_it;
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp205_ = gee_iterator_next (_tmp204_);
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								if (!_tmp205_) {
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									break;
#line 3080 "PlaybackManager.c"
								}
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp206_ = _s_it;
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp207_ = gee_iterator_get (_tmp206_);
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								s = (NoiseMedia*) _tmp207_;
#line 455 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp208_ = s;
#line 455 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								noise_playback_manager_addToCurrent (self, _tmp208_);
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_object_unref0 (s);
#line 3094 "PlaybackManager.c"
							}
#line 454 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_object_unref0 (_s_it);
#line 3098 "PlaybackManager.c"
						}
#line 457 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp209_ = self->priv->_current;
#line 457 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp210_ = gee_abstract_map_get_size ((GeeMap*) _tmp209_);
#line 457 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp211_ = _tmp210_;
#line 457 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						self->priv->_current_index = _tmp211_ - 1;
#line 458 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp212_ = self->priv->_current;
#line 458 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp213_ = self->priv->_current_index;
#line 458 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp214_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp212_, (gpointer) ((gintptr) _tmp213_));
#line 458 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (rv);
#line 458 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						rv = (NoiseMedia*) _tmp214_;
#line 3118 "PlaybackManager.c"
					}
				}
			}
		}
	}
#line 462 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp215_ = play;
#line 462 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp215_) {
#line 3128 "PlaybackManager.c"
		NoiseMedia* _tmp216_ = NULL;
#line 463 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp216_ = rv;
#line 463 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_playback_manager_playMedia (self, _tmp216_, FALSE);
#line 3134 "PlaybackManager.c"
	}
#line 467 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = rv;
#line 467 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (main_settings);
#line 467 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 3142 "PlaybackManager.c"
}


static Block8Data* block8_data_ref (Block8Data* _data8_) {
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return _data8_;
#line 3151 "PlaybackManager.c"
}


static void block8_data_unref (void * _userdata_) {
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 3160 "PlaybackManager.c"
		NoisePlaybackManager* self;
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		self = _data8_->self;
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (_data8_->m);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (self);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		g_slice_free (Block8Data, _data8_);
#line 3170 "PlaybackManager.c"
	}
}


static gboolean __lambda27_ (Block8Data* _data8_) {
	NoisePlaybackManager* self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	NoiseMedia* _tmp1_ = NULL;
#line 561 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self = _data8_->self;
#line 562 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = _data8_->m;
#line 562 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp1_ != NULL) {
#line 3186 "PlaybackManager.c"
		NoiseMedia* _tmp2_ = NULL;
		NoiseMedia* _tmp3_ = NULL;
#line 562 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp2_ = self->priv->_current_media;
#line 562 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp3_ = _data8_->m;
#line 562 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp0_ = _tmp2_ == _tmp3_;
#line 3195 "PlaybackManager.c"
	} else {
#line 562 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp0_ = FALSE;
#line 3199 "PlaybackManager.c"
	}
#line 562 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp0_) {
#line 3203 "PlaybackManager.c"
		NoiseHistoryPlaylist* _tmp4_ = NULL;
		NoiseMedia* _tmp5_ = NULL;
		guint player_duration_s = 0U;
		NoisePlayback* _tmp6_ = NULL;
		gint64 _tmp7_ = 0LL;
		guint _tmp8_ = 0U;
#line 563 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp4_ = self->history_playlist;
#line 563 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp5_ = _data8_->m;
#line 563 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_playlist_add_media ((NoisePlaylist*) _tmp4_, _tmp5_);
#line 565 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp6_ = self->player;
#line 565 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp7_ = noise_playback_get_duration (_tmp6_);
#line 565 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		player_duration_s = (guint) (_tmp7_ / NOISE_TIME_UTILS_NANO_INV);
#line 566 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp8_ = player_duration_s;
#line 566 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (_tmp8_ > ((guint) 1)) {
#line 3226 "PlaybackManager.c"
			gint delta_s = 0;
			guint _tmp9_ = 0U;
			NoiseMedia* _tmp10_ = NULL;
			guint _tmp11_ = 0U;
			guint _tmp12_ = 0U;
			gint _tmp13_ = 0;
			gdouble _tmp14_ = 0.0;
#line 567 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp9_ = player_duration_s;
#line 567 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp10_ = _data8_->m;
#line 567 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp11_ = noise_media_get_length (_tmp10_);
#line 567 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp12_ = _tmp11_;
#line 567 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			delta_s = ((gint) _tmp9_) - ((gint) (_tmp12_ / NOISE_TIME_UTILS_MILI_INV));
#line 568 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp13_ = delta_s;
#line 568 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp14_ = fabs ((gdouble) _tmp13_);
#line 568 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			if (_tmp14_ > ((gdouble) 3)) {
#line 3250 "PlaybackManager.c"
				NoiseMedia* _tmp15_ = NULL;
				guint _tmp16_ = 0U;
				NoiseLibrary* _tmp17_ = NULL;
				NoiseLibrary* _tmp18_ = NULL;
				NoiseMedia* _tmp19_ = NULL;
#line 569 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp15_ = _data8_->m;
#line 569 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp16_ = player_duration_s;
#line 569 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				noise_media_set_length (_tmp15_, (guint) (_tmp16_ * NOISE_TIME_UTILS_MILI_INV));
#line 570 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp17_ = noise_playback_manager_get_library (self);
#line 570 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp18_ = _tmp17_;
#line 570 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp19_ = _data8_->m;
#line 570 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				noise_library_update_media (_tmp18_, _tmp19_, FALSE, FALSE);
#line 3270 "PlaybackManager.c"
			}
		}
	}
#line 575 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = FALSE;
#line 575 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 3278 "PlaybackManager.c"
}


static gboolean ___lambda27__gsource_func (gpointer self) {
	gboolean result;
	result = __lambda27_ (self);
#line 561 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 3287 "PlaybackManager.c"
}


void noise_playback_manager_playMedia (NoisePlaybackManager* self, NoiseMedia* m, gboolean use_resume_pos) {
	Block8Data* _data8_;
	NoiseMedia* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
	gint64 old_id = 0LL;
	NoiseMedia* _tmp2_ = NULL;
	NoiseMedia* _tmp6_ = NULL;
	NoiseMedia* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
	gboolean _tmp9_ = FALSE;
	gboolean found = FALSE;
	gboolean _tmp51_ = FALSE;
	NoiseMedia* _tmp57_ = NULL;
	GFile* _tmp58_ = NULL;
	GFile* _tmp59_ = NULL;
	gboolean _tmp60_ = FALSE;
	gint _tmp76_ = 0;
	gboolean _tmp79_ = FALSE;
	gboolean _tmp81_ = FALSE;
	NoiseMedia* _tmp82_ = NULL;
	gint64 _tmp83_ = 0LL;
	gint64 _tmp84_ = 0LL;
	NoiseMedia* _tmp93_ = NULL;
	NoiseMedia* _tmp95_ = NULL;
	NoiseMedia* _tmp96_ = NULL;
	NoiseMedia* _tmp97_ = NULL;
	gboolean _tmp98_ = FALSE;
	GError * _inner_error_ = NULL;
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (m != NULL);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_data8_ = g_slice_new0 (Block8Data);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_data8_->_ref_count_ = 1;
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_data8_->self = g_object_ref (self);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = m;
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (_data8_->m);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_data8_->m = _tmp1_;
#line 472 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	old_id = (gint64) -1;
#line 475 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = self->priv->_current_media;
#line 475 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp2_ != NULL) {
#line 3343 "PlaybackManager.c"
		NoiseMedia* _tmp3_ = NULL;
		gint64 _tmp4_ = 0LL;
		gint64 _tmp5_ = 0LL;
#line 476 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp3_ = self->priv->_current_media;
#line 476 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp4_ = noise_media_get_rowid (_tmp3_);
#line 476 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp5_ = _tmp4_;
#line 476 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		old_id = _tmp5_;
#line 3355 "PlaybackManager.c"
	}
#line 478 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp6_ = _data8_->m;
#line 478 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_set_current_media (self, _tmp6_);
#line 482 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp7_ = _data8_->m;
#line 482 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp8_ = noise_media_get_location_unknown (_tmp7_);
#line 482 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp9_ = _tmp8_;
#line 482 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp9_) {
#line 3369 "PlaybackManager.c"
		NoiseMedia* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		GFile* _tmp14_ = NULL;
		GFile* _tmp15_ = NULL;
		gboolean _tmp16_ = FALSE;
		gboolean _tmp17_ = FALSE;
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp10_ = _data8_->m;
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp11_ = noise_media_get_uri (_tmp10_);
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp12_ = _tmp11_;
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp13_ = _tmp12_;
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp14_ = g_file_new_for_uri (_tmp13_);
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp15_ = _tmp14_;
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp16_ = g_file_query_exists (_tmp15_, NULL);
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp17_ = _tmp16_;
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp15_);
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_free0 (_tmp13_);
#line 483 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (_tmp17_) {
#line 3400 "PlaybackManager.c"
			NoiseMedia* _tmp18_ = NULL;
			NoiseMedia* _tmp19_ = NULL;
#line 484 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp18_ = _data8_->m;
#line 484 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			noise_media_set_location_unknown (_tmp18_, FALSE);
#line 485 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp19_ = _data8_->m;
#line 485 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			noise_media_set_unique_status_image (_tmp19_, NULL);
#line 3411 "PlaybackManager.c"
		} else {
#line 488 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			noise_playback_manager_stop_playback (self);
#line 489 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			block8_data_unref (_data8_);
#line 489 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_data8_ = NULL;
#line 489 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			return;
#line 3421 "PlaybackManager.c"
		}
	}
#line 493 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	found = FALSE;
#line 3426 "PlaybackManager.c"
	{
		GeeTreeSet* _tmp20_ = NULL;
#line 494 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp20_ = self->priv->playbacks;
#line 494 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		g_rec_mutex_lock (&self->priv->__lock_playbacks);
#line 3433 "PlaybackManager.c"
		{
			{
				GeeIterator* _playback_it = NULL;
				GeeTreeSet* _tmp21_ = NULL;
				GeeIterator* _tmp22_ = NULL;
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp21_ = self->priv->playbacks;
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp22_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp21_);
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_playback_it = _tmp22_;
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				while (TRUE) {
#line 3447 "PlaybackManager.c"
					GeeIterator* _tmp23_ = NULL;
					gboolean _tmp24_ = FALSE;
					NoisePlayback* playback = NULL;
					GeeIterator* _tmp25_ = NULL;
					gpointer _tmp26_ = NULL;
					gboolean _tmp49_ = FALSE;
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp23_ = _playback_it;
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp24_ = gee_iterator_next (_tmp23_);
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (!_tmp24_) {
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						break;
#line 3462 "PlaybackManager.c"
					}
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp25_ = _playback_it;
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp26_ = gee_iterator_get (_tmp25_);
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					playback = (NoisePlayback*) _tmp26_;
#line 3470 "PlaybackManager.c"
					{
						GeeIterator* _supported_uri_it = NULL;
						NoisePlayback* _tmp27_ = NULL;
						GeeCollection* _tmp28_ = NULL;
						GeeCollection* _tmp29_ = NULL;
						GeeIterator* _tmp30_ = NULL;
						GeeIterator* _tmp31_ = NULL;
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp27_ = playback;
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp28_ = noise_playback_get_supported_uri (_tmp27_);
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp29_ = _tmp28_;
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp30_ = gee_iterable_iterator ((GeeIterable*) _tmp29_);
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp31_ = _tmp30_;
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (_tmp29_);
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_supported_uri_it = _tmp31_;
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						while (TRUE) {
#line 3494 "PlaybackManager.c"
							GeeIterator* _tmp32_ = NULL;
							gboolean _tmp33_ = FALSE;
							gchar* supported_uri = NULL;
							GeeIterator* _tmp34_ = NULL;
							gpointer _tmp35_ = NULL;
							NoiseMedia* _tmp36_ = NULL;
							gchar* _tmp37_ = NULL;
							gchar* _tmp38_ = NULL;
							gchar* _tmp39_ = NULL;
							const gchar* _tmp40_ = NULL;
							gboolean _tmp41_ = FALSE;
							gboolean _tmp42_ = FALSE;
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp32_ = _supported_uri_it;
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp33_ = gee_iterator_next (_tmp32_);
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (!_tmp33_) {
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								break;
#line 3515 "PlaybackManager.c"
							}
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp34_ = _supported_uri_it;
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp35_ = gee_iterator_get (_tmp34_);
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							supported_uri = (gchar*) _tmp35_;
#line 497 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp36_ = _data8_->m;
#line 497 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp37_ = noise_media_get_uri (_tmp36_);
#line 497 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp38_ = _tmp37_;
#line 497 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp39_ = _tmp38_;
#line 497 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp40_ = supported_uri;
#line 497 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp41_ = g_str_has_prefix (_tmp39_, _tmp40_);
#line 497 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp42_ = _tmp41_;
#line 497 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_free0 (_tmp39_);
#line 497 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							if (_tmp42_) {
#line 3541 "PlaybackManager.c"
								NoisePlayback* _tmp43_ = NULL;
								gdouble _tmp44_ = 0.0;
								NoisePlayback* _tmp45_ = NULL;
								NoisePlayback* _tmp46_ = NULL;
								NoisePlayback* _tmp47_ = NULL;
								gdouble _tmp48_ = 0.0;
#line 498 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp43_ = self->player;
#line 498 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp44_ = noise_playback_get_volume (_tmp43_);
#line 498 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								self->priv->saved_volume = _tmp44_;
#line 499 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								g_signal_emit_by_name (self, "changing-player");
#line 500 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp45_ = self->player;
#line 500 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								noise_playback_set_state (_tmp45_, GST_STATE_NULL);
#line 501 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								found = TRUE;
#line 502 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp46_ = playback;
#line 502 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp47_ = _g_object_ref0 (_tmp46_);
#line 502 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_object_unref0 (self->player);
#line 502 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								self->player = _tmp47_;
#line 503 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp48_ = self->priv->saved_volume;
#line 503 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								noise_playback_manager_set_volume (self, _tmp48_);
#line 504 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								g_signal_emit_by_name (self, "player-changed");
#line 505 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_g_free0 (supported_uri);
#line 505 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								break;
#line 3580 "PlaybackManager.c"
							}
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_g_free0 (supported_uri);
#line 3584 "PlaybackManager.c"
						}
#line 496 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (_supported_uri_it);
#line 3588 "PlaybackManager.c"
					}
#line 508 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp49_ = found;
#line 508 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp49_ == TRUE) {
#line 509 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						break;
#line 3596 "PlaybackManager.c"
					}
				}
#line 495 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (_playback_it);
#line 3601 "PlaybackManager.c"
			}
		}
		__finally7:
		{
			GeeTreeSet* _tmp50_ = NULL;
#line 494 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp50_ = self->priv->playbacks;
#line 494 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			g_rec_mutex_unlock (&self->priv->__lock_playbacks);
#line 3611 "PlaybackManager.c"
		}
#line 494 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 494 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			block8_data_unref (_data8_);
#line 494 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_data8_ = NULL;
#line 494 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 494 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			g_clear_error (&_inner_error_);
#line 494 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			return;
#line 3625 "PlaybackManager.c"
		}
	}
#line 513 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp51_ = found;
#line 513 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp51_ == FALSE) {
#line 3632 "PlaybackManager.c"
		NoiseMedia* _tmp52_ = NULL;
		GThemedIcon* _tmp53_ = NULL;
		GThemedIcon* _tmp54_ = NULL;
		NoiseMedia* _tmp55_ = NULL;
		NoiseMedia* _tmp56_ = NULL;
#line 514 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp52_ = _data8_->m;
#line 514 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp53_ = (GThemedIcon*) g_themed_icon_new ("process-error-symbolic");
#line 514 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp54_ = _tmp53_;
#line 514 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_media_set_unique_status_image (_tmp52_, (GIcon*) _tmp54_);
#line 514 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp54_);
#line 515 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp55_ = noise_playback_manager_getNext (self, TRUE);
#line 515 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp56_ = _tmp55_;
#line 515 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp56_);
#line 516 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		block8_data_unref (_data8_);
#line 516 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_data8_ = NULL;
#line 516 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		return;
#line 3660 "PlaybackManager.c"
	}
#line 520 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp57_ = _data8_->m;
#line 520 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp58_ = noise_media_get_file (_tmp57_);
#line 520 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp59_ = _tmp58_;
#line 520 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp60_ = g_file_query_exists (_tmp59_, NULL);
#line 520 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (!_tmp60_) {
#line 3672 "PlaybackManager.c"
		NoiseMedia* _tmp61_ = NULL;
		GThemedIcon* _tmp62_ = NULL;
		GThemedIcon* _tmp63_ = NULL;
		NoiseMedia* _tmp64_ = NULL;
		NoiseMedia* _tmp65_ = NULL;
		NoiseMedia* _tmp66_ = NULL;
#line 521 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp61_ = _data8_->m;
#line 521 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp62_ = (GThemedIcon*) g_themed_icon_new ("process-error-symbolic");
#line 521 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp63_ = _tmp62_;
#line 521 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_media_set_unique_status_image (_tmp61_, (GIcon*) _tmp63_);
#line 521 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp63_);
#line 522 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp64_ = _data8_->m;
#line 522 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_media_set_location_unknown (_tmp64_, TRUE);
#line 524 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp65_ = noise_playback_manager_getNext (self, TRUE);
#line 524 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp66_ = _tmp65_;
#line 524 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp66_);
#line 525 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		block8_data_unref (_data8_);
#line 525 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_data8_ = NULL;
#line 525 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		return;
#line 3705 "PlaybackManager.c"
	} else {
		gboolean _tmp67_ = FALSE;
		NoiseMedia* _tmp68_ = NULL;
		gboolean _tmp69_ = FALSE;
		gboolean _tmp70_ = FALSE;
#line 527 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp68_ = _data8_->m;
#line 527 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp69_ = noise_media_get_location_unknown (_tmp68_);
#line 527 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp70_ = _tmp69_;
#line 527 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (_tmp70_) {
#line 3719 "PlaybackManager.c"
			NoiseMedia* _tmp71_ = NULL;
			GIcon* _tmp72_ = NULL;
			GIcon* _tmp73_ = NULL;
#line 527 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp71_ = _data8_->m;
#line 527 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp72_ = noise_media_get_unique_status_image (_tmp71_);
#line 527 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp73_ = _tmp72_;
#line 527 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp67_ = _tmp73_ != NULL;
#line 3731 "PlaybackManager.c"
		} else {
#line 527 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp67_ = FALSE;
#line 3735 "PlaybackManager.c"
		}
#line 527 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		if (_tmp67_) {
#line 3739 "PlaybackManager.c"
			NoiseMedia* _tmp74_ = NULL;
			NoiseMedia* _tmp75_ = NULL;
#line 528 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp74_ = _data8_->m;
#line 528 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			noise_media_set_unique_status_image (_tmp74_, NULL);
#line 529 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp75_ = _data8_->m;
#line 529 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			noise_media_set_location_unknown (_tmp75_, FALSE);
#line 3750 "PlaybackManager.c"
		}
	}
#line 533 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_change_gains_thread (self);
#line 537 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp76_ = self->next_gapless_id;
#line 537 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp76_ == 0) {
#line 3759 "PlaybackManager.c"
		NoisePlayback* _tmp77_ = NULL;
		NoiseMedia* _tmp78_ = NULL;
#line 538 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp77_ = self->player;
#line 538 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp78_ = _data8_->m;
#line 538 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_playback_set_media (_tmp77_, _tmp78_);
#line 3768 "PlaybackManager.c"
	} else {
#line 541 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		self->next_gapless_id = 0;
#line 3772 "PlaybackManager.c"
	}
#line 545 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp79_ = self->priv->_playing;
#line 545 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (!_tmp79_) {
#line 3778 "PlaybackManager.c"
		NoisePlayback* _tmp80_ = NULL;
#line 546 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp80_ = self->player;
#line 546 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_playback_pause (_tmp80_);
#line 3784 "PlaybackManager.c"
	}
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp82_ = _data8_->m;
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp83_ = noise_media_get_rowid (_tmp82_);
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp84_ = _tmp83_;
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp84_ >= ((gint64) 0)) {
#line 3794 "PlaybackManager.c"
		NoiseSettingsMain* _tmp85_ = NULL;
		NoiseSettingsMain* _tmp86_ = NULL;
		gboolean _tmp87_ = FALSE;
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp85_ = noise_settings_main_get_default ();
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp86_ = _tmp85_;
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp87_ = noise_settings_main_privacy_mode_enabled (_tmp86_);
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp81_ = !_tmp87_;
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp86_);
#line 3808 "PlaybackManager.c"
	} else {
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp81_ = FALSE;
#line 3812 "PlaybackManager.c"
	}
#line 549 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp81_) {
#line 3816 "PlaybackManager.c"
		NoiseSettingsMain* _tmp88_ = NULL;
		NoiseSettingsMain* _tmp89_ = NULL;
		NoiseMedia* _tmp90_ = NULL;
		gint64 _tmp91_ = 0LL;
		gint64 _tmp92_ = 0LL;
#line 550 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp88_ = noise_settings_main_get_default ();
#line 550 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp89_ = _tmp88_;
#line 550 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp90_ = _data8_->m;
#line 550 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp91_ = noise_media_get_rowid (_tmp90_);
#line 550 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp92_ = _tmp91_;
#line 550 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_settings_main_set_last_media_playing (_tmp89_, _tmp92_);
#line 550 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp89_);
#line 3836 "PlaybackManager.c"
	}
#line 553 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp93_ = _data8_->m;
#line 553 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp93_ != NULL) {
#line 3842 "PlaybackManager.c"
		NoiseMedia* _tmp94_ = NULL;
#line 554 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp94_ = _data8_->m;
#line 554 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		g_signal_emit_by_name (self, "media-played", _tmp94_);
#line 3848 "PlaybackManager.c"
	}
#line 557 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp95_ = _data8_->m;
#line 557 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp96_ = noise_playback_manager_peek_queue (self);
#line 557 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp97_ = _tmp96_;
#line 557 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp98_ = _tmp95_ == _tmp97_;
#line 557 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp97_);
#line 557 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp98_) {
#line 3862 "PlaybackManager.c"
		NoiseMedia* _tmp99_ = NULL;
		NoiseMedia* _tmp100_ = NULL;
#line 558 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp99_ = noise_playback_manager_poll_queue (self);
#line 558 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp100_ = _tmp99_;
#line 558 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp100_);
#line 3871 "PlaybackManager.c"
	}
#line 561 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 1000, ___lambda27__gsource_func, block8_data_ref (_data8_), block8_data_unref);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	block8_data_unref (_data8_);
#line 471 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_data8_ = NULL;
#line 3879 "PlaybackManager.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 3899 "PlaybackManager.c"
}


void noise_playback_manager_change_gains_thread (NoisePlaybackManager* self) {
	NoiseSettingsEqualizer* equalizer_settings = NULL;
	NoiseSettingsEqualizer* _tmp0_ = NULL;
	NoiseSettingsEqualizer* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
#line 579 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 580 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_settings_equalizer_get_default ();
#line 580 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	equalizer_settings = _tmp0_;
#line 581 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = equalizer_settings;
#line 581 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = noise_settings_equalizer_get_equalizer_enabled (_tmp1_);
#line 581 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = _tmp2_;
#line 581 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp3_) {
#line 3923 "PlaybackManager.c"
		gboolean automatic_enabled = FALSE;
		NoiseSettingsEqualizer* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
		gboolean _tmp6_ = FALSE;
		gchar* selected_preset = NULL;
		NoiseSettingsEqualizer* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
#line 582 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp4_ = equalizer_settings;
#line 582 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp5_ = noise_settings_equalizer_get_auto_switch_preset (_tmp4_);
#line 582 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp6_ = _tmp5_;
#line 582 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		automatic_enabled = _tmp6_;
#line 583 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp7_ = equalizer_settings;
#line 583 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp8_ = noise_settings_equalizer_get_selected_preset (_tmp7_);
#line 583 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp9_ = _tmp8_;
#line 583 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 583 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		selected_preset = _tmp10_;
#line 3951 "PlaybackManager.c"
		{
			GeeIterator* _p_it = NULL;
			NoiseSettingsEqualizer* _tmp11_ = NULL;
			GeeCollection* _tmp12_ = NULL;
			GeeCollection* _tmp13_ = NULL;
			GeeIterator* _tmp14_ = NULL;
			GeeIterator* _tmp15_ = NULL;
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp11_ = equalizer_settings;
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp12_ = noise_settings_equalizer_getPresets (_tmp11_);
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp13_ = _tmp12_;
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp14_ = gee_iterable_iterator ((GeeIterable*) _tmp13_);
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp15_ = _tmp14_;
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_g_object_unref0 (_tmp13_);
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_p_it = _tmp15_;
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			while (TRUE) {
#line 3975 "PlaybackManager.c"
				GeeIterator* _tmp16_ = NULL;
				gboolean _tmp17_ = FALSE;
				NoiseEqualizerPreset* p = NULL;
				GeeIterator* _tmp18_ = NULL;
				gpointer _tmp19_ = NULL;
				gboolean _tmp20_ = FALSE;
				NoiseEqualizerPreset* _tmp21_ = NULL;
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp16_ = _p_it;
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp17_ = gee_iterator_next (_tmp16_);
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (!_tmp17_) {
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					break;
#line 3991 "PlaybackManager.c"
				}
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp18_ = _p_it;
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp19_ = gee_iterator_get (_tmp18_);
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				p = (NoiseEqualizerPreset*) _tmp19_;
#line 586 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp21_ = p;
#line 586 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (_tmp21_ != NULL) {
#line 4003 "PlaybackManager.c"
					NoiseMedia* _tmp22_ = NULL;
#line 586 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp22_ = self->priv->_current_media;
#line 586 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp20_ = _tmp22_ != NULL;
#line 4009 "PlaybackManager.c"
				} else {
#line 586 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp20_ = FALSE;
#line 4013 "PlaybackManager.c"
				}
#line 586 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (_tmp20_) {
#line 4017 "PlaybackManager.c"
					gchar* preset_name = NULL;
					NoiseEqualizerPreset* _tmp23_ = NULL;
					const gchar* _tmp24_ = NULL;
					gchar* _tmp25_ = NULL;
					gchar* media_genre = NULL;
					NoiseMedia* _tmp26_ = NULL;
					const gchar* _tmp27_ = NULL;
					const gchar* _tmp28_ = NULL;
					gchar* _tmp29_ = NULL;
					gboolean _tmp30_ = FALSE;
					const gchar* _tmp31_ = NULL;
					const gchar* _tmp32_ = NULL;
					gboolean _tmp33_ = FALSE;
					gboolean match_genre = FALSE;
					gboolean _tmp37_ = FALSE;
					gboolean _tmp38_ = FALSE;
					gboolean _tmp39_ = FALSE;
#line 587 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp23_ = p;
#line 587 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp24_ = _tmp23_->name;
#line 587 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp25_ = g_utf8_strdown (_tmp24_, (gssize) -1);
#line 587 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					preset_name = _tmp25_;
#line 588 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp26_ = self->priv->_current_media;
#line 588 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp27_ = noise_media_get_genre (_tmp26_);
#line 588 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp28_ = _tmp27_;
#line 588 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp29_ = g_utf8_strdown (_tmp28_, (gssize) -1);
#line 588 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					media_genre = _tmp29_;
#line 590 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp31_ = media_genre;
#line 590 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp32_ = preset_name;
#line 590 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp33_ = string_contains (_tmp31_, _tmp32_);
#line 590 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp33_) {
#line 590 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp30_ = TRUE;
#line 4063 "PlaybackManager.c"
					} else {
						const gchar* _tmp34_ = NULL;
						const gchar* _tmp35_ = NULL;
						gboolean _tmp36_ = FALSE;
#line 590 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp34_ = preset_name;
#line 590 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp35_ = media_genre;
#line 590 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp36_ = string_contains (_tmp34_, _tmp35_);
#line 590 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp30_ = _tmp36_;
#line 4076 "PlaybackManager.c"
					}
#line 590 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					match_genre = _tmp30_;
#line 592 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp39_ = automatic_enabled;
#line 592 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp39_) {
#line 4084 "PlaybackManager.c"
						gboolean _tmp40_ = FALSE;
#line 592 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp40_ = match_genre;
#line 592 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp38_ = _tmp40_;
#line 4090 "PlaybackManager.c"
					} else {
#line 592 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp38_ = FALSE;
#line 4094 "PlaybackManager.c"
					}
#line 592 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp38_) {
#line 592 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp37_ = TRUE;
#line 4100 "PlaybackManager.c"
					} else {
						gboolean _tmp41_ = FALSE;
						gboolean _tmp42_ = FALSE;
#line 593 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp42_ = automatic_enabled;
#line 593 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (!_tmp42_) {
#line 4108 "PlaybackManager.c"
							NoiseEqualizerPreset* _tmp43_ = NULL;
							const gchar* _tmp44_ = NULL;
							const gchar* _tmp45_ = NULL;
#line 593 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp43_ = p;
#line 593 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp44_ = _tmp43_->name;
#line 593 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp45_ = selected_preset;
#line 593 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp41_ = g_strcmp0 (_tmp44_, _tmp45_) == 0;
#line 4120 "PlaybackManager.c"
						} else {
#line 593 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp41_ = FALSE;
#line 4124 "PlaybackManager.c"
						}
#line 593 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp37_ = _tmp41_;
#line 4128 "PlaybackManager.c"
					}
#line 592 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp37_) {
#line 4132 "PlaybackManager.c"
						{
							gint i = 0;
#line 595 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							i = 0;
#line 4137 "PlaybackManager.c"
							{
								gboolean _tmp46_ = FALSE;
#line 595 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp46_ = TRUE;
#line 595 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								while (TRUE) {
#line 4144 "PlaybackManager.c"
									gint _tmp48_ = 0;
									NoisePlayback* _tmp49_ = NULL;
									gint _tmp50_ = 0;
									NoiseEqualizerPreset* _tmp51_ = NULL;
									gint _tmp52_ = 0;
									gint _tmp53_ = 0;
#line 595 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									if (!_tmp46_) {
#line 4153 "PlaybackManager.c"
										gint _tmp47_ = 0;
#line 595 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp47_ = i;
#line 595 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										i = _tmp47_ + 1;
#line 4159 "PlaybackManager.c"
									}
#line 595 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp46_ = FALSE;
#line 595 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp48_ = i;
#line 595 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									if (!(_tmp48_ < 10)) {
#line 595 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										break;
#line 4169 "PlaybackManager.c"
									}
#line 596 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp49_ = self->player;
#line 596 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp50_ = i;
#line 596 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp51_ = p;
#line 596 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp52_ = i;
#line 596 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp53_ = noise_equalizer_preset_getGain (_tmp51_, _tmp52_);
#line 596 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									noise_playback_set_equalizer_gain (_tmp49_, _tmp50_, _tmp53_);
#line 4183 "PlaybackManager.c"
								}
							}
						}
#line 598 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_free0 (media_genre);
#line 598 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_free0 (preset_name);
#line 598 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (p);
#line 598 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (_p_it);
#line 598 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_free0 (selected_preset);
#line 598 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (equalizer_settings);
#line 598 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						return;
#line 4201 "PlaybackManager.c"
					}
#line 586 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_free0 (media_genre);
#line 586 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_free0 (preset_name);
#line 4207 "PlaybackManager.c"
				}
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (p);
#line 4211 "PlaybackManager.c"
			}
#line 585 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_g_object_unref0 (_p_it);
#line 4215 "PlaybackManager.c"
		}
		{
			GeeIterator* _p_it = NULL;
			GeeCollection* _tmp54_ = NULL;
			GeeCollection* _tmp55_ = NULL;
			GeeIterator* _tmp56_ = NULL;
			GeeIterator* _tmp57_ = NULL;
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp54_ = noise_equalizer_get_default_presets ();
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp55_ = _tmp54_;
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp56_ = gee_iterable_iterator ((GeeIterable*) _tmp55_);
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp57_ = _tmp56_;
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_g_object_unref0 (_tmp55_);
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_p_it = _tmp57_;
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			while (TRUE) {
#line 4237 "PlaybackManager.c"
				GeeIterator* _tmp58_ = NULL;
				gboolean _tmp59_ = FALSE;
				NoiseEqualizerPreset* p = NULL;
				GeeIterator* _tmp60_ = NULL;
				gpointer _tmp61_ = NULL;
				gboolean _tmp62_ = FALSE;
				NoiseEqualizerPreset* _tmp63_ = NULL;
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp58_ = _p_it;
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp59_ = gee_iterator_next (_tmp58_);
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (!_tmp59_) {
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					break;
#line 4253 "PlaybackManager.c"
				}
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp60_ = _p_it;
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp61_ = gee_iterator_get (_tmp60_);
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				p = (NoiseEqualizerPreset*) _tmp61_;
#line 604 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp63_ = p;
#line 604 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (_tmp63_ != NULL) {
#line 4265 "PlaybackManager.c"
					NoiseMedia* _tmp64_ = NULL;
#line 604 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp64_ = self->priv->_current_media;
#line 604 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp62_ = _tmp64_ != NULL;
#line 4271 "PlaybackManager.c"
				} else {
#line 604 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp62_ = FALSE;
#line 4275 "PlaybackManager.c"
				}
#line 604 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (_tmp62_) {
#line 4279 "PlaybackManager.c"
					gchar* preset_name = NULL;
					NoiseEqualizerPreset* _tmp65_ = NULL;
					const gchar* _tmp66_ = NULL;
					gchar* _tmp67_ = NULL;
					gchar* media_genre = NULL;
					NoiseMedia* _tmp68_ = NULL;
					const gchar* _tmp69_ = NULL;
					const gchar* _tmp70_ = NULL;
					gchar* _tmp71_ = NULL;
					gboolean _tmp72_ = FALSE;
					const gchar* _tmp73_ = NULL;
					const gchar* _tmp74_ = NULL;
					gboolean _tmp75_ = FALSE;
					gboolean match_genre = FALSE;
					gboolean _tmp79_ = FALSE;
					gboolean _tmp80_ = FALSE;
					gboolean _tmp81_ = FALSE;
#line 605 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp65_ = p;
#line 605 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp66_ = _tmp65_->name;
#line 605 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp67_ = g_utf8_strdown (_tmp66_, (gssize) -1);
#line 605 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					preset_name = _tmp67_;
#line 606 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp68_ = self->priv->_current_media;
#line 606 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp69_ = noise_media_get_genre (_tmp68_);
#line 606 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp70_ = _tmp69_;
#line 606 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp71_ = g_utf8_strdown (_tmp70_, (gssize) -1);
#line 606 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					media_genre = _tmp71_;
#line 608 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp73_ = media_genre;
#line 608 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp74_ = preset_name;
#line 608 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp75_ = string_contains (_tmp73_, _tmp74_);
#line 608 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp75_) {
#line 608 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp72_ = TRUE;
#line 4325 "PlaybackManager.c"
					} else {
						const gchar* _tmp76_ = NULL;
						const gchar* _tmp77_ = NULL;
						gboolean _tmp78_ = FALSE;
#line 608 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp76_ = preset_name;
#line 608 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp77_ = media_genre;
#line 608 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp78_ = string_contains (_tmp76_, _tmp77_);
#line 608 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp72_ = _tmp78_;
#line 4338 "PlaybackManager.c"
					}
#line 608 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					match_genre = _tmp72_;
#line 610 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp81_ = automatic_enabled;
#line 610 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp81_) {
#line 4346 "PlaybackManager.c"
						gboolean _tmp82_ = FALSE;
#line 610 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp82_ = match_genre;
#line 610 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp80_ = _tmp82_;
#line 4352 "PlaybackManager.c"
					} else {
#line 610 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp80_ = FALSE;
#line 4356 "PlaybackManager.c"
					}
#line 610 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp80_) {
#line 610 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp79_ = TRUE;
#line 4362 "PlaybackManager.c"
					} else {
						gboolean _tmp83_ = FALSE;
						gboolean _tmp84_ = FALSE;
#line 611 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp84_ = automatic_enabled;
#line 611 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						if (!_tmp84_) {
#line 4370 "PlaybackManager.c"
							NoiseEqualizerPreset* _tmp85_ = NULL;
							const gchar* _tmp86_ = NULL;
							const gchar* _tmp87_ = NULL;
#line 611 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp85_ = p;
#line 611 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp86_ = _tmp85_->name;
#line 611 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp87_ = selected_preset;
#line 611 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp83_ = g_strcmp0 (_tmp86_, _tmp87_) == 0;
#line 4382 "PlaybackManager.c"
						} else {
#line 611 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							_tmp83_ = FALSE;
#line 4386 "PlaybackManager.c"
						}
#line 611 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_tmp79_ = _tmp83_;
#line 4390 "PlaybackManager.c"
					}
#line 610 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					if (_tmp79_) {
#line 4394 "PlaybackManager.c"
						{
							gint i = 0;
#line 613 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
							i = 0;
#line 4399 "PlaybackManager.c"
							{
								gboolean _tmp88_ = FALSE;
#line 613 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								_tmp88_ = TRUE;
#line 613 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
								while (TRUE) {
#line 4406 "PlaybackManager.c"
									gint _tmp90_ = 0;
									NoisePlayback* _tmp91_ = NULL;
									gint _tmp92_ = 0;
									NoiseEqualizerPreset* _tmp93_ = NULL;
									gint _tmp94_ = 0;
									gint _tmp95_ = 0;
#line 613 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									if (!_tmp88_) {
#line 4415 "PlaybackManager.c"
										gint _tmp89_ = 0;
#line 613 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										_tmp89_ = i;
#line 613 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										i = _tmp89_ + 1;
#line 4421 "PlaybackManager.c"
									}
#line 613 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp88_ = FALSE;
#line 613 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp90_ = i;
#line 613 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									if (!(_tmp90_ < 10)) {
#line 613 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
										break;
#line 4431 "PlaybackManager.c"
									}
#line 614 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp91_ = self->player;
#line 614 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp92_ = i;
#line 614 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp93_ = p;
#line 614 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp94_ = i;
#line 614 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									_tmp95_ = noise_equalizer_preset_getGain (_tmp93_, _tmp94_);
#line 614 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
									noise_playback_set_equalizer_gain (_tmp91_, _tmp92_, _tmp95_);
#line 4445 "PlaybackManager.c"
								}
							}
						}
#line 616 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_free0 (media_genre);
#line 616 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_free0 (preset_name);
#line 616 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (p);
#line 616 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (_p_it);
#line 616 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_free0 (selected_preset);
#line 616 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						_g_object_unref0 (equalizer_settings);
#line 616 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
						return;
#line 4463 "PlaybackManager.c"
					}
#line 604 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_free0 (media_genre);
#line 604 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_g_free0 (preset_name);
#line 4469 "PlaybackManager.c"
				}
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_g_object_unref0 (p);
#line 4473 "PlaybackManager.c"
			}
#line 603 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_g_object_unref0 (_p_it);
#line 4477 "PlaybackManager.c"
		}
#line 581 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_free0 (selected_preset);
#line 4481 "PlaybackManager.c"
	}
	{
		gint i = 0;
#line 622 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		i = 0;
#line 4487 "PlaybackManager.c"
		{
			gboolean _tmp96_ = FALSE;
#line 622 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			_tmp96_ = TRUE;
#line 622 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
			while (TRUE) {
#line 4494 "PlaybackManager.c"
				gint _tmp98_ = 0;
				NoisePlayback* _tmp99_ = NULL;
				gint _tmp100_ = 0;
#line 622 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (!_tmp96_) {
#line 4500 "PlaybackManager.c"
					gint _tmp97_ = 0;
#line 622 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					_tmp97_ = i;
#line 622 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					i = _tmp97_ + 1;
#line 4506 "PlaybackManager.c"
				}
#line 622 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp96_ = FALSE;
#line 622 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp98_ = i;
#line 622 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				if (!(_tmp98_ < 10)) {
#line 622 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
					break;
#line 4516 "PlaybackManager.c"
				}
#line 623 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp99_ = self->player;
#line 623 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				_tmp100_ = i;
#line 623 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
				noise_playback_set_equalizer_gain (_tmp99_, _tmp100_, 0);
#line 4524 "PlaybackManager.c"
			}
		}
	}
#line 625 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (equalizer_settings);
#line 625 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return;
#line 4532 "PlaybackManager.c"
}


void noise_playback_manager_stop_playback (NoisePlaybackManager* self) {
	NoisePlayback* _tmp0_ = NULL;
	gint64 was_playing = 0LL;
	NoiseMedia* _tmp1_ = NULL;
	NoiseSettingsMain* _tmp5_ = NULL;
	NoiseSettingsMain* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
	gboolean _tmp8_ = FALSE;
	gint64 _tmp11_ = 0LL;
#line 628 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 629 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 629 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_pause (_tmp0_);
#line 630 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_set_playing (self, FALSE);
#line 632 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	was_playing = (gint64) 0;
#line 633 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = self->priv->_current_media;
#line 633 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp1_ != NULL) {
#line 4559 "PlaybackManager.c"
		NoiseMedia* _tmp2_ = NULL;
		gint64 _tmp3_ = 0LL;
		gint64 _tmp4_ = 0LL;
#line 634 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp2_ = self->priv->_current_media;
#line 634 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp3_ = noise_media_get_rowid (_tmp2_);
#line 634 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp4_ = _tmp3_;
#line 634 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		was_playing = _tmp4_;
#line 4571 "PlaybackManager.c"
	}
#line 636 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp5_ = noise_settings_main_get_default ();
#line 636 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp6_ = _tmp5_;
#line 636 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp7_ = noise_settings_main_privacy_mode_enabled (_tmp6_);
#line 636 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp8_ = !_tmp7_;
#line 636 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (_tmp6_);
#line 636 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp8_) {
#line 4585 "PlaybackManager.c"
		NoiseSettingsMain* _tmp9_ = NULL;
		NoiseSettingsMain* _tmp10_ = NULL;
#line 637 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp9_ = noise_settings_main_get_default ();
#line 637 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp10_ = _tmp9_;
#line 637 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_settings_main_set_last_media_playing (_tmp10_, (gint64) 0);
#line 637 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_g_object_unref0 (_tmp10_);
#line 4596 "PlaybackManager.c"
	}
#line 639 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_set_current_media (self, NULL);
#line 641 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp11_ = was_playing;
#line 641 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_emit_by_name (self, "playback-stopped", _tmp11_);
#line 4604 "PlaybackManager.c"
}


void noise_playback_manager_start_playback (NoisePlaybackManager* self) {
	NoisePlayback* _tmp0_ = NULL;
#line 644 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 645 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 645 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_play (_tmp0_);
#line 646 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_set_playing (self, TRUE);
#line 648 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_emit_by_name (self, "playback-started");
#line 4620 "PlaybackManager.c"
}


void noise_playback_manager_pause_playback (NoisePlaybackManager* self) {
	NoisePlayback* _tmp0_ = NULL;
#line 651 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 652 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 652 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_pause (_tmp0_);
#line 653 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_set_playing (self, FALSE);
#line 655 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_emit_by_name (self, "playback-paused");
#line 4636 "PlaybackManager.c"
}


NoiseLibrary* noise_playback_manager_get_library (NoisePlaybackManager* self) {
	NoiseLibrary* result;
	NoiseLibrariesManager* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
#line 62 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 62 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_libraries_manager;
#line 62 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = _tmp0_->local_library;
#line 62 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = _tmp1_;
#line 62 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 4654 "PlaybackManager.c"
}


gboolean noise_playback_manager_get_playing (NoisePlaybackManager* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_playing;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = _tmp0_;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 4669 "PlaybackManager.c"
}


static void noise_playback_manager_set_playing (NoisePlaybackManager* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = value;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->priv->_playing = _tmp0_;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_object_notify ((GObject *) self, "playing");
#line 4683 "PlaybackManager.c"
}


gdouble noise_playback_manager_get_volume (NoisePlaybackManager* self) {
	gdouble result;
	NoisePlayback* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
#line 70 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->player;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = noise_playback_get_volume (_tmp0_);
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = _tmp1_;
#line 71 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 4701 "PlaybackManager.c"
}


void noise_playback_manager_set_volume (NoisePlaybackManager* self, gdouble value) {
	gdouble _tmp0_ = 0.0;
	NoisePlayback* _tmp1_ = NULL;
	gdouble _tmp2_ = 0.0;
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = value;
#line 74 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->priv->saved_volume = _tmp0_;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = self->player;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = value;
#line 75 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_set_volume (_tmp1_, _tmp2_);
#line 73 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_object_notify ((GObject *) self, "volume");
#line 4723 "PlaybackManager.c"
}


NoiseMedia* noise_playback_manager_get_current_media (NoisePlaybackManager* self) {
	NoiseMedia* result;
	NoiseMedia* _tmp0_ = NULL;
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_media;
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	result = _tmp0_;
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return result;
#line 4738 "PlaybackManager.c"
}


static void noise_playback_manager_set_current_media (NoisePlaybackManager* self, NoiseMedia* value) {
	NoiseMedia* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = value;
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->_current_media);
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->priv->_current_media = _tmp1_;
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_object_notify ((GObject *) self, "current-media");
#line 4757 "PlaybackManager.c"
}


gint noise_playback_manager_get_current_index (NoisePlaybackManager* self) {
	gint result;
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 160 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 161 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_shuffled;
#line 161 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = gee_abstract_map_get_size ((GeeMap*) _tmp0_);
#line 161 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 161 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp2_ == 0) {
#line 4776 "PlaybackManager.c"
		gint _tmp3_ = 0;
#line 162 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp3_ = self->priv->_current_index;
#line 162 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		result = _tmp3_;
#line 162 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		return result;
#line 4784 "PlaybackManager.c"
	} else {
		gint _tmp4_ = 0;
#line 164 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp4_ = self->priv->_current_shuffled_index;
#line 164 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		result = _tmp4_;
#line 164 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		return result;
#line 4793 "PlaybackManager.c"
	}
}


void noise_playback_manager_set_current_index (NoisePlaybackManager* self, gint value) {
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 166 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (self != NULL);
#line 167 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = self->priv->_current_shuffled;
#line 167 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = gee_abstract_map_get_size ((GeeMap*) _tmp0_);
#line 167 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = _tmp1_;
#line 167 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (_tmp2_ == 0) {
#line 4812 "PlaybackManager.c"
		gint _tmp3_ = 0;
#line 168 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp3_ = value;
#line 168 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		self->priv->_current_index = _tmp3_;
#line 4818 "PlaybackManager.c"
	} else {
		gint _tmp4_ = 0;
#line 170 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		_tmp4_ = value;
#line 170 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		self->priv->_current_shuffled_index = _tmp4_;
#line 4825 "PlaybackManager.c"
	}
#line 166 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_object_notify ((GObject *) self, "current-index");
#line 4829 "PlaybackManager.c"
}


static void g_cclosure_user_marshal_VOID__INT64 (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__INT64) (gpointer data1, gint64 arg_1, gpointer data2);
	register GMarshalFunc_VOID__INT64 callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_return_if_fail (n_param_values == 2);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		data1 = closure->data;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		data2 = param_values->data[0].v_pointer;
#line 4848 "PlaybackManager.c"
	} else {
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		data1 = param_values->data[0].v_pointer;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		data2 = closure->data;
#line 4854 "PlaybackManager.c"
	}
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	callback = (GMarshalFunc_VOID__INT64) (marshal_data ? marshal_data : cc->callback);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	callback (data1, g_value_get_int64 (param_values + 1), data2);
#line 4860 "PlaybackManager.c"
}


static GObject * noise_playback_manager_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	NoisePlaybackManager * self;
	NoiseHistoryPlaylist* _tmp0_ = NULL;
	NoiseStaticPlaylist* _tmp1_ = NULL;
	NoiseStaticPlaylist* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	NoiseStaticPlaylist* _tmp4_ = NULL;
	NoiseStaticPlaylist* _tmp5_ = NULL;
	NoiseStaticPlaylist* _tmp6_ = NULL;
	NoiseStaticPlaylist* _tmp7_ = NULL;
	GThemedIcon* _tmp8_ = NULL;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	parent_class = G_OBJECT_CLASS (noise_playback_manager_parent_class);
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = noise_history_playlist_new ();
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->history_playlist);
#line 94 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->history_playlist = _tmp0_;
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = noise_static_playlist_new ();
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->queue_playlist);
#line 95 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->queue_playlist = _tmp1_;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = self->queue_playlist;
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp3_ = C_ ("Name of the playlist", "Queue");
#line 96 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playlist_set_name ((NoisePlaylist*) _tmp2_, _tmp3_);
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp4_ = self->queue_playlist;
#line 97 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_static_playlist_set_read_only (_tmp4_, TRUE);
#line 98 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp5_ = self->queue_playlist;
#line 98 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_static_playlist_set_allow_duplicate (_tmp5_, TRUE);
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp6_ = self->queue_playlist;
#line 99 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_static_playlist_set_show_badge (_tmp6_, TRUE);
#line 100 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp7_ = self->queue_playlist;
#line 100 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp8_ = (GThemedIcon*) g_themed_icon_new ("playlist-queue");
#line 100 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (((NoisePlaylist*) _tmp7_)->icon);
#line 100 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	((NoisePlaylist*) _tmp7_)->icon = (GIcon*) _tmp8_;
#line 93 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	return obj;
#line 4923 "PlaybackManager.c"
}


static void noise_playback_manager_class_init (NoisePlaybackManagerClass * klass) {
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_parent_class = g_type_class_peek_parent (klass);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_type_class_add_private (klass, sizeof (NoisePlaybackManagerPrivate));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_playback_manager_get_property;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_playback_manager_set_property;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->constructor = noise_playback_manager_constructor;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_playback_manager_finalize;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_LIBRARY, g_param_spec_object ("library", "library", "library", NOISE_TYPE_LIBRARY, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_PLAYING, g_param_spec_boolean ("playing", "playing", "playing", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_VOLUME, g_param_spec_double ("volume", "volume", "volume", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA, g_param_spec_object ("current-media", "current-media", "current-media", NOISE_TYPE_MEDIA, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYBACK_MANAGER_CURRENT_INDEX, g_param_spec_int ("current-index", "current-index", "current-index", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_new ("current_cleared", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_new ("queue_cleared", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_new ("media_queued", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, GEE_TYPE_COLLECTION);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_new ("media_played", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, NOISE_TYPE_MEDIA);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_new ("playback_stopped", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__INT64, G_TYPE_NONE, 1, G_TYPE_INT64);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_new ("playback_started", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_new ("playback_paused", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_new ("changing_player", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_signal_new ("player_changed", NOISE_TYPE_PLAYBACK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 4968 "PlaybackManager.c"
}


static void noise_playback_manager_noise_player_interface_init (NoisePlayerIface * iface) {
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	noise_playback_manager_noise_player_parent_iface = g_type_interface_peek_parent (iface);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	iface->add_playback = (void (*)(NoisePlayer*, NoisePlayback*)) noise_playback_manager_real_add_playback;
#line 4977 "PlaybackManager.c"
}


static void noise_playback_manager_instance_init (NoisePlaybackManager * self) {
	GeeTreeSet* _tmp0_ = NULL;
	GeeHashMap* _tmp1_ = NULL;
	GeeHashMap* _tmp2_ = NULL;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->priv = NOISE_PLAYBACK_MANAGER_GET_PRIVATE (self);
#line 50 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_rec_mutex_init (&self->priv->__lock_playbacks);
#line 50 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp0_ = gee_tree_set_new (NOISE_TYPE_PLAYBACK, NULL, NULL, NULL, NULL, NULL);
#line 50 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->priv->playbacks = _tmp0_;
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp1_ = gee_hash_map_new (G_TYPE_INT, NULL, NULL, NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->priv->_current = _tmp1_;
#line 56 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_tmp2_ = gee_hash_map_new (G_TYPE_INT, NULL, NULL, NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 56 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->priv->_current_shuffled = _tmp2_;
#line 67 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->priv->_playing = FALSE;
#line 68 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self->priv->saved_volume = (gdouble) 1;
#line 5005 "PlaybackManager.c"
}


static void noise_playback_manager_finalize (GObject* obj) {
	NoisePlaybackManager * self;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 50 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	g_rec_mutex_clear (&self->priv->__lock_playbacks);
#line 50 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->playbacks);
#line 53 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->_current);
#line 56 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->_current_shuffled);
#line 58 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->queue_playlist);
#line 59 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->history_playlist);
#line 83 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->file_player);
#line 84 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->player);
#line 85 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	_g_object_unref0 (self->priv->_current_media);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	G_OBJECT_CLASS (noise_playback_manager_parent_class)->finalize (obj);
#line 5033 "PlaybackManager.c"
}


GType noise_playback_manager_get_type (void) {
	static volatile gsize noise_playback_manager_type_id__volatile = 0;
	if (g_once_init_enter (&noise_playback_manager_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoisePlaybackManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_playback_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoisePlaybackManager), 0, (GInstanceInitFunc) noise_playback_manager_instance_init, NULL };
		static const GInterfaceInfo noise_player_info = { (GInterfaceInitFunc) noise_playback_manager_noise_player_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType noise_playback_manager_type_id;
		noise_playback_manager_type_id = g_type_register_static (G_TYPE_OBJECT, "NoisePlaybackManager", &g_define_type_info, 0);
		g_type_add_interface_static (noise_playback_manager_type_id, NOISE_TYPE_PLAYER, &noise_player_info);
		g_once_init_leave (&noise_playback_manager_type_id__volatile, noise_playback_manager_type_id);
	}
	return noise_playback_manager_type_id__volatile;
}


static void _vala_noise_playback_manager_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoisePlaybackManager * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_LIBRARY:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		g_value_set_object (value, noise_playback_manager_get_library (self));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_PLAYING:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		g_value_set_boolean (value, noise_playback_manager_get_playing (self));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_VOLUME:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		g_value_set_double (value, noise_playback_manager_get_volume (self));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		g_value_set_object (value, noise_playback_manager_get_current_media (self));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_INDEX:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		g_value_set_int (value, noise_playback_manager_get_current_index (self));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 5086 "PlaybackManager.c"
		default:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 5092 "PlaybackManager.c"
	}
}


static void _vala_noise_playback_manager_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoisePlaybackManager * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_PLAYING:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_playback_manager_set_playing (self, g_value_get_boolean (value));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_VOLUME:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_playback_manager_set_volume (self, g_value_get_double (value));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_MEDIA:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_playback_manager_set_current_media (self, g_value_get_object (value));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		case NOISE_PLAYBACK_MANAGER_CURRENT_INDEX:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		noise_playback_manager_set_current_index (self, g_value_get_int (value));
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 5126 "PlaybackManager.c"
		default:
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/noise-0.4.0.2/src/PlaybackManager.vala"
		break;
#line 5132 "PlaybackManager.c"
	}
}



